var CMS_INIT = {
		PageLoad : {
			/* 首页初始化 */
			expert_init : function() {
				CMS_INIT.ExpertInit.expert_init();
			},
			video_init : function() {
				CMS_INIT.VideoInit.video_init();
			},
			info_init : function() {
				CMS_INIT.InfoInit.info_init();
			}
		},
		//专家机构需要加载的事件
		ExpertInit : {
			/* 首页初始化 */
			expert_init : function() {
				$('.ajax_expert_type').off().on('click', function (e) {
					//获取分类数据
					var type_id = $(this).attr('id');
					CMS.expert.get_expert_type_home(type_id);
				});
				
				$('.ajax_expert_category').off().on('click', function (e) {
					//选中中状态更新
					if(!$(this).parent('div').hasClass("on")){
						$(this).parent('div').addClass('on');
						$(this).parent('div').siblings('div').removeClass('on');
					}
					//获取分类数据
					var c_id = $(this).parent('div').attr('id').substring(4);
					CMS.expert.get_expert(c_id);
					ajaxEnd();
				});
			},
			expert_message_init:function(){
				var api_url = API.USER.loadBasicUserInfo+'&token='+UTIL.STORAGE.getToken();
				UTIL.AJAX.load_server_json(api_url,function(data){
					if(data!=null){
						if(data.realname!=null){
							$("#expert_message_linker").val(data.realname);
						}
						if(data.phone!=null){
							$("#expert_message_link_tel").val(data.phone);
						}
						if(data.email!=null){
							 $('#expert_message_email').val(data.email);
						}
						if(data.post!=null){
							 $('#expert_message_post').val(data.post);
						}
						if(data.company!=null){
							$('#expert_message_company').val(data.company);
						}
					}
				});
			}
		},	
		InfoInit : {
			/* 首页初始化 */
			info_init : function() {
				$('.ajax_info_tab').off().on('click', function (e) {
					CMS.info.get_info_home($(this).attr('id'));
				});
				$('.ajax_feed_tab').off().on('click', function (e) {
					CMS.info.get_feed_list('feed_tab', $(this).attr('id'));
				});

			}
		},
		VideoInit : {
			video_init:function(){
				//添加导航切换事件
				$("a[id^='js_video_classify_']").off().on('click', function (e) {
					//选中中状态更新
					if($(this).parent('li').attr('class') !== "on"){
						$(this).parent('li').attr('class','on');
						$(this).parent('li').siblings('li').attr('class','');
					}
					//获取分类数据
					var type_id = $(this).attr('id');
					var arr = type_id.split("_");
					var idStr = arr[arr.length-1];
					CMS.video.get_video_category_details(idStr);
				});
				
			},
			video_search_init:function(){
				$("#search_movies_btn").off().on('click', function (e) {
					var search_word = $("#search_movies_keyword").val();
					$('#search_daohang').hide();
					$('#search_box').show();
                    $('#search_people_box_all').hide();
					if(search_word != ""){
						$('#search_keyword_hidden').val(search_word);
						CMS.video.get_search_result(search_word);
					}else{
						$("#search_movies_keyword").attr('placeholder', '不能为空');
					}
				});
				$(".ajax_sub_search").off().on('click', function (e) {
					var search_word = $(this).text();
					CMS.video.get_search_result(search_word);
				});
				$('#search_movie_list_tab').off().on('click',function(){
					if(!$(this).hasClass('on')){
						$(this).addClass('on');
						$(this).siblings().removeClass('on');
					}
					$('#search_people_box_all').hide();
					$('#search_box').show();
					UTIL.PAGE.recover_scroller('a1');
					ajaxEnd();
				});
				$('#search_user_list_tab').off().on('click',function(){
					if(!$(this).hasClass('on')){
						$(this).addClass('on');
						$(this).siblings().removeClass('on');
					}
					$('#search_box').hide();
					$('#search_people_box_all').show();
					var search_word = $('#search_keyword_hidden').val();
					if($('#pullUp').length==0){
				        UTIL.PAGE.recover_scroller('a1');
				    }else{
				    	var api_url2 = API.CMS.getPeopleByKeyword + "&keyword=" + search_word;
						var scro=UTIL.PAGE.iScroll('pullUp',api_url2,'../social/recommend_people_search.html','data.people','a1',function(api_data,data){
						    html = UTIL.PAGE.getPageLayoutHtml(data,api_data,2);
						    $('#search_people_box').append(html);
						    ajaxEnd();
						});
				    }
				});
				
			},
			videoDetail_init:function(){
				$("#cms_video_detail_content_li").off().on('click', function (e) {
					//选中中状态更新
					if(!$(this).hasClass('on')){
						$(this).addClass('on');
						$(this).siblings('div').removeClass('on');
					}
					$("#cms_video_detail_content").show();
					$('#cms_video_detail_sets').hide();
					$('#pullUp').hide();
					//tab页转换时重新初始化滑动模块
                    UTIL.PAGE.recover_scroller('a1');
				});
				$("#cms_video_detail_videoSets_li").off().on('click', function (e) {
					//选中中状态更新
					if(!$(this).hasClass('on')){
						$(this).addClass('on');
						$(this).siblings('div').removeClass('on');
					}
					$("#cms_video_detail_content").hide();
					$('#cms_video_detail_sets').show();
					if($('#cms_video_detail_sets').html() == ""){
						mid = $('#cms_video_detail_id').text();
						CMS.video.get_video_detail_sets(mid);
					}else{
					    //重新初始化翻页
					    if($('#pullUp').length==0){
					        UTIL.PAGE.recover_scroller('a1');
					    }else{
					        $('#pullUp').show();
                            var mid = $('#cms_video_detail_id').text();
                            var api_url = API.CMS.getVideoDetailSets + "&mid=" + mid;
                            UTIL.PAGE.iScroll('pullUp',api_url,'video_detail_set.html','data.sets','a1',function(api_data,data){
                                cHtml = UTIL.PAGE.getPageLayoutHtml(data,api_data,2);
                                $('#cms_video_detail_sets').append(cHtml);
                                ajaxEnd();
                            });
					    }
                        
					}
				});
				$("#cms_video_detail_play").off().on('click',function(e){
					var mid = $('#cms_video_detail_id').text();
					CMS.video.play_video(mid);
				});
				$("a[id^='movie_set_']").off().on('click',function(e){
					var set_id = $(this).children('input').val();
					CMS.video.resolve_video_play_url(set_id);
				});
				$('#cms_video_buy').off().on('click',function(e){
					var mid = $('#cms_video_detail_id').text();
					CMS.video.to_video_appeal_add(mid);
				});
				uexDevice.getInfo('13');
			},
			
			video_detail_appeal_init:function(){
				
				var api_url = API.USER.loadBasicUserInfo+'&token='+UTIL.STORAGE.getToken();
				UTIL.AJAX.load_server_json(api_url,function(data){
					if(data!=null){
						if(data.realname!=null){
							$("#movies_appeal_linker").val(data.realname);
						}
						if(data.phone!=null){
							$("#movies_appeal_link_tel").val(data.phone);
						}
						if(data.email!=null){
							 $('#movies_appeal_email').val(data.email);
						}
					}
				});
				$('.js_cancel').off().on('click', function (e) {
					$('.ajax_confrim').hide();
				});
			},
			
			common_detail_page_init:function(){
				$('#js_information_classify > div').off().on('click',function(){
					var model = $('#common_model').val();
					var id = $('#common_id').val();
					if(!$(this).hasClass('on')){
						$(this).addClass('on');
						$(this).siblings().removeClass('on');
						if($(this).index()==0){
							$('#common_article_all').show();
							$('#js_video_listDetail').hide();
							//转换tab页时重新初始化滑块
							$('#pullUp').hide();
							UTIL.PAGE.recover_scroller('a1');
						}
					}
					if($(this).index()==1){
						if($('#js_video_listDetail .col-xs-12').length>0){
							$('#common_article_all').hide();
							$('#js_video_listDetail').show();
							if($('#pullUp').length==0){
							    UTIL.PAGE.recover_scroller('a1');
							    ajaxEnd();
							    return;
							}
							$('#pullUp').show();
							var api_url = API.CMS.getCommonLinkMovie+"&model="+model+"&id="+id;
							UTIL.PAGE.iScroll('pullUp',api_url,'channel_movie_more.html','data.videos','a1',function(api_data,data){
                                var cHtml = UTIL.PAGE.getPageLayoutHtml(data,api_data,3);
                                $('#js_video_listDetail').append(cHtml);
                                var wli=$("#js_video_listDetail .col-xs-4:eq(0)").innerWidth();
                                var pHeight = $("#js_video_listDetail > div p:eq(0)").innerHeight();
                                $("#js_video_listDetail img").height(Math.floor((wli/3)*3.5));
                                $("#js_video_listDetail .col-xs-4").height(Math.floor((wli/3)*4.1)+pHeight);
                                $("#js_video_listDetail .col-xs-4").css('padding-left',"7.5px");
                                $("#js_video_listDetail .col-xs-4").css('padding-right',"7.5px");
                                $("#js_video_listDetail img").each(function(){
                                    $(this).width($(this).height()*3/3.5);
                                });
                                ajaxEnd();
                            });
						}else{
							CMS.video.common_load_link_movie(model,id);
						}
						
					}
					
				});
			},
			/**
			 * 搜索框初始化事件
			 */
			video_search_box_init:function(){
                        $('#ajax_content').css({
                            '-webkitTransform':"translate(0px, 0px)  translateZ(0px)"
                        });
                        //影片筛选框初始化
                        $('.js_video_fliter').off().on('click',function(){
                            if($('#search_box').css('display') == 'none'){
                                if($('.js_video_fliter_text').length==0){
                                    CMS.video.load_video_search_box();
                                }else{
                                    $('#ajax_content').css({
                                        '-webkitTransform':"translate(0px, 0px)  translateZ(0px)"
                                    });
                                }
                                $('.js_video_fliter').find('span').html('提交');
                                $('.js_video_fliter').find('img').attr('src','imgs/icon-tian-arrow1.png');
                            }else{
                                $('.js_video_fliter').find('span').html('筛选');
                                var categroy_id = $('#video_search_category').val();
                                var years = $('#video_search_years').val();
                                var tag_id = $('#video_search_product').val();
                                var preferred_month = $('#video_search_preferred').val();
                                                    
                                $('.js_video_fliter').find('img').attr('src','imgs/icon-tian-arrow2.png');
                                CMS.video.get_video_search_result(categroy_id,years,tag_id,preferred_month);
                            }
                        });
                        //注册事件
                        $('#js_video_search_category').find('li').off().on('click', function(e){
                            if(!$(this).hasClass('on')){
                                $(this).addClass('on');
                                $(this).siblings('li').removeClass('on');
                            }
                            var dataId = $(this).attr('dataId');
                            $('#video_search_category').val($(this).attr('dataId'));
                            $('#home_video_search_category').val($(this).attr('dataId'));
                            $('#js_home_video_search_category').find('li').each(function(index){
                                if($(this).hasClass('on')){
                                    $(this).removeClass('on');
                                }
                                if($(this).attr('dataId')==dataId){
                                    $(this).addClass('on');
                                };
                            });
                            CMS.video.show_search_result();
                        });
                        $('#js_video_search_years').find('li').off().on('click', function(e){
                            if(!$(this).hasClass('on')){
                                $(this).addClass('on');
                                $(this).siblings('li').removeClass('on');
                            }
                            var dataId = $(this).attr('dataId');
                            $('#video_search_years').val(dataId);
                            $('#home_video_search_years').val(dataId);
                            $('#js_home_video_search_years').find('li').each(function(index){
                                if($(this).hasClass('on')){
                                    $(this).removeClass('on');
                                }
                                if($(this).attr('dataId')==dataId){
                                    $(this).addClass('on');
                                };
                            });
                            CMS.video.show_search_result();
                        });
                        $('#js_video_search_product').find('li').off().on('click', function(e){
                            if(!$(this).hasClass('on')){
                                $(this).addClass('on');
                                $(this).siblings('li').removeClass('on');
                            }
                            var dataId = $(this).attr('dataId');
                            $('#video_search_product').val(dataId);
                            $('#home_video_search_product').val(dataId);
                            $('#js_home_video_search_product').find('li').each(function(index){
                                if($(this).hasClass('on')){
                                    $(this).removeClass('on');
                                }
                                if($(this).attr('dataId')==dataId){
                                    $(this).addClass('on');
                                };
                            });
                            CMS.video.show_search_result();
                        });
                         $('#js_video_search_preferred').find('li').off().on('click', function(e){
                            if(!$(this).hasClass('on')){
                                $(this).addClass('on');
                                $(this).siblings('li').removeClass('on');
                                var quarters = $(this).attr('dataId').split(',');
                                if(e_quarter!=null){
                                    e_quarter.destroy();
                                }
                                $('#e').show();
                                $('#js_video_search_quarter').find('li').hide();
                                for(var i=0; i<quarters.length; i++){
                                    var quarter = quarters[i];
                                    if(i==quarters.length-1){
                                        $('#quarter_'+quarter).addClass('on');
                                        $('#quarter_'+quarter).siblings('li').removeClass('on');
                                        
                                        $('#video_search_preferred_years').val($(this).find('a').text());
                                        if($(this).find('a').text()=='全部'){
                                            $('#video_search_preferred').val('all');
                                            CMS.video.show_search_result();
                                            $('#e').hide();
                                        }else{
                                            $('#video_search_preferred').val($(this).find('a').text()+$('#quarter_'+quarter).attr('dataId'));
                                            CMS.video.show_search_result();
                                        }
                                    }
                                    $('#quarter_'+quarter).show();
                                    ajaxEnd();
                                }
                                var e_quarter = $('#e').swiper({
                                                    slidesPerView:'auto',
                                                    calculateHeight: true,
                                                    cssWidthAndHeight:true
                                                });
                                var preferred_year = $(this).find('a').text();
                                $('#js_home_video_search_preferred').find('li').each(function(index){
                                    if($(this).hasClass('on')){
                                        $(this).removeClass('on');
                                    }
                                    if($(this).find('a').text()==preferred_year){
                                        $(this).addClass('on');
                                        var quarters_home = $(this).attr('dataId').split(',');
                                        if(e_quarter_home!=null){
                                            e_quarter_home.destroy();
                                        }
                                        $('#home_e').show();
                                        $('#js_home_video_search_quarter').find('li').hide();
                                        for(var i=0; i<quarters_home.length; i++){
                                            var quarter_home = quarters_home[i];
                                            $('#home_quarter_'+quarter_home).show();
                                            if(i==quarters_home.length-1){
                                                $('#home_quarter_'+quarter_home).addClass('on');
                                                $('#home_quarter_'+quarter_home).siblings('li').removeClass('on');
                                                
                                                $('#home_video_search_preferred_years').val($(this).find('a').text());
                                                if($(this).find('a').text()=='全部'){
                                                    $('#home_video_search_preferred').val('all');
                                                    $('#home_e').hide();
                                                }else{
                                                    $('#home_video_search_preferred').val($(this).find('a').text()+$('#home_quarter_'+quarter_home).attr('dataId'));
                                                }
                                            }
                                            ajaxEnd();
                                        }
                                        var e_quarter_home = $('#home_e').swiper({
                                                    slidesPerView:'auto',
                                                    calculateHeight: true,
                                                    cssWidthAndHeight:true
                                         });
                                    }
                                });
                            }
                        });
                        $('#js_video_search_quarter').find('li').off().on('click',function(){
                            if(!$(this).hasClass('on')){
                                $(this).addClass('on');
                                $(this).siblings('li').removeClass('on');
                                $('#video_search_preferred').val($('#video_search_preferred_years').val()+ $(this).attr('dataId'));
                                $('#home_video_search_preferred').val($('#video_search_preferred_years').val()+ $(this).attr('dataId'));
                            }
                            var dataId = $(this).find('a').text();
                            $('#js_home_video_search_quarter').find('li').each(function(index){
                                if($(this).hasClass('on')){
                                    $(this).removeClass('on');
                                }
                                if($(this).find('a').text()==dataId){
                                    $(this).addClass('on');
                                };
                            });
                            CMS.video.show_search_result();
                        });
                        $('#movie_search_screen_btn_video').off().on('click',function(){
                            $('.js_video_fliter').find('span').html('筛选');
                            var categroy_id = $('#video_search_category').val();
                            var years = $('#video_search_years').val();
                            var tag_id = $('#video_search_product').val();
                            var preferred_month = $('#video_search_preferred').val();
                            $('.js_video_fliter').find('img').attr('src','imgs/icon-tian-arrow2.png');
                            CMS.video.get_video_search_result(categroy_id,years,tag_id,preferred_month);
                        });
                        
                        $('#a').swiper({
                            slidesPerView:'auto',
                            calculateHeight: true,
                            cssWidthAndHeight:true
                        });
                        $('#b').swiper({
                            slidesPerView:'auto',
                            calculateHeight: true,
                            cssWidthAndHeight:true
                        });
                        $('#c').swiper({
                            slidesPerView:'auto',
                            calculateHeight: true,
                            cssWidthAndHeight:true
                        });
                        $('#d').swiper({
                            slidesPerView:'auto',
                            calculateHeight: true,
                            cssWidthAndHeight:true
                        });
            },
            actuser_search_box_init:function(){
                $('#aaa').swiper({
                    slidesPerView:'auto',
                    calculateHeight: true,
                    cssWidthAndHeight:true
                });
                $('#bbb').swiper({
                    slidesPerView:'auto',
                    calculateHeight: true,
                    cssWidthAndHeight:true
                });
                 $('#actuser_search_province').find('li').off().on('click', function(e){
                    if(!$(this).hasClass('on')){
                        $(this).addClass('on');
                        $(this).siblings('li').removeClass('on');
                    }
                    var dataId = $(this).attr('dataId');
                    $('#province_id').val(dataId);
                    CMS.actUser.get_actuser_search_result_ini();
                });
                $('#actuser_search_category').find('li').off().on('click', function(e){
                    if(!$(this).hasClass('on')){
                        $(this).addClass('on');
                        $(this).siblings('li').removeClass('on');
                    }
                    var dataId = $(this).attr('dataId');
                    $('#categoryId').val(dataId);
                    CMS.actUser.get_actuser_search_result_ini();
                });
            },
			home_video_search_box_init:function(){
						//注册事件
                        $('#js_home_video_search_category').find('li').off().on('click', function(e){
							if(!$(this).hasClass('on')){
								$(this).addClass('on');
								$(this).siblings('li').removeClass('on');
							}
							var dataId = $(this).attr('dataId');
                            $('#home_video_search_category').val($(this).attr('dataId'));
                            $('#video_search_category').val($(this).attr('dataId'));
                            $('#js_video_search_category').find('li').each(function(index){
                                if($(this).hasClass('on')){
                                    $(this).removeClass('on');
                                }
                                if($(this).attr('dataId')==dataId){
                                    $(this).addClass('on');
                                };
                            });
                        });
                        $('#js_home_video_search_years').find('li').off().on('click', function(e){
							if(!$(this).hasClass('on')){
								$(this).addClass('on');
								$(this).siblings('li').removeClass('on');
							}
							var dataId = $(this).attr('dataId');
                            $('#video_search_years').val(dataId);
                            $('#home_video_search_years').val(dataId);
                            $('#js_video_search_years').find('li').each(function(index){
                                if($(this).hasClass('on')){
                                    $(this).removeClass('on');
                                }
                                if($(this).attr('dataId')==dataId){
                                    $(this).addClass('on');
                                };
                            });
                            CMS.video.show_search_result();
                        });
                        $('#js_home_video_search_product').find('li').off().on('click', function(e){
							if(!$(this).hasClass('on')){
								$(this).addClass('on');
								$(this).siblings('li').removeClass('on');
							}
							var dataId = $(this).attr('dataId');
                            $('#video_search_product').val(dataId);
                            $('#home_video_search_product').val(dataId);
                            $('#js_video_search_product').find('li').each(function(index){
                                if($(this).hasClass('on')){
                                    $(this).removeClass('on');
                                }
                                if($(this).attr('dataId')==dataId){
                                    $(this).addClass('on');
                                };
                            });
                            CMS.video.show_search_result();
                        });
						 $('#js_home_video_search_preferred').find('li').off().on('click', function(e){
							if(!$(this).hasClass('on')){
								$(this).addClass('on');
								$(this).siblings('li').removeClass('on');
								var quarters = $(this).attr('dataId').split(',');
								if(e_quarter_home!=null){
                                    e_quarter_home.destroy();
                                }
								$('#home_e').show();
								$('#js_home_video_search_quarter').find('li').hide();
								for(var i=0; i<quarters.length; i++){
									var quarter = quarters[i];
									if(i==quarters.length-1){
										$('#home_quarter_'+quarter).addClass('on');
										$('#home_quarter_'+quarter).siblings('li').removeClass('on');
										
										$('#home_video_search_preferred_years').val($(this).find('a').text());
										if($(this).find('a').text()=='全部'){
											$('#home_video_search_preferred').val('all');
											$('#home_e').hide();
										}else{
											$('#home_video_search_preferred').val($(this).find('a').text()+$('#home_quarter_'+quarter).attr('dataId'));
										}
									}
									$('#home_quarter_'+quarter).show();
									ajaxEnd();
								}
								var e_quarter_home = $('#home_e').swiper({
                                                        slidesPerView:'auto',
                                                        calculateHeight: true,
                                                        cssWidthAndHeight:true
                                                    });
                                var preferred_year = $(this).find('a').text();
                                $('#js_video_search_preferred').find('li').each(function(index){
                                    if($(this).hasClass('on')){
                                        $(this).removeClass('on');
                                    }
                                    if($(this).find('a').text()==preferred_year){
                                        $(this).addClass('on');
                                        var quarters_home = $(this).attr('dataId').split(',');
                                        if(e_quarter!=null){
                                            e_quarter.destroy();
                                        }
                                        $('#e').show();
                                        $('#js_video_search_quarter').find('li').hide();
                                        for(var i=0; i<quarters_home.length; i++){
                                            var quarter_home = quarters_home[i];
                                            $('#quarter_'+quarter_home).show();
                                            if(i==quarters_home.length-1){
                                                $('#quarter_'+quarter_home).addClass('on');
                                                $('#quarter_'+quarter_home).siblings('li').removeClass('on');
                                                
                                                $('#video_search_preferred_years').val($(this).find('a').text());
                                                if($(this).find('a').text()=='全部'){
                                                    $('#video_search_preferred').val('all');
                                                    CMS.video.show_search_result();
                                                    $('#e').hide();
                                                }else{
                                                    $('#video_search_preferred').val($(this).find('a').text()+$('#quarter_'+quarter_home).attr('dataId'));
                                                    CMS.video.show_search_result();
                                                }
                                            }
                                            ajaxEnd();
                                        }
                                        var e_quarter = $('#e').swiper({
                                                    slidesPerView:'auto',
                                                    calculateHeight: true,
                                                    cssWidthAndHeight:true
                                         });
                                    }
                                });
							}
                        });
						$('#js_home_video_search_quarter').find('li').off().on('click',function(){
							if(!$(this).hasClass('on')){
								$(this).addClass('on');
								$(this).siblings('li').removeClass('on');
								$('#video_search_preferred').val($('#home_video_search_preferred_years').val()+ $(this).attr('dataId'));
								$('#home_video_search_preferred').val($('#home_video_search_preferred_years').val()+ $(this).attr('dataId'));
							}
							var dataId = $(this).find("a").text();
                            $('#js_video_search_quarter').find('li').each(function(index){
                                if($(this).hasClass('on')){
                                    $(this).removeClass('on');
                                }
                                if($(this).find("a").text()==dataId){
                                    $(this).addClass('on');
                                };
                            });
                            CMS.video.show_search_result();
						});
						$('#movie_search_screen_btn_video').off().on('click',function(){
							$('.js_video_fliter').find('span').html('筛选');
							var categroy_id = $('#video_search_category').val();
							var years = $('#video_search_years').val();
							var tag_id = $('#video_search_product').val();
							var preferred_month = $('#video_search_preferred').val();
							$('.js_video_fliter').find('img').attr('src','imgs/icon-tian-arrow2.png');
							CMS.video.get_video_search_result(categroy_id,years,tag_id,preferred_month);
						});
						
						$('#home_a').swiper({
							slidesPerView:'auto',
							calculateHeight: true,
							cssWidthAndHeight:true
						});
						$('#home_b').swiper({
							slidesPerView:'auto',
							calculateHeight: true,
							cssWidthAndHeight:true
						});
						$('#home_c').swiper({
							slidesPerView:'auto',
							calculateHeight: true,
							cssWidthAndHeight:true
						});
						$('#home_d').swiper({
							slidesPerView:'auto',
							calculateHeight: true,
							cssWidthAndHeight:true
						});
				}
		}
		
};

