var DISC_INIT = {
    PageLoad : {
        Load_post_init : function() {
            DISC_INIT.loadPostInit.load_init();
        },
        load_postreply_init : function() {
            DISC_INIT.loadPostReplyInit.load_init();
        },
        load_postreply_onlyfloorhost_init : function() {
            DISC_INIT.loadPostReplyOnlyFloorHostInit.load_init();
        },
        load_postreplydisc_init : function() {
            DISC_INIT.loadPostReplyDiscInit.load_init();
        },
        save_post_init : function() {
            DISC_INIT.savePostInit.save_init();
        },
        save_weibafollow_init : function() {
            DISC_INIT.saveWeibaFollowInit.save_init();
        },
        search_weiba_init : function() {
            DISC_INIT.searchWeibaInit.search_init();
        },
        look_reply_init : function() {
            DISC_INIT.lookInit.look_init();
        },
        new_post_init : function() {
            DISC_INIT.newPostInit.newpost_init();
        }
    },
    //
    loadPostInit : {
        load_init : function(e) {
            //用隐藏的input存放变量
            var weiba_id = UTIL.STORAGE.getLocVal('weiba_id');
            $('#weiba_id').val(weiba_id);
            //
            UTIL.WIN.marginTop('a1');
            //载入数据
            if (weiba_id == null) {
                DISC.weiba.get_Post_List();
            } else {
                DISC.weiba.get_Post_List(weiba_id);
            }
            //发帖子单击事件
            $('#newpost_button').off().on('click', function(e) {
                UTIL.WIN.openNewWin('discussionnewpost', 'discussionnewpost.html?weiba_id=' + weiba_id);
            });
            //数据载入完毕前隐藏
            $('#post_main').hide();
        }
    },
    //
    loadPostReplyInit : {
        load_init : function(e) {
            $('#weiba_id').val(UTIL.STORAGE.getLocVal('weiba_id'));
            $('#post_id').val(UTIL.STORAGE.getLocVal('post_id'));
            //
            var weibaid = $('#weiba_id').val();
            var postid = $('#post_id').val();
            UTIL.STORAGE.setLocVal('weiba_id',weibaid);
            UTIL.STORAGE.setLocVal('post_id',postid);
            //
            UTIL.WIN.marginTop('a1');
            //
            $('#face_swiper').swiper({
                slidesPerView : 'auto',
                calculateHeight : true
            });
            //
            DISC.weiba.get_Reply_List(weibaid, postid);
            //发送按钮单击事件
            $('#newpostreply').off().on('click', function(e) {
                if (UTIL.STORAGE.getToken() == "") {
                    setTimeout(function() {
                        UTIL.WIN.quickLoginWindow('login_id');
                    }, 500);
                }
                //
                var postuid = $('#post_uid').val();
                var content = $('#replycontent').val();
                
                if(content == ''){
                	UTIL.WIN.showAlertTip('login_success_tip','success','内容不能为空');
                	return false;
                }
                //表情转换
                content = DISC.weiba.dispose_Look_Link(content);
                //
                DISC.weiba.set_PostReply_List(weibaid, postid, postuid, content);
            });
            //只看楼主
            $('#onlyfloorhost').off().on('click', function(e) {
                var postuid = $('#post_uid').val();
                UTIL.WIN.openNewWin('discussionreplyonlyfloorhost', 'discussionreply_onlyfloorhost.html?weiba_id=' + weibaid + '&post_id=' + postid + '&post_uid=' + postuid);
            });
            //
            $('#reply_main').hide();
        }
    },
    //
    loadPostReplyOnlyFloorHostInit : {
        load_init : function(e) {
            UTIL.WIN.marginTop('a1');
            //
            $('#face_swiper').swiper({
                slidesPerView : 'auto',
                calculateHeight : true
            });
            //
            var weibaid = UTIL.STORAGE.getLocVal('weiba_id');
            var postid = UTIL.STORAGE.getLocVal('post_id');
            var postuid = UTIL.STORAGE.getLocVal('post_uid');
            
            UTIL.STORAGE.setLocVal('weiba_id',weibaid);
            UTIL.STORAGE.setLocVal('post_id',postid);
            UTIL.STORAGE.setLocVal('post_uid',postuid);
            
            //
            DISC.weiba.get_ReplyOnlyFloorHost_List(weibaid, postid, postuid);
            //
            //发送按钮单击事件
            $('#newpostreply').off().on('click', function(e) {
                if (UTIL.STORAGE.getToken() == "") {
                    setTimeout(function() {
                        UTIL.WIN.quickLoginWindow('login_id');
                    }, 500);
                }
                //
                var postuid = $('#post_uid').val();
                var content = $('#replycontent').val();
                
                if(content == ''){
                	UTIL.WIN.showAlertTip('login_success_tip','success','内容不能为空');
                	return false;
                }
                //表情转换
                content = DISC.weiba.dispose_Look_Link(content);
                //
                DISC.weiba.set_PostReply_List(weibaid, postid, postuid, content);
            });
            
            $('#reply_main').hide();
        }
    },
    //
    loadPostReplyDiscInit : {
        load_init : function(e) {
            $('#weiba_id').val(UTIL.STORAGE.getLocVal('weiba_id'));
            $('#post_id').val(UTIL.STORAGE.getLocVal('post_id'));
            $('#post_uid').val(UTIL.STORAGE.getLocVal('post_uid'));
            $('#reply_id').val(UTIL.STORAGE.getLocVal('reply_id'));
            $('#uid').val(UTIL.STORAGE.getLocVal('uid'));
            $('#replydisc_type').val(UTIL.STORAGE.getLocVal('replydisc_type'));
            //
            var weibaid = $('#weiba_id').val();
            var postid = $('#post_id').val();
            var postuid = $('#post_uid').val();
            var replyid = $('#reply_id').val();
            var uid = $('#uid').val();
            var replydisctype = $('#replydisc_type').val();
            UTIL.STORAGE.setLocVal('weiba_id',weibaid);
            UTIL.STORAGE.setLocVal('post_id',postid);
            UTIL.STORAGE.setLocVal('post_uid',postuid);
            UTIL.STORAGE.setLocVal('reply_id',replyid);
            UTIL.STORAGE.setLocVal('uid',uid);
            UTIL.STORAGE.setLocVal('replydisc_type',replydisctype);
            //
            UTIL.WIN.marginTop('a1');
            //
            $('#face_swiper').swiper({
                slidesPerView : 'auto',
                calculateHeight : true
            });
            //
            DISC.weiba.get_ReplyDisc_List(weibaid, postid, replyid);
            //先隐藏回复
            $('#display_footer').hide();
            //由直接点击评论过渡来的
            if (replydisctype == 1) {
                $('#display_footer').show();
                document.getElementById('replycontent').focus();
            }
            //点击评论按钮后允许录入评论信息
            $('#newpostreplydisc_button').off().on('click', function(e) {
                $('#display_footer').show();
                document.getElementById('replycontent').focus();
            });
            //发送按钮单击事件
            $('#newpostreplydisc').off().on('click', function(e) {

                if (UTIL.STORAGE.getToken() == "") {
                    setTimeout(function() {
                        UTIL.WIN.quickLoginWindow('login_id');
                    }, 500);
                }
                //
                var toreplyid = $('#to_reply_id').val();
                var touid = $('#to_uid').val();
                var content = $('#replycontent').val();
                if(content == ''){
                	UTIL.WIN.showAlertTip('login_success_tip','success','内容不能为空');
                	return false;
                }
                var contentbakcup = $('#replycontent_backup').val();
                //
                if (content.indexOf(contentbakcup) >= 0 && content.substr(0, contentbakcup.length) == contentbakcup && contentbakcup.length > 0) {
                    content = content.substr(contentbakcup.length, content.length);
                }
                //表情转换
                content = DISC.weiba.dispose_Look_Link(content);

                //
                DISC.weiba.set_PostReplyDisc_List(weibaid, postid, postuid, replyid, uid, toreplyid, touid, content);
            });
            //
            $('#replydisc_main').hide();
        }
    },
    //
    savePostInit : {
        save_init : function(e) {
            UTIL.WIN.marginTop('a1');
            $('#weiba_id').val(UTIL.STORAGE.getLocVal('weiba_id'));
            //
            if (UTIL.STORAGE.getToken() == "") {
                setTimeout(function() {
                    UTIL.WIN.quickLoginWindow('login_id');
                }, 500);
            }
            //
            $('#face_swiper').swiper({
                slidesPerView : 'auto',
                calculateHeight : true
            });
            //
            $('#newpost').off().on('click', function(e) {
                var weibaid = $('#weiba_id').val();
                var title = $('#title').val();
                var content = $('#replycontent').val();
                //表情转换
                content = DISC.weiba.dispose_Look_Link(content);
                //涉及图片信息的处理
                var rowid = $('#verif_attach_id').val();
                //
                DISC.weiba.set_Post_List(weibaid, title, content, rowid);
            });
        }
    },
    saveWeibaFollowInit : {
        save_init : function() {
            UTIL.WIN.marginTop('a1');
            //
            DISC.weiba.get_Weiba_List();
        }
    },
    searchWeibaInit : {
        search_init : function(e) {
            UTIL.WIN.marginTop('a1');
            //
            $('#searchweiba_button').off().on('click', function(e) {
                var condition = $('#condition').val();
                //
                DISC.weiba.search_Weiba(condition);
            });
        }
    },
    lookInit : {
        look_init : function() {
            $('#newpostreplydisclook').off().on('click', function(e) {
                document.getElementById('changeheight').style.height = "17em";
            });
        }
    },
    newPostInit : {
        newpost_init : function() {
            $('#newpostreplydisclook').off().on('click', function(e) {
                //
                $('#emotionsContent1').toggle("normal");
                $('#emotionsContent2').toggle("normal");
                $('#emotionsContent3').toggle("normal");
            });
        }
    },
};

