var DISC = {
    weiba : {
        get_Weiba_List : function() {
            var api_url;
            //登录和未登录时关注按钮效果处理
            if (UTIL.STORAGE.getToken() == "") {
                api_url = API.DISC.getWeibaList;
            } else {
                api_url = API.DISC.getWeibaList + "&token=" + UTIL.STORAGE.getToken();
            }
            //
            UTIL.AJAX.load_server_json(api_url, function(data) {

                var api_data = data.nList;
                var ttPage = data.totalPage;

                UTIL.AJAX._load_content('discussionweiba_list.html', function(data) {
                    $('#weiba_list').empty();
                    var html = '';
                    if (api_data != null) {
                        html = ($.templates(data)).render(api_data);
                    }
                    $('#weiba_list').append(html);
                    //
                    if ($('.ajax_weibafollow_btn').length > 0) {
                        $('.ajax_weibafollow_btn').off().on('click', function(e) {
                            if (UTIL.STORAGE.getToken() == "") {
                                setTimeout(function() {
                                    UTIL.WIN.quickLoginWindow('login_id', function() {
                                        UTIL.WIN.openNewWin('discussionweiba', 'discussionweiba.html', 14, 4);
                                    });
                                }, 500);
                                return false;
                            }
                            //
                            var weibaid = $(this).attr('dataId');
                            var follow_state = 0;
                            //
                            if ($(this).hasClass('btn-danger')) {
                                follow_state = 1;
                            }
                            //
                            DISC.weiba.set_WeibaFollow_List(weibaid, follow_state);
                        });
                    }

                    if (ttPage <= 1) {
                        UTIL.PAGE.recover_scroller('a1');
                        ajaxEnd();
                        return;
                    }
                    $('#weiba_list_box').append(UTIL.PAGE.getpullUpDiv("pullUp", "", ttPage));
                    UTIL.PAGE.iScroll('pullUp', api_url, 'discussionweiba_list.html', 'data.nList', 'a1', function(api_data, data) {
                        var html = '';

                        if (api_data != null) {
                            html = ($.templates(data)).render(api_data);
                        }
                        $('#weiba_list').append(html);
                        ajaxEnd();
                    });

                    ajaxEnd();
                });
            });

        },
        get_Post_List : function(weibaid) {
        	
            var api_url = API.DISC.getPostList + "&token=" + UTIL.STORAGE.getToken() + "&weiba_id=" + weibaid;
            //
            UTIL.AJAX.load_server_json(api_url, function(data) {

                var api_data = data.nList;
                var ttPage = data.totalPage;

                UTIL.AJAX._load_content('discussionpost_list.html', function(data) {
                    $('#group_list').empty();

                    var html = '';
                    if (api_data != null) {
                        html = ($.templates(data)).render(api_data);
                    }
                    $('#group_list').append(html);
                    
                    //发帖子单击事件
		            $('.js_del_post').off().on('click', function(e) {
		                var post_id = $(this).attr('dataId');
		                DISC.weiba.del_post_item(post_id, $(this));
		            });
		            $('#pullDown').hide();
                    //
                    if (ttPage <= 1) {
                        UTIL.PAGE.iScroll(null,'','','','a1',null,'pullDown',function(){
                        	DISC_INIT.PageLoad.Load_post_init();
                        });
                        ajaxEnd();
                        return;
                    }
                    $('#group_box').append(UTIL.PAGE.getpullUpDiv("pullUp", "", ttPage));
                    UTIL.PAGE.iScroll('pullUp', api_url, 'discussionpost_list.html', 'data.nList', 'a1', function(api_data, data) {
                        var html = '';

                        if (api_data != null) {
                            html = ($.templates(data)).render(api_data);
                        }
                        $('#group_list').append(html);
                        ajaxEnd();
                    },'pullDown',function(){
                    	DISC_INIT.PageLoad.Load_post_init();
                    });

                    ajaxEnd();
                });
                //
                var api_weibainfo = data.weiba_info;

                if (api_weibainfo != null) {
                    $('#weiba_id').val(api_weibainfo.weiba_id);
                    $(".weiba_name").html(api_weibainfo.weiba_name);
                    $("#follower_count").html(api_weibainfo.follower_count);
                    $("#thread_count").html(api_weibainfo.thread_count);
                    $("#intro").html(api_weibainfo.intro);
                    if ($('.ajax_weibafollow_btn').length > 0) {
                        if (api_weibainfo.follow_type == 1) {
                            $("#weibafollow_btn_box").html('<a href="javascript:;" id="follow_item_a_" class="ajax_weibafollow_btn btn btn-primary btn-sm" style="width: 70px; min-width: 70px; height: 28px;min-height: 28px; padding-top: 5px;">取消关注</a>');
                        }
                    }
                    $("#img_src").html('<img src="' + api_weibainfo.logo + '" width="100" height="100"/>');
                }
                //

                if ($('.ajax_weibafollow_btn').length > 0) {
                    $('.ajax_weibafollow_btn').off().on('click', function(e) {

                        if (UTIL.STORAGE.getToken() == "") {
                            setTimeout(function() {
                                UTIL.WIN.quickLoginWindow('login_id', function() {
                                    UTIL.WIN.openNewWin('discussionpost', 'discussionpost.html', 14, 4);
                                });
                            }, 500);
                            return false;
                        }
                        //
                        var weibaid = $('#weiba_id').val();
                        var follow_state = 0;
                        //
                        if ($(this).hasClass('btn-danger')) {
                            follow_state = 1;
                        }
                        //
                        DISC.weiba.set_WeibaFollow_List_1(weibaid, follow_state);
                    });
                }
                ajaxEnd();
                //
                $('#post_main').show();
            });
        },
        get_Reply_List : function(weibaid, postid) {
            var api_url = API.DISC.getReplyList + "&token=" + UTIL.STORAGE.getToken() + "&weiba_id=" + weibaid + "&post_id=" + postid;

            UTIL.AJAX.load_server_json(api_url, function(data) {
                //
                var api_data = data.nList;
                var ttPage = data.totalPage;

                //
                UTIL.AJAX._load_content('discussionreply_list.html', function(data) {
                    $('#reply_list').empty();
                    //
                    var html = '';
                    if (api_data != null) {
                        html = ($.templates(data)).render(api_data);
                    }
                    $('#reply_list').append(html);

                    //发回复单击事件
		            $('.js_del_reply').off().on('click', function(e) {
		                var reply_id = $(this).attr('dataId');
		                DISC.weiba.del_reply_item(reply_id, $(this));
		            });
		            
                    //分页
                    if (ttPage <= 1) {
                       	UTIL.PAGE.iScroll(null,'','','','a1',null,'pullDown',function(){
                        	DISC_INIT.PageLoad.Load_post_init();
                        });
                        ajaxEnd();
                        return;
                    }
                    $('#reply_box').append(UTIL.PAGE.getpullUpDiv("pullUp", "", ttPage));
                    UTIL.PAGE.iScroll('pullUp', api_url, 'discussionreply_list.html', 'data.nList', 'a1', function(api_data, data) {
                        var html = '';
                        if (api_data != null) {
                            html = ($.templates(data)).render(api_data);
                        }
                        $('#reply_list').append(html);
                        ajaxEnd();
                    },'pullDown',function(){
                    	DISC_INIT.PageLoad.load_postreply_init();
                    });
                    //
                    ajaxEnd();
                });
                //
                var api_post_images = data.post_info.post_images;
                UTIL.AJAX._load_content('discussionreplyimages_list.html', function(data) {
                    //
                    $('#images_list').empty();
                    //
                    var html1 = '';
                    if (api_post_images != null && api_post_images.length > 0) {
                        html1 = ($.templates(data)).render(api_post_images);
                    }
                    $('#images_list').append(html1);
                    //
                    ajaxEnd();
                });
                //
                var api_postinfo = data.post_info;
                //
                if (api_postinfo != null) {
                    $(".floor_host").html(api_postinfo.post_name + '  ' + '【楼主】');
                    $("#post_uid").val(api_postinfo.post_uid);
                    $("#post_time").html(api_postinfo.post_time);
                    $(".post_title").html(api_postinfo.title);
                    $("#content").html(api_postinfo.content);
                    $("#img_src").html('<img src="' + api_postinfo.avatar_small + '" width="100" height="100"/>');
                }
                //
                ajaxEnd();
                //
                $('#reply_main').show();
            });
        },
        get_ReplyOnlyFloorHost_List : function(weibaid, postid, postuid) {
        	
            var api_url = API.DISC.getReplyOnlyFloorHostList + "&token=" + UTIL.STORAGE.getToken() + "&weiba_id=" + weibaid + "&post_id=" + postid + "&post_uid=" + postuid;

            UTIL.AJAX.load_server_json(api_url, function(data) {
                //
                var api_data = data.nList;
                var ttPage = data.totalPage;
                UTIL.AJAX._load_content('discussionreply_list.html', function(data) {
                    $('#reply_list').empty();
                    //
                    var html = '';
                    if (api_data != null) {
                        html = ($.templates(data)).render(api_data);
                    }
                    $('#reply_list').append(html);
                    $('#pullDown').hide();
                    //发回复单击事件
		            $('.js_del_reply').off().on('click', function(e) {
		                var reply_id = $(this).attr('dataId');
		                DISC.weiba.del_reply_item(reply_id, $(this));
		            });
		            
                    //分页
                    if (ttPage <= 1) {
                        UTIL.PAGE.iScroll(null,'','','','a1',null,'pullDown',function(){
                        	DISC_INIT.PageLoad.load_postreply_onlyfloorhost_init();
                        });
                        ajaxEnd();
                        return;
                    }
                    $('#reply_box').append(UTIL.PAGE.getpullUpDiv("pullUp", "", ttPage));
                    UTIL.PAGE.iScroll('pullUp', api_url, 'discussionreply_list.html', 'data.nList', 'a1', function(api_data, data) {
                        var html = '';
                        if (api_data != null) {
                            html = ($.templates(data)).render(api_data);
                        }
                        $('#reply_list').append(html);
                        ajaxEnd();
                    },'pullDown',function(){
                        	DISC_INIT.PageLoad.load_postreply_onlyfloorhost_init();
                    });
                    //
                    ajaxEnd();
                });
                //
                var api_post_images = data.post_info.post_images;
                UTIL.AJAX._load_content('discussionreplyimages_list.html', function(data) {
                    //
                    $('#images_list').empty();
                    //
                    var html1 = '';
                    if (api_post_images != null && api_post_images.length > 0) {
                        html1 = ($.templates(data)).render(api_post_images);
                    }
                    $('#images_list').append(html1);
                    //
                    ajaxEnd();
                });
                //
                var api_postinfo = data.post_info;
                if (api_postinfo != null) {
                    $(".floor_host").html(api_postinfo.post_name + '  ' + '【楼主】');
                    $("#post_uid").val(api_postinfo.post_uid);
                    $("#post_time").html(api_postinfo.post_time);
                    $(".post_title").html(api_postinfo.title);
                    $("#content").html(api_postinfo.content);
                    $("#img_src").html('<img src="' + api_postinfo.avatar_small + '" width="100" height="100"/>');
                }
                //
                ajaxEnd();
                //
                $('#reply_main').show();
            });
        },
        get_ReplyDisc_List : function(weibaid, postid, replyid) {

            var api_url = API.DISC.getReplydiscList + "&token=" + UTIL.STORAGE.getToken() + "&weiba_id=" + weibaid + "&post_id=" + postid + "&reply_id=" + replyid;

            UTIL.AJAX.load_server_json(api_url, function(data) {
                //
                var api_data = data.nList;
                var ttPage = data.totalPage;

                UTIL.AJAX._load_content('discussionreplydisc_list.html', function(data) {
                    $('#replydisc_list').empty();
                    //
                    var html = '';
                    if (api_data != null) {
                        html = ($.templates(data)).render(api_data);
                    }
                    $('#replydisc_list').append(html);
                    //
                    if ($('.replydiscdetail').length > 0) {
                        $('.replydiscdetail').off().on('click', function(e) {
                            if (UTIL.STORAGE.getToken() == "") {
                                setTimeout(function() {
                                    UTIL.WIN.quickLoginWindow('login_id', function() {
                                    });
                                }, 500);
                                return false;
                            }
                            //
                            $('#display_footer').show();
                            //
                            var uid = $(this).attr('dataId');
                            var replyid = $(this).attr('Id');
                            var unmae = $(this).attr('datafld');
                            //
                            $("#to_reply_id").val(replyid);
                            $("#to_uid").val(uid);
                            $("#replycontent").val('回复 ' + unmae + ':');
                            $("#replycontent_backup").val('回复 ' + unmae + ':');
                            document.getElementById('replycontent').focus();
                        });
                    }
                    $('#pullDown').hide();
                    //发回复单击事件
		            $('.js_del_reply_disc').off().on('click', function(e) {
		                var reply_id = $(this).attr('dataId');
		                DISC.weiba.del_reply_disc_item(reply_id, $(this));
		            });
                    
                    //分页
                    if (ttPage <= 1) {
                    	UTIL.PAGE.iScroll(null,'','','','a1',null,'pullDown',function(){
                        	DISC_INIT.PageLoad.load_postreplydisc_init();
                        });
                        ajaxEnd();
                        return;
                    }
                    $('#replydisc_box').append(UTIL.PAGE.getpullUpDiv("pullUp", "", ttPage));
                    UTIL.PAGE.iScroll('pullUp', api_url, 'discussionreplydisc_list.html', 'data.nList', 'a1', function(api_data, data) {
                        var html = '';
                        if (api_data != null) {
                            html = ($.templates(data)).render(api_data);
                        }
                        $('#replydisc_list').append(html);
                        ajaxEnd();
                    },'pullDown',function(){
                        	DISC_INIT.PageLoad.load_postreplydisc_init();
                        });
                    //
                    ajaxEnd();
                });

                ajaxEnd();

                $("#reply_storey").html(api_data[0].storey + ' 楼 评论');
                //
                $('#replydisc_main').show();
            });
        },
        set_Post_List : function(weibaid, title, content, rowid) {
            if (UTIL.STORAGE.getToken() == "") {
                setTimeout(function() {
                    UTIL.WIN.quickLoginWindow('login_id');
                }, 500);
                return false;
            }
            //校验输入
            if (title == '' || title == '在此输入标题') {
                $('#post_error_msg_title').html('标题不能为空');
                return false;
            }else{
            	$('#post_error_msg_title').html('');
            }
            if (content == '' || content == '在此输入内容') {
                $('#post_error_msg_replycontent').html('内容不能为空');
                return false;
            }else{
            	$('#post_error_msg_replycontent').html('');
            }

            $('#postnew_button').html('发表中...');

            var param_str = "&weiba_id=" + weibaid + "&title=" + title + "&content=" + content + "&row_id=" + rowid;
            var api_url = API.DISC.setPostData + "&token=" + UTIL.STORAGE.getToken() + param_str;

            UTIL.AJAX.load_server_json(api_url, function(data) {
                if (data != null && data.is_save) {
                    //
                    UTIL.WIN.openNewWin('discussionpost', 'discussionpost.html?weiba_id=' + weibaid, 14, 4);
                    UTIL.WIN.winClose();
                } else {
                    UTIL.WIN.showAlertTip('login_success_tip','success','保存失败');
                }
            }); 

        },
        del_post_item : function(post_id, del_span) {
        	$(del_span).html('处理中');
            if (UTIL.STORAGE.getToken() == "") {
                setTimeout(function() {
                    UTIL.WIN.quickLoginWindow('login_id');
                }, 500);
                return false;
            }
            var param_str = "&post_id=" + post_id;
            var api_url = API.DISC.delPostItem + "&token=" + UTIL.STORAGE.getToken() + param_str;
            UTIL.AJAX.load_server_json(api_url, function(data) {
            	if (data != null && data.is_del) {
            		UTIL.WIN.showAlertTip('login_success_tip','success','删除成功');
					$('#list_post_'+post_id).remove();
                } else {
                	UTIL.WIN.showAlertTip('login_success_tip','success','删除失败');
					$(del_span).html('删除');
                }	                
            });
        },
        del_reply_item : function(reply_id, del_span) {
        	$(del_span).html('处理中');
            if (UTIL.STORAGE.getToken() == "") {
                setTimeout(function() {
                    UTIL.WIN.quickLoginWindow('login_id');
                }, 500);
                return false;
            }
            var param_str = "&reply_id=" + reply_id;
            var api_url = API.DISC.delReplyItem + "&token=" + UTIL.STORAGE.getToken() + param_str;
            UTIL.AJAX.load_server_json(api_url, function(data) {
            	if (data != null && data.is_del) {
            		UTIL.WIN.showAlertTip('login_success_tip','success','删除成功');
					$('#list_reply_'+reply_id).remove();
                } else {
                	UTIL.WIN.showAlertTip('login_success_tip','success','删除失败');
					$(del_span).html('删除');
                }	                
            });
        },
        del_reply_disc_item : function(reply_id, del_span) {
        	$(del_span).html('处理中');
            if (UTIL.STORAGE.getToken() == "") {
                setTimeout(function() {
                    UTIL.WIN.quickLoginWindow('login_id');
                }, 500);
                return false;
            }
            var param_str = "&reply_id=" + reply_id;
            var api_url = API.DISC.delReplyDiscItem + "&token=" + UTIL.STORAGE.getToken() + param_str;
            UTIL.AJAX.load_server_json(api_url, function(data) {
            	if (data != null && data.is_del) {
            		UTIL.WIN.showAlertTip('login_success_tip','success','删除成功');
					$('#list_reply_disc_'+reply_id).remove();
                } else {
                	UTIL.WIN.showAlertTip('login_success_tip','success','删除失败');
					$(del_span).html('删除');
                }	                
            });
        },
        set_PostReply_List : function(weibaid, postid, postuid, content) {
            if (UTIL.STORAGE.getToken() == "") {
                setTimeout(function() {
                    UTIL.WIN.quickLoginWindow('login_id');
                }, 500);
                return false;
            }
            var param_str = "&weiba_id=" + weibaid + "&post_id=" + postid + "&post_uid=" + postuid + "&content=" + content;
            var api_url = API.DISC.setReplyData + "&token=" + UTIL.STORAGE.getToken() + param_str;

			$('#newpostreply').attr('class','fa fa-spinner pr-5');
            UTIL.AJAX.load_server_json(api_url, function(data) {
                if (data != null && data.is_save) {
                	
                    DISC.weiba.get_Reply_List(weibaid, postid);
                    $('#replycontent').val('');
                } else {
                    UTIL.WIN.showAlertTip('login_success_tip','success','回复失败');
                }
                
                if ($("#changeheight").length > 0) {
                	document.getElementById('changeheight').style.height = "6em";
                }
                $('#newpostreply').attr('class','fa fa-share pr-5');
                
            });
        },
        set_PostReplyDisc_List : function(weibaid, postid, postuid, replyid, uid, toreplyid, touid, content) {
            if (UTIL.STORAGE.getToken() == "") {
                setTimeout(function() {
                    UTIL.WIN.quickLoginWindow('login_id');
                }, 500);
                return false;
            }
            var param_str = "&weiba_id=" + weibaid + "&post_id=" + postid + "&post_uid=" + postuid + "&reply_id=" + replyid + "&uid=" + uid + "&to_reply_id=" + toreplyid + "&to_uid=" + touid + "&content=" + content;
            var api_url = API.DISC.setReplyDiscData + "&token=" + UTIL.STORAGE.getToken() + param_str;
            //
            $('#newpostreplydisc').attr('class','fa fa-spinner pr-5');
            UTIL.AJAX.load_server_json(api_url, function(data) {
                if (data != null && data.is_save) {
                    //初始化我的页面
                    DISC.weiba.get_ReplyDisc_List(weibaid, postid, replyid);
                    $('#replycontent').val('');
                } else {
                    UTIL.WIN.showAlertTip('login_success_tip','success','评论失败');
                }
                
                if ($("#changeheight").length > 0) {
                	document.getElementById('changeheight').style.height = "6em";
                }
                $('#newpostreplydisc').attr('class','fa fa-share pr-5');
            });
            
        },
        set_WeibaFollow_List : function(weibaid, follow_state) {
            $('#follow_item_a_' + weibaid).html('处理中');
            //
            var param_str = "&weiba_id=" + weibaid;
            param_str = param_str + "&follow_state=" + follow_state;
            var api_url = API.DISC.changeWeibaFollowState + "&token=" + UTIL.STORAGE.getToken() + param_str;
            //
            UTIL.AJAX.load_server_json(api_url, function(data) {
                if (data != null && data.follow_state != null) {
                    //判断关注按钮
                    if (data.follow_state == 1) {
                        $('#follow_item_a_' + weibaid).removeClass('btn-danger');
                        $('#follow_item_a_' + weibaid).addClass('btn-primary');
                        $('#follow_item_a_' + weibaid).html('取消关注');
                    } else {
                        $('#follow_item_a_' + weibaid).removeClass('btn-primary');
                        $('#follow_item_a_' + weibaid).addClass('btn-danger');
                        $('#follow_item_a_' + weibaid).html('+关注');
                    }
                }
            });
        },
        set_WeibaFollow_List_1 : function(weibaid, follow_state) {
            $('#follow_item_a_').html('处理中');
            //
            var param_str = "&weiba_id=" + weibaid;
            param_str = param_str + "&follow_state=" + follow_state;
            var api_url = API.DISC.changeWeibaFollowState + "&token=" + UTIL.STORAGE.getToken() + param_str;
            
            //
            UTIL.AJAX.load_server_json(api_url, function(data) {
                if (data != null && data.follow_state != null) {
                    //判断关注按钮
                    if (data.follow_state == 1) {
                        $('#follow_item_a_').removeClass('btn-danger');
                        $('#follow_item_a_').addClass('btn-primary');
                        $('#follow_item_a_').html('取消关注');
                    } else {
                        $('#follow_item_a_').removeClass('btn-primary');
                        $('#follow_item_a_').addClass('btn-danger');
                        $('#follow_item_a_').html('+关注');
                    }
                }
            });
        },
        search_Weiba : function(condition) {
            var api_url;
            //
            $('#searchweiba_button').html('搜索中...');
            //
            if (UTIL.STORAGE.getToken() == "") {
                api_url = API.DISC.searchWeiba + "&condition=" + condition;
            } else {
                api_url = API.DISC.searchWeiba + "&token=" + UTIL.STORAGE.getToken() + "&condition=" + condition;
            }
            //
            UTIL.AJAX.load_server_json(api_url, function(data) {

                var api_data = data.nList;
                var ttPage = data.totalPage;

                UTIL.AJAX._load_content('discussionweiba_list.html', function(data) {
                    $('#weiba_list').empty();
                    //
                    var html = '';
                    //
                    if (api_data != null) {
                        html = ($.templates(data)).render(api_data);
                    }
                    //
                    $('#weiba_list').append(html);
                    //
                    if ($('.ajax_weibafollow_btn').length > 0) {
                        $('.ajax_weibafollow_btn').off().on('click', function(e) {
                            if (UTIL.STORAGE.getToken() == "") {
                                setTimeout(function() {
                                    UTIL.WIN.quickLoginWindow('login_id', function() {
                                        UTIL.WIN.openNewWin('discussionweiba', 'discussionweiba.html', 14, 4);
                                    });
                                }, 500);
                                return false;
                            }
                            //
                            var weibaid = $(this).attr('dataId');
                            var follow_state = 0;
                            //
                            if ($(this).hasClass('btn-danger')) {
                                follow_state = 1;
                            }
                            //
                            DISC.weiba.set_WeibaFollow_List(weibaid, follow_state);
                        });
                    }

                    $('#searchweiba_button').html('搜索');

                    if (ttPage <= 1) {
                        UTIL.PAGE.recover_scroller('a1');
                        ajaxEnd();
                        return;
                    }

                    $('#weiba_list_box').append(UTIL.PAGE.getpullUpDiv("pullUp", "", ttPage));
                    UTIL.PAGE.iScroll('pullUp', api_url, 'discussionweiba_list.html', 'data.nList', 'a1', function(api_data, data) {
                        var html = '';

                        if (api_data != null) {
                            html = ($.templates(data)).render(api_data);
                        }
                        $('#weiba_list').append(html);
                        ajaxEnd();
                    });

                    ajaxEnd();

                    //
                });
            });
        },
        //处理回复,新帖中的表情图片链接,最终保存到数据库中
        dispose_Look_Link : function(content) {
            var em = [{
                'id' : 0,
                'phrase' : '{0}',
                'url' : '0.gif'
            }, {
                'id' : 1,
                'phrase' : '{1}',
                'url' : '1.gif'
            }, {
                'id' : 2,
                'phrase' : '{2}',
                'url' : '2.gif'
            }, {
                'id' : 3,
                'phrase' : '{3}',
                'url' : '3.gif'
            }, {
                'id' : 4,
                'phrase' : '{4}',
                'url' : '4.gif'
            }, {
                'id' : 5,
                'phrase' : '{5}',
                'url' : '5.gif'
            }, {
                'id' : 6,
                'phrase' : '{6}',
                'url' : '6.gif'
            }, {
                'id' : 7,
                'phrase' : '{7}',
                'url' : '7.gif'
            }, {
                'id' : 8,
                'phrase' : '{8}',
                'url' : '8.gif'
            }, {
                'id' : 9,
                'phrase' : '{9}',
                'url' : '9.gif'
            }, {
                'id' : 10,
                'phrase' : '{10}',
                'url' : '10.gif'
            }, {
                'id' : 11,
                'phrase' : '{11}',
                'url' : '11.gif'
            }, {
                'id' : 12,
                'phrase' : '{12}',
                'url' : '12.gif'
            }, {
                'id' : 13,
                'phrase' : '{13}',
                'url' : '13.gif'
            }, {
                'id' : 14,
                'phrase' : '{14}',
                'url' : '14.gif'
            }, {
                'id' : 15,
                'phrase' : '{15}',
                'url' : '15.gif'
            }, {
                'id' : 16,
                'phrase' : '{16}',
                'url' : '16.gif'
            }, {
                'id' : 17,
                'phrase' : '{17}',
                'url' : '17.gif'
            }, {
                'id' : 18,
                'phrase' : '{18}',
                'url' : '18.gif'
            }, {
                'id' : 19,
                'phrase' : '{19}',
                'url' : '19.gif'
            }, {
                'id' : 20,
                'phrase' : '{20}',
                'url' : '20.gif'
            }, {
                'id' : 21,
                'phrase' : '{21}',
                'url' : '21.gif'
            }, {
                'id' : 22,
                'phrase' : '{22}',
                'url' : '22.gif'
            }, {
                'id' : 23,
                'phrase' : '{23}',
                'url' : '23.gif'
            }, {
                'id' : 24,
                'phrase' : '{24}',
                'url' : '24.gif'
            }, {
                'id' : 25,
                'phrase' : '{25}',
                'url' : '25.gif'
            }, {
                'id' : 26,
                'phrase' : '{26}',
                'url' : '26.gif'
            }, {
                'id' : 27,
                'phrase' : '{27}',
                'url' : '27.gif'
            }, {
                'id' : 28,
                'phrase' : '{28}',
                'url' : '28.gif'
            }, {
                'id' : 29,
                'phrase' : '{29}',
                'url' : '29.gif'
            }, {
                'id' : 30,
                'phrase' : '{30}',
                'url' : '30.gif'
            }, {
                'id' : 31,
                'phrase' : '{31}',
                'url' : '31.gif'
            }, {
                'id' : 32,
                'phrase' : '{32}',
                'url' : '32.gif'
            }, {
                'id' : 33,
                'phrase' : '{33}',
                'url' : '33.gif'
            }, {
                'id' : 34,
                'phrase' : '{34}',
                'url' : '34.gif'
            }, {
                'id' : 35,
                'phrase' : '{35}',
                'url' : '35.gif'
            }, {
                'id' : 36,
                'phrase' : '{36}',
                'url' : '36.gif'
            }, {
                'id' : 37,
                'phrase' : '{37}',
                'url' : '37.gif'
            }, {
                'id' : 38,
                'phrase' : '{38}',
                'url' : '38.gif'
            }, {
                'id' : 39,
                'phrase' : '{39}',
                'url' : '39.gif'
            }, {
                'id' : 40,
                'phrase' : '{40}',
                'url' : '40.gif'
            }, {
                'id' : 41,
                'phrase' : '{41}',
                'url' : '41.gif'
            }, {
                'id' : 42,
                'phrase' : '{42}',
                'url' : '42.gif'
            }, {
                'id' : 43,
                'phrase' : '{43}',
                'url' : '43.gif'
            }, {
                'id' : 44,
                'phrase' : '{44}',
                'url' : '44.gif'
            }, {
                'id' : 45,
                'phrase' : '{45}',
                'url' : '45.gif'
            }, {
                'id' : 46,
                'phrase' : '{46}',
                'url' : '46.gif'
            }, {
                'id' : 47,
                'phrase' : '{47}',
                'url' : '47.gif'
            }, {
                'id' : 48,
                'phrase' : '{48}',
                'url' : '48.gif'
            }, {
                'id' : 49,
                'phrase' : '{49}',
                'url' : '49.gif'
            }, {
                'id' : 50,
                'phrase' : '{50}',
                'url' : '50.gif'
            }, {
                'id' : 51,
                'phrase' : '{51}',
                'url' : '51.gif'
            }, {
                'id' : 52,
                'phrase' : '{52}',
                'url' : '52.gif'
            }, {
                'id' : 53,
                'phrase' : '{53}',
                'url' : '53.gif'
            }, {
                'id' : 54,
                'phrase' : '{54}',
                'url' : '54.gif'
            }, {
                'id' : 55,
                'phrase' : '{55}',
                'url' : '55.gif'
            }, {
                'id' : 56,
                'phrase' : '{56}',
                'url' : '56.gif'
            }, {
                'id' : 57,
                'phrase' : '{57}',
                'url' : '57.gif'
            }, {
                'id' : 58,
                'phrase' : '{58}',
                'url' : '58.gif'
            }, {
                'id' : 59,
                'phrase' : '{59}',
                'url' : '59.gif'
            }, {
                'id' : 60,
                'phrase' : '{60}',
                'url' : '60.gif'
            }, {
                'id' : 61,
                'phrase' : '{61}',
                'url' : '61.gif'
            }, {
                'id' : 62,
                'phrase' : '{62}',
                'url' : '62.gif'
            }, {
                'id' : 63,
                'phrase' : '{63}',
                'url' : '63.gif'
            }, {
                'id' : 64,
                'phrase' : '{64}',
                'url' : '64.gif'
            }, {
                'id' : 65,
                'phrase' : '{65}',
                'url' : '65.gif'
            }, {
                'id' : 66,
                'phrase' : '{66}',
                'url' : '66.gif'
            }, {
                'id' : 67,
                'phrase' : '{67}',
                'url' : '67.gif'
            }, {
                'id' : 68,
                'phrase' : '{68}',
                'url' : '68.gif'
            }, {
                'id' : 69,
                'phrase' : '{69}',
                'url' : '69.gif'
            }, {
                'id' : 70,
                'phrase' : '{70}',
                'url' : '70.gif'
            }, {
                'id' : 71,
                'phrase' : '{71}',
                'url' : '71.gif'
            }, {
                'id' : 72,
                'phrase' : '{72}',
                'url' : '72.gif'
            }, {
                'id' : 73,
                'phrase' : '{73}',
                'url' : '73.gif'
            }, {
                'id' : 74,
                'phrase' : '{74}',
                'url' : '74.gif'
            }, {
                'id' : 75,
                'phrase' : '{75}',
                'url' : '75.gif'
            }, {
                'id' : 76,
                'phrase' : '{76}',
                'url' : '76.gif'
            }, {
                'id' : 77,
                'phrase' : '{77}',
                'url' : '77.gif'
            }, {
                'id' : 78,
                'phrase' : '{78}',
                'url' : '78.gif'
            }, {
                'id' : 79,
                'phrase' : '{79}',
                'url' : '79.gif'
            }, {
                'id' : 80,
                'phrase' : '{80}',
                'url' : '80.gif'
            }, {
                'id' : 81,
                'phrase' : '{81}',
                'url' : '81.gif'
            }, {
                'id' : 82,
                'phrase' : '{82}',
                'url' : '82.gif'
            }, {
                'id' : 83,
                'phrase' : '{83}',
                'url' : '83.gif'
            }, {
                'id' : 84,
                'phrase' : '{84}',
                'url' : '84.gif'
            }, {
                'id' : 85,
                'phrase' : '{85}',
                'url' : '85.gif'
            }, {
                'id' : 86,
                'phrase' : '{86}',
                'url' : '86.gif'
            }, {
                'id' : 87,
                'phrase' : '{87}',
                'url' : '87.gif'
            }, {
                'id' : 88,
                'phrase' : '{88}',
                'url' : '88.gif'
            }, {
                'id' : 89,
                'phrase' : '{89}',
                'url' : '89.gif'
            }, {
                'id' : 90,
                'phrase' : '{90}',
                'url' : '90.gif'
            }, {
                'id' : 91,
                'phrase' : '{91}',
                'url' : '91.gif'
            }, {
                'id' : 92,
                'phrase' : '{92}',
                'url' : '92.gif'
            }, {
                'id' : 93,
                'phrase' : '{93}',
                'url' : '93.gif'
            }, {
                'id' : 94,
                'phrase' : '{94}',
                'url' : '94.gif'
            }, {
                'id' : 95,
                'phrase' : '{95}',
                'url' : '95.gif'
            }, {
                'id' : 96,
                'phrase' : '{96}',
                'url' : '96.gif'
            }, {
                'id' : 97,
                'phrase' : '{97}',
                'url' : '97.gif'
            }, {
                'id' : 98,
                'phrase' : '{98}',
                'url' : '98.gif'
            }, {
                'id' : 99,
                'phrase' : '{99}',
                'url' : '99.gif'
            }, {
                'id' : 100,
                'phrase' : '{100}',
                'url' : '100.gif'
            }, {
                'id' : 101,
                'phrase' : '{101}',
                'url' : '101.gif'
            }, {
                'id' : 102,
                'phrase' : '{102}',
                'url' : '102.gif'
            }, {
                'id' : 103,
                'phrase' : '{103}',
                'url' : '103.gif'
            }, {
                'id' : 104,
                'phrase' : '{104}',
                'url' : '104.gif'
            }, {
                'id' : 105,
                'phrase' : '{105}',
                'url' : '105.gif'
            }, {
                'id' : 106,
                'phrase' : '{106}',
                'url' : '106.gif'
            }, {
                'id' : 107,
                'phrase' : '{107}',
                'url' : '107.gif'
            }, {
                'id' : 108,
                'phrase' : '{108}',
                'url' : '108.gif'
            }, {
                'id' : 109,
                'phrase' : '{109}',
                'url' : '109.gif'
            }, {
                'id' : 110,
                'phrase' : '{110}',
                'url' : '110.gif'
            }, {
                'id' : 111,
                'phrase' : '{111}',
                'url' : '111.gif'
            }, {
                'id' : 112,
                'phrase' : '{112}',
                'url' : '112.gif'
            }, {
                'id' : 113,
                'phrase' : '{113}',
                'url' : '113.gif'
            }, {
                'id' : 114,
                'phrase' : '{114}',
                'url' : '114.gif'
            }, {
                'id' : 115,
                'phrase' : '{115}',
                'url' : '115.gif'
            }, {
                'id' : 116,
                'phrase' : '{116}',
                'url' : '116.gif'
            }, {
                'id' : 117,
                'phrase' : '{117}',
                'url' : '117.gif'
            }, {
                'id' : 118,
                'phrase' : '{118}',
                'url' : '118.gif'
            }, {
                'id' : 119,
                'phrase' : '{119}',
                'url' : '119.gif'
            }, {
                'id' : 120,
                'phrase' : '{120}',
                'url' : '120.gif'
            }, {
                'id' : 121,
                'phrase' : '{121}',
                'url' : '121.gif'
            }, {
                'id' : 122,
                'phrase' : '{122}',
                'url' : '122.gif'
            }, {
                'id' : 123,
                'phrase' : '{123}',
                'url' : '123.gif'
            }, {
                'id' : 124,
                'phrase' : '{124}',
                'url' : '124.gif'
            }, {
                'id' : 125,
                'phrase' : '{125}',
                'url' : '125.gif'
            }, {
                'id' : 126,
                'phrase' : '{126}',
                'url' : '126.gif'
            }, {
                'id' : 127,
                'phrase' : '{127}',
                'url' : '127.gif'
            }, {
                'id' : 128,
                'phrase' : '{128}',
                'url' : '128.gif'
            }, {
                'id' : 129,
                'phrase' : '{129}',
                'url' : '129.gif'
            }, {
                'id' : 130,
                'phrase' : '{130}',
                'url' : '130.gif'
            }, {
                'id' : 131,
                'phrase' : '{131}',
                'url' : '131.gif'
            }, {
                'id' : 132,
                'phrase' : '{132}',
                'url' : '132.gif'
            }, {
                'id' : 133,
                'phrase' : '{133}',
                'url' : '133.gif'
            }, {
                'id' : 134,
                'phrase' : '{134}',
                'url' : '134.gif'
            }, {
                'id' : 135,
                'phrase' : '{135}',
                'url' : '135.gif'
            }];
            //
            if (content) {
                var regx = /(\{*\d*\}){1}/g;
                var rs = content.match(regx);
                //
                if (rs) {
                    for ( i = 0; i < rs.length; i++) {
                        for ( n = 0; n < em.length; n++) {
                            if (em[n].phrase == rs[i]) {
                                var t = "<img src='../../plugins/editor/kindeditor-4.1.4/plugins/emoticons/images/" + em[n].url + "' alt='' border=0 style='display:inline;' />";
                                content = content.replace(rs[i], t);
                                break;
                            }
                        }
                    }
                }
            }
            //
            return content;
        },
        //根据参数在指定容器加载表情选择面板 挑选表情后显示在指定的容器内
        //divEmotion:表示用于存放所选择表情的容器id
        //emotionsPanel:表示用于加载所有表情的容器id
        create_Emotions_Panel : function(divEmotion, emotionsPanel, currentPageNum) {
            //显示头像选择面板
            document.getElementById(emotionsPanel).style.display = "block";
            //清空表情面板
            document.getElementById(emotionsPanel).innerHTML = "";
            var K = KindEditor;
            var editor = K.editor({width : "70%",
            });
            //
            var self = this,
                name = 'emoticons',
                path = ('../../plugins/editor/kindeditor-4.1.4/plugins/emoticons/images/'),
                allowPreview = true;

            var rows = 5,
                cols = 9,
                total = 135,
                startNum = 0,
                cells = rows * cols,
                pages = Math.ceil(total / cells),
                colsHalf = Math.floor(cols / 2),
                elements = [];

            //
            var wrapperDiv = K("#" + emotionsPanel);
            var previewDiv,
                previewImg;

            if (allowPreview) {
                previewDiv = K('<div class="ke-preview"></div>').css('right', 0);
                previewImg = K('<img class="ke-preview-img" src="' + path + startNum + '.gif" />');
                wrapperDiv.append(previewDiv);
                previewDiv.append(previewImg);
            }

            //选中表情或者鼠标定位预览表情的事件处理
            function bindCellEvent(cell, j, num) {
                if (previewDiv) {
                    cell.mouseover(function() {
                        if (j > colsHalf) {
                            previewDiv.css('left', 0);
                            previewDiv.css('right', '');
                        } else {
                            previewDiv.css('left', '');
                            previewDiv.css('right', 0);
                        }
                        previewImg.attr('src', path + num + '.gif');
                        K(this).addClass('ke-on');
                    });
                } else {
                    cell.mouseover(function() {
                        K(this).addClass('ke-on');
                    });
                }
                cell.mouseout(function() {
                    K(this).removeClass('ke-on');
                });
                cell.click(function(e) {
                    //将挑选的表情存放在显示容器内
                    var sstr = $('#replycontent').val();
                    //
                    if (sstr) {
                        var npos = getCursortPosition(replycontent);
                        //
                        $('#replycontent').val(sstr.substr(0, npos) + '{' + num + '}' + sstr.substr(npos, sstr.length));
                    } else {
                        $('#replycontent').val('{' + num + '}');
                    }
                    //切隐藏表情面板
                    //var a = document.getElementById(emotionsPanel).style.display ;
                    e.stop();
                });
            }

            //获取光标所在位置
            function getCursortPosition(ctrl) {
                var CaretPos = 0;
                // IE Support
                if (document.selection) {
                    ctrl.focus();
                    var Sel = document.selection.createRange();
                    Sel.moveStart('character', ctrl.value.length);
                    CaretPos = Sel.text.length;
                }
                // Firefox support
                else if (ctrl.selectionStart || ctrl.selectionStart == '0')
                    CaretPos = ctrl.selectionStart;
                return (CaretPos);
            }

            //设置光标位置
            function setCaretPosition(ctrl, pos) {
                if (ctrl.setSelectionRange) {
                    ctrl.focus();
                    ctrl.setSelectionRange(pos, pos);
                } else if (ctrl.createTextRange) {
                    var range = ctrl.createTextRange();
                    range.collapse(true);
                    range.moveEnd('character', pos);
                    range.moveStart('character', pos);
                    range.select();
                }
            }

            //加载表情图片到面板内的table中
            function createEmoticonsTable(pageNum, parentDiv) {
                var table = document.createElement('table');
                parentDiv.append(table);
                if (previewDiv) {
                    K(table).mouseover(function() {
                        previewDiv.show('block');
                    });
                    K(table).mouseout(function() {
                        previewDiv.hide();
                    });
                    elements.push(K(table));
                }
                table.className = 'ke-table';
                table.cellPadding = 0;
                table.cellSpacing = 0;
                table.border = 0;
                var num = (pageNum - 1) * cells + startNum;

                for (var i = 0; i < rows; i++) {
                    var row = table.insertRow(i);
                    for (var j = 0; j < cols; j++) {
                        var cell = K(row.insertCell(j));
                        cell.addClass('ke-cell');
                        bindCellEvent(cell, j, num);
                        var span = K('<span class="ke-img"></span>').css('background-position', '-' + (24 * num) + 'px 0px').css('background-image', 'url(' + path + 'static.gif)');
                        cell.append(span);
                        elements.push(cell);
                        num++;
                    }
                }
                return table;
            }

            //创建一个表格
            var table = createEmoticonsTable(currentPageNum, wrapperDiv);

            function removeEvent() {
                K.each(elements, function() {
                    this.unbind();
                });
            }
        },
        showAttachOp : function() {
            if (UTIL.STORAGE.getToken() != "") {
                if ($('#upload_box').length == 0) {
                    UTIL.WIN.showAlertBox('upload_box', '', {
                        '从相册中选择,fa-image' : 'select_photo'
                    });
                    $('.alert-box').append('<div id="upload_percent" style="display:none;" class="progress col-xs-12"><div class="progress-bar progress-bar-success" data-animate-width="0%" style="width: 0%;"></div></div>');
                    $('#upload_box').hide();
                }
                var api_url = API.DISC.uploadAttach + "&token=" + UTIL.STORAGE.getToken();
                //
                $('#upload_box').upload4app({
                    server_url : api_url,
                    success : function(data) {
                        var json_obj = eval(data);
                        //
                        if (json_obj && json_obj.is_save) {
                            $('#verif_attach_id').val($('#verif_attach_id').val() + ',' + json_obj.attach_id);
                            //
                            var html = '<div style="left:0px;right:0px;padding-left:1px;padding-right:1px;padding-top:1px;padding-bottom:1px;" id="attach_id_' + json_obj.attach_id + '" dataId="' + json_obj.attach_id + '" class="deletecurrentimg col-xs-4"><a href="javascript:;"></a><img src="' + json_obj.attach_url + '"></img></div>'
                            var wil = $('#img_box .col-xs-4').innerWidth();
                            //
                            $('#img_box img').width(wil);
                            $('#img_box').append(html);
                            //
                            ajaxEnd();
                        }
                    }
                }).openupload();
            }
        },
    }
};
