var ORIG_INIT = {
    PageLoad : {
        /* 初始化 */
        orig_init_step1 : function() {
            ORIG_INIT.OrigInit.orig_init();
            ORIG_INIT.OrigInit.orig_init_step1();
        },
        orig_init_step2 : function() {
            ORIG_INIT.OrigInit.orig_init();
            ORIG_INIT.OrigInit.orig_init_step2();
        },
        orig_init_step3 : function() {
            ORIG_INIT.OrigInit.orig_init();
            ORIG_INIT.OrigInit.orig_init_step3();
        },
        orig_init_step4 : function() {
            ORIG_INIT.OrigInit.orig_init();
            ORIG_INIT.OrigInit.orig_init_step4();
        },
        myorig_list_init : function() {
            ORIG_INIT.OrigInit.myorig_list_init();
        },
        orig_list_init : function() {
            ORIG_INIT.OrigInit.orig_list_init();
        },
        orig_detail_init : function() {
            ORIG_INIT.OrigInit.orig_detail_init();
        }
    },
    //登录页面需要加载的事件
    OrigInit : {
        /* 登录页面初始化 */
        orig_init : function() {
            $('.ajax_originality_close_tip').off().on('click', function(e) {
                $(this).parents('.ajax_originality_tip').hide();
            });

        },
        orig_init_step1 : function() {
            $('#save_orig_step1_info').off().on('click', function(e) {
                var vid = $('#orig_data_vid').val();
                var realname = $('#orig_data_realname').val();
                var idcard = $('#orig_data_idcard').val();
                var sex = $('#orig_data_sex').find('option:selected').val();
                var birthday = $('#orig_data_birthday').val();

                //校验输入
                if (realname == '') {
                    $('#orig_data_step1_tip').html('姓名不能为空');
                    return false;
                }
                if (idcard == '') {
                    $('#orig_data_step1_tip').html('身份证不能为空');
                    return false;
                }
                ORIG.orig_save_page.save_step1_data(vid, realname, idcard, sex, birthday);
            });

        },
        orig_init_step2 : function() {
            $('#save_orig_step2_info').off().on('click', function(e) {
                var vid = $('#orig_data_vid').val();
                var company = $('#orig_data_company').val();
                var post = $('#orig_data_post').val();
                var link_tel = $('#orig_data_link_tel').val();
                var email = $('#orig_data_email').val();

                //校验输入
                if (link_tel == '') {
                    $('#orig_data_step2_tip').html('联系电话不能为空');
                    return false;
                }

                if (email == '') {
                    $('#orig_data_step2_tip').html('电子邮箱不能为空');
                    return false;
                }
                if (!UTIL.VAL.is_email(email)) {
                    $('#orig_data_step2_tip').html('电子邮箱格式不对，请正确输入');
                    return false;
                }

                ORIG.orig_save_page.save_step2_data(vid, company, post, link_tel, email);
            });

            $('#jump_orig_step1').off().on('click', function(e) {
                UTIL.WIN.openNewWin('originality_step1', 'originality_step1.html');
                UTIL.WIN.winClose();
            });
        },
        orig_init_step3 : function() {
            $('#save_orig_step3_info').off().on('click', function(e) {
                var vid = $('#orig_data_vid').val();

                var resume1_id = $('#orig_data_resume1_id').val();
                var resume1_project_name = $('#orig_data_resume1_project_name').val();
                var resume1_project_years_b = $('#orig_data_resume1_project_years_b').val();
                var resume1_project_years_e = $('#orig_data_resume1_project_years_e').val();
                var resume1_post = $('#orig_data_resume1_post').val();

                var resume2_id = $('#orig_data_resume2_id').val();
                var resume2_project_name = $('#orig_data_resume2_project_name').val();
                var resume2_project_years_b = $('#orig_data_resume2_project_years_b').val();
                var resume2_project_years_e = $('#orig_data_resume2_project_years_e').val();
                var resume2_post = $('#orig_data_resume2_post').val();

                ORIG.orig_save_page.save_step3_data(vid, resume1_id, resume1_project_name, resume1_project_years_b, resume1_project_years_e, resume1_post, resume2_id, resume2_project_name, resume2_project_years_b, resume2_project_years_e, resume2_post);
            });

            $('#jump_orig_step2').off().on('click', function(e) {
                UTIL.WIN.openNewWin('originality_step2', 'originality_step2.html');
                UTIL.WIN.winClose();
            });

        },
        orig_init_step4 : function() {
            $('#save_orig_step4_info').off().on('click', function(e) {
                $('#orig_data_step4_tip').html('');
                if ($(this).hasClass('pre_btn')) {
                    return false;
                }
                $(this).removeClass('orginality_submit').addClass('pre_btn');
                var oid = $('#orig_data_oid').val();
                var name = $('#orig_data_name').val();
                var intention = $('#orig_data_intention').find('option:selected').val();
                var subject_type = $('#orig_data_subject_type').find('option:selected').val();
                var public_type = $('#orig_data_public_type').find('option:selected').val();
                var summary = $('#orig_data_summary').val();
                var elaborate = $('#orig_data_elaborate').val();

                //校验输入
                if (name == '') {
                    $('#orig_data_step4_tip').html('创意名称不能为空');
                    $(this).removeClass('pre_btn');
                    return false;
                }
                ORIG.orig_save_page.save_step4_data(oid, name, intention, subject_type, public_type, summary, elaborate);
            });
            $('#submit_orig_step4_info').off().on('click', function(e) {
                $('#orig_data_step4_tip').html('');
                if ($(this).hasClass('pre_btn')) {
                    return false;
                }
                $(this).removeClass('orginality_submit').addClass('pre_btn');
                var oid = $('#orig_data_oid').val();
                var name = $('#orig_data_name').val();
                var intention = $('#orig_data_intention').find('option:selected').val();
                var subject_type = $('#orig_data_subject_type').find('option:selected').val();
                var public_type = $('#orig_data_public_type').find('option:selected').val();
                var summary = $('#orig_data_summary').val();
                var elaborate = $('#orig_data_elaborate').val();

                //校验输入
                if (name == '') {
                    $('#orig_data_step4_tip').html('创意名称不能为空');
                    $(this).removeClass('pre_btn');
                    return false;
                }
                ORIG.orig_save_page.save_step4_data(oid, name, intention, subject_type, public_type, summary, elaborate, 1);
            });
            $('#jump_orig_step3').off().on('click', function(e) {
                UTIL.WIN.openNewWin('originality_step3', 'originality_step3.html');
                UTIL.WIN.winClose();
            });

        },
        myorig_list_init : function() {
            $('.ajax_edit_orig_item').off().on('click', function(e) {
                var item_id = $(this).parents("div[id^='orig_mylist_item_']").attr('id').substring(17);
                UTIL.WIN.openNewWin('originality_step1', 'originality_step1.html?orig_id=' + item_id);
                UTIL.WIN.winClose();
            });
            $('.ajax_del_orig_item').off().on('click', function(e) {
                var item_id = $(this).parents("div[id^='orig_mylist_item_']").attr('id').substring(17);
                ORIG.orig_list_page.del_mylist_data(item_id);
            });

        },
        orig_list_init : function() {
            $('.orig_name_a').off().on('click', function(e) {
                var item_id = $(this).attr("dataId");
                UTIL.WIN.openNewWin('originality_detail', 'originality_detail.html?orig_id=' + item_id);
            });
            $('#originality_keyfind').off().on('click', function(e) {
                var keycontext = $('#key_context').val();
                var person_id = $('#person_id').val();
                
                ORIG.orig_list_page.load_list_data('', person_id == undefined ? '' : person_id, keycontext == undefined ? '' : keycontext);
            });
            
            $('#search_box_btn').off().on('click', function(e) {
                $('#originality_find_box').slideToggle( );
            });

            if ($('#orig_screen_box').find('ul').length == 0) {
                var api_url = API.PROPOSAL.loadSearchBox;

                UTIL.AJAX.load_server_json(api_url, function(data) {
                    var api_data = data;
                    
                    if (api_data != null) {
                        UTIL.AJAX._load_content('originality_list_search_box.html', function(data) {
                            var myListTemplate = $.templates(data);

                            $('#orig_screen_box').html(myListTemplate.render(api_data));

                            var person_id = $('#person_id').val();
                            var keycontext = $('#key_context').val();
                            var search_subject_type = '';

                            $('#search_subject_type_ul').find('li').off().on('click', function(e) {
                                if (!$(this).hasClass('on')) {
                                    $(this).addClass('on');
                                    $(this).siblings('li').removeClass('on');
                                }
                                $('#search_subject_type').val($(this).attr('dataId'));

                                search_subject_type = $('#search_subject_type').val();

                                ORIG.orig_list_page.load_list_data(search_subject_type, person_id == undefined ? '' : person_id, keycontext == undefined ? '' : keycontext);
                            });
                            
                            $('#a').swiper({
                                slidesPerView : 'auto',
                                calculateHeight : true,
                                cssWidthAndHeight : true
                            });
                        });
                    }
                });
            }
        },
        orig_detail_init : function() {
            $('#orig_movie_a').off().on('click', function(e) {
                $(this).parent("div").addClass("on");
                $('#orig_owner_a').parent("div").removeClass("on");
                $("#orig_owner_div").hide();
                $("#orig_movie_div").show();
                ajaxEnd();
            });
            $('#orig_owner_a').off().on('click', function(e) {
                $(this).parent("div").addClass("on");
                $('#orig_movie_a').parent("div").removeClass("on");
                $("#orig_movie_div").hide();
                $("#orig_owner_div").show();
                ajaxEnd();
            });
        }
    }

};

