var PROPOSAL = {
    proposal_list_page : {
        update_mylist_num : function(my_num) {
            $('#my_proposal_count_num').html(my_num);
        },
        load_mylist_data : function() {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var api_url = API.PROPOSAL.loadMyProposalList + "&token=" + UTIL.STORAGE.getToken();
                // + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    var api_data = data;
                    if (api_data != null && api_data.anotherLogin) {
                        UTIL.STORAGE.setToken('');
                        if ($('#login_by_other').length > 0) {
                            $('#login_by_other').show();
                        } else {
                            UTIL.WIN.showAlertBox('login_by_other', '您的账号已经在其他手机登录，需要重新登录吗？', {
                                '确定,fa-check' : 'reLogin'
                            });
                            $('#reLogin').off().on('click', function() {
                                UTIL.WIN.openNewWin('login', '../user/login.html');
                                UTIL.WIN.winClose();
                            });
                        }
                        return false;
                    }
                    if (api_data != null && api_data.totalNum > 0) {
                        $('#proposal_count').html(api_data.totalNum);
                        //加载模板
                        UTIL.AJAX._load_content('proposal_mylist_item.html', function(data) {
                            var myListTemplate = $.templates(data);
                            $('#proposal_mylist_list').html(myListTemplate.render(api_data.myproposals));

                            //分页处理
                            PROPOSAL_INIT.ProposalInit.myproposal_list_init();
                            if (api_data.totalPage <= 1) {
                                UTIL.PAGE.recover_scroller('a1');
                                ajaxEnd();
                                return;
                            }
                            var html = UTIL.PAGE.getpullUpDiv('pullUp', '', api_data.totalPage);
                            $('#proposal_mylist_content').append(html);
                            UTIL.PAGE.iScroll('pullUp', api_url, 'proposal_mylist_item.html', 'data.myproposals', 'a1', function(api_data, data) {
                                var myListTemplate = $.templates(data);
                                $('#proposal_mylist_list').append(myListTemplate.render(api_data));
                                PROPOSAL_INIT.ProposalInit.myproposal_list_init();
                                ajaxEnd();
                            });
                            ajaxEnd();

                        });
                    } else {
                        $('#proposal_count').html('0');
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#proposal_mylist_tip').children('p').html('请登录');
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        },
        del_mylist_data : function(id) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var param_str = "&pid=" + id;
                var api_url = API.PROPOSAL.delMyProposalData + "&token=" + UTIL.STORAGE.getToken() + param_str;
                // + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.is_del) {
                        $('#proposal_mylist_item_' + id).remove();
                        UTIL.WIN.showAlertTip('proposal_mylist_tip', 'success', '删除成功');
                    } else {
                        UTIL.WIN.showAlertTip('proposal_mylist_tip', 'warning', '删除失败');
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#proposal_mylist_tip').children('p').html('请登录');
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        },
        process_search_box : function() {
            $('#search_box_btn').off().on('click', function(e) {
                $('#proposal_find_box').slideToggle();
            });

            if ($('#proposal_screen_box').find('ul').length == 0) {
                var api_url = API.PROPOSAL.loadSearchBox;

                UTIL.AJAX.load_server_json(api_url, function(data) {
                    var api_data = data;

                    if (api_data != null) {
                        UTIL.AJAX._load_content('proposal_list_search_box.html', function(data) {
                            var myListTemplate = $.templates(data);

                            $('#proposal_screen_box').html(myListTemplate.render(api_data));

                            var person_id = $('#person_id').val();
                            var search_subject_type = '';
                            var search_budget = '';
                            var search_proposed = '';
                            var keycontext = $('#key_context').val();

                            $('#search_subject_type_ul').find('li').off().on('click', function(e) {
                                if (!$(this).hasClass('on')) {
                                    $(this).addClass('on');
                                    $(this).siblings('li').removeClass('on');
                                }
                                $('#search_subject_type').val($(this).attr('dataId'));

                                search_subject_type = $('#search_subject_type').val();
                                search_budget = $('#search_budget').val();
                                search_proposed = $('#search_proposed').val();

                                PROPOSAL.proposal_list_page.load_list_data(search_subject_type, search_budget, search_proposed, person_id == undefined ? '' : person_id, keycontext == undefined ? '' : keycontext);
                            });
                            $('#a').swiper({
                                slidesPerView : 'auto',
                                calculateHeight : true,
                                cssWidthAndHeight : true
                            });

                            $('#search_budget_ul').find('li').off().on('click', function(e) {
                                if (!$(this).hasClass('on')) {
                                    $(this).addClass('on');
                                    $(this).siblings('li').removeClass('on');
                                }
                                $('#search_budget').val($(this).attr('dataId'));

                                search_subject_type = $('#search_subject_type').val();
                                search_budget = $('#search_budget').val();
                                search_proposed = $('#search_proposed').val();

                                PROPOSAL.proposal_list_page.load_list_data(search_subject_type, search_budget, search_proposed, person_id == undefined ? '' : person_id, keycontext == undefined ? '' : keycontext);
                            });
                            $('#b').swiper({
                                slidesPerView : 'auto',
                                calculateHeight : true,
                                cssWidthAndHeight : true
                            });

                            $('#search_proposed_ul').find('li').off().on('click', function(e) {
                                if (!$(this).hasClass('on')) {
                                    $(this).addClass('on');
                                    $(this).siblings('li').removeClass('on');
                                }
                                $('#search_proposed').val($(this).attr('dataId'));

                                search_subject_type = $('#search_subject_type').val();
                                search_budget = $('#search_budget').val();
                                search_proposed = $('#search_proposed').val();

                                PROPOSAL.proposal_list_page.load_list_data(search_subject_type, search_budget, search_proposed, person_id == undefined ? '' : person_id, keycontext == undefined ? '' : keycontext);
                            });
                            $('#c').swiper({
                                slidesPerView : 'auto',
                                calculateHeight : true,
                                cssWidthAndHeight : true
                            });
                        });
                    }
                });
            }
        },
        load_list_data : function(search_subject_type, search_budget, search_proposed, person_id, findkey) {
            //判断是否有token,如果有加载数据
            UTIL.WIN.marginTop('a1');

            if (UTIL.STORAGE.getToken() != "") {
                var param_str = "&search_subject_type=" + search_subject_type;
                param_str = param_str + "&search_budget=" + search_budget;
                param_str = param_str + "&search_proposed=" + search_proposed;
                param_str = param_str + "&person_id=" + person_id + "&findkey=" + findkey;

                var api_url = API.PROPOSAL.loadProposalList + "&token=" + UTIL.STORAGE.getToken() + param_str;

                $('#load_tip').slideDown();

                UTIL.AJAX.load_server_json(api_url, function(data) {
                    var api_data = data;

                    if (api_data != null && api_data.anotherLogin) {
                        UTIL.STORAGE.setToken('');
                        if ($('#login_by_other').length > 0) {
                            $('#login_by_other').show();
                        } else {
                            UTIL.WIN.showAlertBox('login_by_other', '您的账号已经在其他手机登录，需要重新登录吗？', {
                                '确定,fa-check' : 'reLogin'
                            });
                            $('#reLogin').off().on('click', function() {
                                UTIL.WIN.openNewWin('login', '../user/login.html');
                                UTIL.WIN.winClose();
                            });
                        }
                        return false;
                    }

                    if (api_data != null && api_data.totalNum > 0) {
                        //加载模板
                        UTIL.AJAX._load_content('proposal_list_item.html', function(data) {
                            var myListTemplate = $.templates(data);

                            $('#proposal_list_content_div').html(myListTemplate.render(api_data.proposals));

                            setTimeout(function() {
                                $('#load_tip').slideUp(500);
                            }, 500);

                            //分页处理
                            $('#pullUp').remove();
                            PROPOSAL_INIT.ProposalInit.proposal_list_init();

                            if (api_data.totalPage <= 1) {
                                UTIL.PAGE.recover_scroller('a1');
                                ajaxEnd();
                                return;
                            }
                            var html = UTIL.PAGE.getpullUpDiv('pullUp', '', api_data.totalPage);

                            $('#proposal_list_content').append(html);

                            UTIL.PAGE.iScroll('pullUp', api_url, 'proposal_list_item.html', 'data.proposals', 'a1', function(api_data, data) {
                                if (api_data != null) {
                                    var myListTemplate = $.templates(data);
                                    $('#proposal_list_content_div').append(myListTemplate.render(api_data));
                                    PROPOSAL_INIT.ProposalInit.proposal_list_init();
                                    ajaxEnd();
                                }
                            });
                            ajaxEnd();
                        });
                    } else {
                        $('#proposal_list_content_div').html('没有找到记录');
                        $('#pullUp').remove();

                        setTimeout(function() {
                            $('#load_tip').slideUp(500);
                        }, 500);
                    }

                });
            } else {
                UTIL.WIN.openNewWin('login', '../user/login.html');
                UTIL.WIN.winClose();
            }
        },

        load_detail_data : function(id) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//
                var param_str = "&pid=" + id;
                var api_url = API.PROPOSAL.loadDetailData + "&token=" + UTIL.STORAGE.getToken() + param_str;
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.hasPermission != null && !data.hasPermission && data.isEmpty) {
                        UTIL.WIN.showAlertBoxAndCloseWin('hasNoPermission', '您没有查看该提案的权限');
                    } else if (data != null && data.uid > 0 && data.hasPermission && !data.isEmpty) {
                        $("#proposal_data_name").html(data.name);
                        $('#title').val(data.name);
                        $("#proposal_data_expected_time").html(data.expected_time);
                        $("#proposal_data_subject_type").html(data.subject_type);
                        $("#proposal_data_summary").html(data.summary);
                        $('#description').val(data.summary);
                        $('#imagePath').val(data.attach_url);
                        $('#smallImagePath').val(data.attach_url_small);
                        if (data.public_type != 1) {
                            $('.js_fenxiang').show();
                        }
                        $("#proposal_data_background").html(data.background);
                        $("#proposal_data_event").html(data.event);
                        $("#proposal_data_beginning").html(data.beginning);
                        $("#proposal_data_epitasis").html(data.epitasis);
                        $("#proposal_data_climax").html(data.climax);
                        $("#proposal_data_endding").html(data.endding);
                        $("#proposal_data_the_end").html(data.the_end);
                        $("#proposal_data_movie_style").html(data.movie_style);
                        $("#proposal_data_target_audience").html(data.target_audience);
                        $("#proposal_data_materialnum").html(data.materialnum);
                        $("#proposal_data_copyright").html(data.copyright);
                        $("#proposal_data_uname").html(data.uname);
                        $("#proposal_data_sex").html(data.sex);
                        $("#proposal_attach_url").attr('src',data.attach_url);
                        if (data.age != undefined) {
                            $("#proposal_data_age").html('&nbsp;&nbsp;|&nbsp;&nbsp;' + data.age + "岁");
                        } else {
                            $('#proposal_data_age').hide();
                        }
                        //$("#proposal_data_idcard").html(data.idcard);
                        $("#proposal_data_company").html(data.company);
                        $("#proposal_data_post").html(data.post);
                        $("#proposal_data_link_tel").html(data.link_tel);
                        $("#proposal_data_email").html(data.email);
                        $("#proposal_data_years_1").html(data.years_1);
                        $("#proposal_data_project_name_1").html(data.project_name_1);
                        $("#proposal_data_post_1").html(data.project_post_1);
                        $("#proposal_data_years_2").html(data.years_2);
                        $("#proposal_data_project_name_2").html(data.project_name_2);
                        $("#proposal_data_post_2").html(data.project_post_2);
                        PROPOSAL_INIT.ProposalInit.proposal_init_detail(id);
                    } else if (data != null && data.hasPermission && data.isEmpty) {
                        UTIL.WIN.showAlertBoxAndCloseWin('hasNoProposal', '该提案没为草稿状态或者没有通过审核');
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#proposal_info_tip').children('p').html('请登录');
                $('#proposal_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }

        },
        add_digg : function(pid) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var param_str = "&pid=" + pid;
                var api_url = API.PROPOSAL.addDigg + "&token=" + UTIL.STORAGE.getToken() + param_str;
                // + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.is_digg) {
                        var digg_count = $('#digg_count_' + pid).html();
                        $('#digg_count_' + pid).html(parseInt(digg_count) + 1);
                    } else {
                        $('#proposal_mylist_tip').children('p').html('已经赞过了');
                        $('#proposal_mylist_tip').show().fadeOut("slow");
                    }
                });
            } else {
                UTIL.WIN.openNewWin('login', '../user/login.html');
                UTIL.WIN.winClose();
            }
        },
        load_proposal_comments : function(pid) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                $('#proposal_comment_div').html('<div id="proposal_comment_ul"><div>');
                var param_str = "&proposal_id=" + pid;
                var api_url = API.PROPOSAL.loadProposalComments + "&token=" + UTIL.STORAGE.getToken() + param_str;
                // + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    var api_data = data;
                    if (api_data != null && api_data.totalNum > 0) {
                        //加载模板
                        UTIL.AJAX._load_content('proposal_comment_item.html', function(data) {
                            var myListTemplate = $.templates(data);
                            $('pullUp').remove();
                            $('#proposal_comment_ul').html(myListTemplate.render(api_data.comments));
                            //分页处理
                            // var html = '<div id="pullUp" currPage="1" totalPage="' + data.totalPage + '"><span class="pullUpIcon"></span><span class="pullUpLabel"></span></div>';
                            // $('#proposal_comment_div').append(html);
                            //UTIL.PAGE.iScroll4JsRender("proposal_comment_div", "pullUp", api_url, "proposal_comment_item.html", "proposal_comment_ul", "data.comments");
                            PROPOSAL_INIT.ProposalInit.proposal_init_detail();
                            if (api_data.totalPage <= 1) {
                                UTIL.PAGE.recover_scroller('a1');
                                ajaxEnd();
                                return;
                            }
                            $('#proposal_comment_div').append(UTIL.PAGE.getpullUpDiv('pullUp', "", api_data.totalPage));
                            UTIL.PAGE.iScroll('pullUp', api_url, 'proposal_comment_item.html', 'data.comments', 'a1', function(api_data, data) {
                                if (data != null && api_data != null) {
                                    var myListTemplate = $.templates(data);
                                    $('#proposal_comment_ul').append(myListTemplate.render(api_data));
                                    ajaxEnd();
                                }
                            });
                            ajaxEnd();
                        });
                    } else {
                        $('#proposal_comment_ul').html('没有评论');
                    }
                });
            } else {
                UTIL.WIN.openNewWin('login', '../user/login.html');
                UTIL.WIN.winClose();
            }
        },
        add_comment : function(proposal_id, content) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var param_str = "&proposal_id=" + proposal_id;
                param_str = param_str + "&content=" + content;
                var api_url = API.PROPOSAL.addComment + "&token=" + UTIL.STORAGE.getToken() + param_str;
                // + UTIL.STORAGE.getToken();

                UTIL.AJAX.load_server_json(api_url, function(data) {
                    var api_data = data;
                    if (api_data != null && api_data.is_comment) {
                        //加载模板
                        UTIL.AJAX._load_content('proposal_comment_item.html', function(data) {
                            $('#proposal_comment_send_content').val('');
                            var myListTemplate = $.templates(data);
                            $('#proposal_comment_ul').prepend(myListTemplate.render(api_data.comment));
                            PROPOSAL_INIT.ProposalInit.proposal_init_detail();
                            ajaxEnd();
                        });
                    } else {
                        $('#proposal_mylist_tip').children('p').html('发送评论失败');
                        $('#proposal_mylist_tip').show().fadeOut("slow");
                    }
                });
            } else {
                UTIL.WIN.openNewWin('login', '../user/login.html');
                UTIL.WIN.winClose();
            }
        },
        /**
         * 提案库详情页面加载视频tab页
         */
        load_proposal_movie_list : function(pid) {
            var api_url = API.PROPOSAL.getProposalMovieList + '&pid=' + pid;
            UTIL.AJAX.load_server_json(api_url, function(data) {
                var api_data = data;
                var cHtml = '';
                var pHtml = '';
                //加载下面的内容部分
                UTIL.AJAX._load_content('proposal_movie_detail.html', function(data) {
                    if (api_data.movies != null) {
                        for (var i = 0; i < api_data.movies.length; i++) {
                            cHtml = ($.templates(data)).render(api_data.movies);
                        }
                    } else {
                        var notFind = "没有找到相关片花";
                        cHtml = ('<span>' + notFind + '</span>');
                    }
                    $('#js_proposal_trailers').html(cHtml);
                    var wli = $('#js_proposal_trailers .col-xs-6:eq(0)').innerWidth();
                    $("#js_proposal_trailers img").height(Math.floor((wli / 4) * 2));
                    $("div a[id^='proposal_movie_play_']").off().on('touchend', function(e) {
                        var url = $(this).find('input').val();
                        uexVideo.open(url, 1);
                    });
                    ajaxEnd();
                });
                UTIL.AJAX._load_content('proposal_img_detail.html', function(data) {
                    if (api_data.pictures != null) {
                        pHtml = UTIL.PAGE.getPageLayoutHtml(data, api_data.pictures, 3, 'js_proposal_picture_show');
                    } else {
                        var notFind = '没有找到相关图片';
                        pHtml = ('<span>' + notFind + '</span>');
                    }
                    $('#js_proposal_picture').html(pHtml);
                    var width = $('#js_proposal_picture .col-xs-4').innerWidth();
                    $('#js_proposal_picture .col-xs-4 img').height(width - 30);
                    UTIL.PAGE.img_browser('js_proposal_picture');
                });
            });

        }
    },
    proposal_load_page : {
        save_appeal_data : function(pid, content, investment, intention) {
            var param_str = "&appeal=" + content;
            param_str = param_str + "&pid=" + pid;
            param_str = param_str + "&investment=" + investment;
            param_str = param_str + "&intention=" + intention;

            var api_url = API.PROPOSAL.saveAppealData + "&token=" + UTIL.STORAGE.getToken() + param_str;
            // + UTIL.STORAGE.getToken();

            UTIL.AJAX.load_server_json(api_url, function(data) {

                if (data != null && data.is_save) {
                    //初始化我的页面
                    UTIL.WIN.openNewWin('proposal_list', 'proposal_list.html');
                    UTIL.WIN.winClose();
                } else {
                    $('#user_info_tip').children('p').html('保存失败');
                    $('#user_info_tip').show().fadeOut("slow");
                }
            });
        },
        toCreateProposal : function() {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//
                var api_url = API.USER.getMyInfo + "&token=" + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.uid > 0) {
                        //判断认证
                        if (data.verification > 0) {
                            UTIL.WIN.openNewWin('application', './app/project/proposal_step1.html');
                        } else {
                            UTIL.WIN.openNewWin('application', './app/user/approve/application.html');
                        }

                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', './app/user/login.html');
                }, 2000);

            }
        },
        load_step1_data : function() {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//
                var api_url = API.PROPOSAL.loadStep1Data + "&token=" + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.uid > 0) {
                        //判断认证
                        if (data.verification > 0) {
                            $('#proposal_data_company').attr('disable', 'true');
                            $('#proposal_data_post').attr('disable', 'true');
                            $('#proposal_data_link_tel').attr('disable', 'true');
                            $('#proposal_data_email').attr('disable', 'true');
                        }
                        $('#proposal_data_vid').val(data.vid);
                        $('#proposal_data_company').val(data.company);
                        $('#proposal_data_post').val(data.post);
                        $('#proposal_data_link_tel').val(data.link_tel);
                        $('#proposal_data_email').val(data.email);

                        PROPOSAL_INIT.ProposalInit.proposal_init();
                        PROPOSAL_INIT.ProposalInit.proposal_init_step1();
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        },
        load_step2_data : function() {

            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//
                var api_url = API.PROPOSAL.loadStep2Data + "&token=" + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.uid > 0) {
                        $('#proposal_data_resume1_id').val(data.resume1_id);
                        $('#proposal_data_resume1_project_name').val(data.resume1_project_name);
                        $('#proposal_data_resume1_project_years_b').val(data.resume1_project_years_b);
                        $('#proposal_data_resume1_project_years_e').val(data.resume1_project_years_e);
                        $('#proposal_data_resume1_post').val(data.resume1_post);

                        $('#proposal_data_resume2_id').val(data.resume2_id);
                        $('#proposal_data_resume2_project_name').val(data.resume2_project_name);
                        $('#proposal_data_resume2_project_years_b').val(data.resume2_project_years_b);
                        $('#proposal_data_resume2_project_years_e').val(data.resume2_project_years_e);
                        $('#proposal_data_resume2_post').val(data.resume2_post);

                        $('#proposal_data_vid').val(data.vid);

                        PROPOSAL_INIT.ProposalInit.proposal_init();
                        PROPOSAL_INIT.ProposalInit.proposal_init_step2();
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        },
        load_step3_data : function(pid) {

            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//
                var param_str = "&pid=" + pid;
                var api_url = API.PROPOSAL.loadStep3Data + "&token=" + UTIL.STORAGE.getToken() + param_str;
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.uid > 0) {
                        $('#proposal_data_pid').val(data.pid);
                        $('#proposal_data_name').val(data.name);
                        $('#proposal_data_expected_time').val(data.expected_time);
                        $('#proposal_data_subject_type').val(data.subject_type);
                        $('#proposal_data_public_type').val(data.public_type);
                        $('#proposal_data_summary').val(data.summary);
                        $('#proposal_data_background').val(data.background);
                        $('#proposal_data_event').val(data.event);
                        $('#proposal_data_beginning').val(data.beginning);
                        $('#proposal_data_epitasis').val(data.epitasis);
                        $('#proposal_data_climax').val(data.climax);
                        $('#proposal_data_endding').val(data.endding);
                        $('#proposal_data_the_end').val(data.the_end);
                        $('#proposal_data_movie_style').val(data.movie_style);
                        $('#proposal_data_target_audience').val(data.target_audience);
                        $('#proposal_data_materialnum').val(data.materialnum);
                        $('#proposal_data_copyright').val(data.copyright);
                        $('#proposal_data_budget').val(data.budget);
                        $('#proposal_data_seekcoop').val(data.seekcoop);

                        PROPOSAL_INIT.ProposalInit.proposal_init();
                        PROPOSAL_INIT.ProposalInit.proposal_init_step3();
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }

        }
    },
    proposal_save_page : {
        save_step1_data : function(vid, company, post, link_tel, email) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var param_str = "&company=" + company;
                param_str = param_str + "&post=" + post;
                param_str = param_str + "&link_tel=" + link_tel;
                param_str = param_str + "&email=" + email;
                param_str = param_str + "&vid=" + vid;

                var api_url = API.PROPOSAL.saveStep1Data + "&token=" + UTIL.STORAGE.getToken() + param_str;
                // + UTIL.STORAGE.getToken();

                UTIL.AJAX.load_server_json(api_url, function(data) {

                    if (data != null && data.is_save) {
                        //初始化我的页面
                        UTIL.WIN.openNewWin('proposal_step2', 'proposal_step2.html');
                        UTIL.WIN.winClose();
                    } else {
                        $('#user_info_tip').children('p').html('保存失败');
                        $('#user_info_tip').show().fadeOut("slow");
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        },
        save_step2_data : function(vid, resume1_id, resume1_project_name, resume1_project_years_b, resume1_project_years_e, resume1_post, resume2_id, resume2_project_name, resume2_project_years_b, resume2_project_years_e, resume2_post) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var param_str = "&resume1_project_name=" + resume1_project_name;
                param_str = param_str + "&resume1_project_years_b=" + resume1_project_years_b;
                param_str = param_str + "&resume1_project_years_e=" + resume1_project_years_e;
                param_str = param_str + "&resume1_post=" + resume1_post;
                param_str = param_str + "&resume1_id=" + resume1_id;
                param_str = param_str + "&resume2_project_name=" + resume2_project_name;
                param_str = param_str + "&resume2_project_years_b=" + resume2_project_years_b;
                param_str = param_str + "&resume2_project_years_e=" + resume2_project_years_e;
                param_str = param_str + "&resume2_post=" + resume2_post;
                param_str = param_str + "&resume2_id=" + resume2_id;
                param_str = param_str + "&vid=" + vid;

                var api_url = API.PROPOSAL.saveStep2Data + "&token=" + UTIL.STORAGE.getToken() + param_str;
                // + UTIL.STORAGE.getToken();

                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.is_save) {
                        //初始化我的页面
                        UTIL.WIN.openNewWin('proposal_step3', 'proposal_step3.html');
                        UTIL.WIN.winClose();
                    } else {
                        $('#user_info_tip').children('p').html('保存失败');
                        $('#user_info_tip').show().fadeOut("slow");
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        },
        save_step3_data : function(pid, name, expected_time, subject_type, public_type, summary, background, event, beginning, epitasis, climax, endding, the_end, movie_style, target_audience, budget, materialnum, copyright,seekcoop,is_submit) {

            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var param_str = "&name=" + name;
                param_str = param_str + "&expected_time=" + expected_time;
                param_str = param_str + "&subject_type=" + subject_type;
                param_str = param_str + "&public_type=" + public_type;
                param_str = param_str + "&summary=" + summary;
                param_str = param_str + "&background=" + background;
                param_str = param_str + "&pid=" + pid;
                param_str = param_str + "&event=" + event;
                param_str = param_str + "&beginning=" + beginning;
                param_str = param_str + "&epitasis=" + epitasis;
                param_str = param_str + "&climax=" + climax;
                param_str = param_str + "&endding=" + endding;
                param_str = param_str + "&the_end=" + the_end;
                param_str = param_str + "&movie_style=" + movie_style;
                param_str = param_str + "&target_audience=" + target_audience;
                param_str = param_str + "&budget=" + budget;
                param_str = param_str + "&is_submit=" + is_submit;
                param_str = param_str + "&materialnum=" + materialnum;
                param_str = param_str + "&copyright=" + copyright;
                param_str = param_str + "&seekcoop=" + seekcoop;

                var api_url = API.PROPOSAL.saveStep3Data + "&token=" + UTIL.STORAGE.getToken() + param_str;
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.is_save) {
                        //初始化我的页面
                        UTIL.WIN.openNewWin('myproposallist', 'proposal_mylist.html', 14, 4);
                        UTIL.WIN.winClose();
                    } else {
                        $('#user_info_tip').children('p').html('保存失败');
                        $('#user_info_tip').show().fadeOut("slow");
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }

        }
    }
};
