var API = {
	/* 常用参数 */
	HOME : {
		getHomeData:"http://www.docchina.cn/index.php?app=api&mod=Home&act=getHomeData&format=jsonp",
		getChosenData:"http://www.docchina.cn/index.php?app=api&mod=Home&act=getChosenData&format=jsonp",//new
		getPushData:"http://www.docchina.cn/index.php?app=api&mod=Home&act=getPushData&format=jsonp",//new
		getNewsData:"http://www.docchina.cn/index.php?app=api&mod=Home&act=getNewsData&format=jsonp",//new
		getChannelData:"http://www.docchina.cn/index.php?app=api&mod=Home&act=getChannelData&format=jsonp",//new
		checkUpdate:"http://www.docchina.cn/index.php?app=api&mod=Home&act=checkUpdate&format=jsonp",
		getGuideData:"http://www.docchina.cn/index.php?app=api&mod=Home&act=getGuideData&format=jsonp",
		getHomeDataNew:"http://www.docchina.cn/index.php?app=api&mod=Home&act=getHomeDataNew&format=jsonp",
	},
	CMS : {
		getExpertCategory:"http://www.docchina.cn/index.php?app=api&mod=Expert&act=getExpertCategory&format=jsonp&type=2",
		getSourceCategory:"http://www.docchina.cn/index.php?app=api&mod=Expert&act=getExpertCategory&format=jsonp&type=1",
		getExpertById:"http://www.docchina.cn/index.php?app=api&mod=Expert&act=getExpertById&format=jsonp",
		getExpertDetail:"http://www.docchina.cn/index.php?app=api&mod=Expert&act=getExpertDetail&format=jsonp",
		getNewsList:"http://www.docchina.cn/index.php?app=api&mod=News&act=info_list&format=jsonp",
		getPolicyList:"http://www.docchina.cn/index.php?app=api&mod=Policy&act=p_list&format=jsonp",
		getNewsDetail:"http://www.docchina.cn/index.php?app=api&mod=News&act=info_detail&format=jsonp",
		getPolicyDetail:"http://www.docchina.cn/index.php?app=api&mod=Policy&act=p_detail&format=jsonp",
		getNewsListByChannel:"http://www.docchina.cn/index.php?app=api&mod=Home&act=getMoreNewsData&format=jsonp",
		getVideoHome:"http://www.docchina.cn/index.php?app=api&mod=Video&act=getVideoHomeData&format=jsonp",
		getVideoDetail:"http://www.docchina.cn/index.php?app=api&mod=Video&act=getVideoDetailData&format=jsonp",
		getVideoDetailSets:"http://www.docchina.cn/index.php?app=api&mod=Video&act=getVideoDetailSets&format=jsonp",
		getVideoPlayUrl:"http://www.docchina.cn/index.php?app=api&mod=Video&act=getVideoPlayUrl&format=jsonp",
		getSearchRecommend:"http://www.docchina.cn/index.php?app=api&mod=Video&act=getSearchRecommend&format=jsonp",
		getVideoByKeyword:"http://www.docchina.cn/index.php?app=api&mod=Video&act=getVideoByKeyword&format=jsonp",
		getVideoByKeywordNew:"http://www.docchina.cn/index.php?app=api&mod=Video&act=getVideoByKeywordNew&format=jsonp",
		getPeopleByKeyword:"http://www.docchina.cn/index.php?app=api&mod=Video&act=getPeopleByKeyword&format=jsonp",
		saveMovieAppeal:"http://www.docchina.cn/index.php?app=api&mod=Video&act=saveMovieAppeal&format=jsonp",
		getMoreChosenData:"http://www.docchina.cn/index.php?app=api&mod=Home&act=getMoreChosenData&format=jsonp",//new
		getMorePushData:"http://www.docchina.cn/index.php?app=api&mod=Home&act=getMorePushData&format=jsonp",//new
		getMoviesPreferred:"http://www.docchina.cn/index.php?app=api&mod=Video&act=getMoviesPreferred&format=jsonp",
		getMovieSearchBoxData:"http://www.docchina.cn/index.php?app=api&mod=Video&act=getMovieSearchBoxData&format=jsonp",
		getVideoSearchResult:"http://www.docchina.cn/index.php?app=api&mod=Video&act=getVideoSearchResult&format=jsonp",
		getVideoPageUrl:"http://www.docchina.cn/index.php?app=api&mod=Video&act=getVideoPageUrl&format=jsonp",
		getCommonDetail:"http://www.docchina.cn/index.php?app=api&mod=News&act=getCommonDetail&format=jsonp",
		getCommonLinkMovie:"http://www.docchina.cn/index.php?app=api&mod=News&act=getCommonLinkMovie&format=jsonp",
		loadPreferredMonthDisplay:"http://www.docchina.cn/index.php?app=api&mod=Video&act=loadPreferredMonthDisplay&format=jsonp",
		expertMessageAdd:"http://www.docchina.cn/index.php?app=api&mod=Expert&act=expertMessageAdd&format=jsonp",
		getTenderList:"http://www.docchina.cn/index.php?app=api&mod=Tender&act=Tender_List&format=jsonp",
		getTenderDetail:"http://www.docchina.cn/index.php?app=api&mod=Tender&act=tender_detail&format=jsonp",
		getActUserList:"http://www.docchina.cn/index.php?app=api&mod=ActUser&act=getActUserList&format=jsonp",
		getActUserDetail:"http://www.docchina.cn/index.php?app=api&mod=ActUser&act=getActUserDetail&format=jsonp",
		getActUserSearchbox:"http://www.docchina.cn/index.php?app=api&mod=ActUser&act=getActUserSearchBox&format=jsonp",
		getActUserSearchResult:"http://www.docchina.cn/index.php?app=api&mod=ActUser&act=getSearchResult&format=jsonp",
	},
	USER : {
		getAccessToken:"http://www.docchina.cn/index.php?app=api&mod=User&act=getAccessToken&format=jsonp",
		getUserHome:"http://www.docchina.cn/index.php?app=api&mod=User&act=getUserHome&format=jsonp",
		sendSMS:"http://www.docchina.cn/index.php?app=api&mod=User&act=sendSMS&format=jsonp",
		regUser:"http://www.docchina.cn/index.php?app=api&mod=User&act=regUser&format=jsonp",
		findPws:"http://www.docchina.cn/index.php?app=api&mod=User&act=findPws&format=jsonp",
		changePws:"http://www.docchina.cn/index.php?app=api&mod=User&act=changePws&format=jsonp",
		getMyInfo:"http://www.docchina.cn/index.php?app=api&mod=User&act=getMyInfo&format=jsonp",
		getMyBaseInfo:"http://www.docchina.cn/index.php?app=api&mod=User&act=getMyBaseInfo&format=jsonp",
		saveMyInfo:"http://www.docchina.cn/index.php?app=api&mod=User&act=saveMyInfo&format=jsonp",
		uploadFace:"http://www.docchina.cn/index.php?app=api&mod=User&act=uploadFace&format=jsonp",
		
		loadVerifPerson:"http://www.docchina.cn/index.php?app=api&mod=User&act=loadVerifPerson&format=jsonp",
		loadVerifCompany:"http://www.docchina.cn/index.php?app=api&mod=User&act=loadVerifCompany&format=jsonp",
		loadVerifStudio:"http://www.docchina.cn/index.php?app=api&mod=User&act=loadVerifStudio&format=jsonp",
		saveVerifPerson:"http://www.docchina.cn/index.php?app=api&mod=User&act=saveVerifPerson&format=jsonp",
		saveVerifCompany:"http://www.docchina.cn/index.php?app=api&mod=User&act=saveVerifCompany&format=jsonp",
		saveVerifStudio:"http://www.docchina.cn/index.php?app=api&mod=User&act=saveVerifStudio&format=jsonp",
		uploadAttach:"http://www.docchina.cn/index.php?app=api&mod=User&act=uploadAttach&format=jsonp",
		hasPermission:'http://www.docchina.cn/index.php?app=api&mod=User&act=hasPermission&format=jsonp',
		loadBasicUserInfo:"http://www.docchina.cn/index.php?app=api&mod=User&act=loadBasicUserInfo&format=jsonp",
		
	},
	ORIG : {
		loadStep1Data:"http://www.docchina.cn/index.php?app=api&mod=Originality&act=loadStep1Data&format=jsonp",
		loadStep2Data:"http://www.docchina.cn/index.php?app=api&mod=Originality&act=loadStep2Data&format=jsonp",
		loadStep3Data:"http://www.docchina.cn/index.php?app=api&mod=Originality&act=loadStep3Data&format=jsonp",
		loadStep4Data:"http://www.docchina.cn/index.php?app=api&mod=Originality&act=loadStep4Data&format=jsonp",
		saveStep1Data:"http://www.docchina.cn/index.php?app=api&mod=Originality&act=saveStep1Data&format=jsonp",
		saveStep2Data:"http://www.docchina.cn/index.php?app=api&mod=Originality&act=saveStep2Data&format=jsonp",
		saveStep3Data:"http://www.docchina.cn/index.php?app=api&mod=Originality&act=saveStep3Data&format=jsonp",
		saveStep4Data:"http://www.docchina.cn/index.php?app=api&mod=Originality&act=saveStep4Data&format=jsonp",
		loadMyOrigList:"http://www.docchina.cn/index.php?app=api&mod=Originality&act=loadMyOrigList&format=jsonp",
		delMyOrigData :"http://www.docchina.cn/index.php?app=api&mod=Originality&act=delMyOrigData&format=jsonp",
		loadOrigList:"http://www.docchina.cn/index.php?app=api&mod=Originality&act=loadOrigList&format=jsonp",
		loadOrigDetail:"http://www.docchina.cn/index.php?app=api&mod=Originality&act=loadOrigDetail&format=jsonp",
	},
	PROPOSAL:{
		loadStep1Data:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=loadStep1Data&format=jsonp",
		saveStep1Data:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=saveStep1Data&format=jsonp",
		loadStep2Data:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=loadStep2Data&format=jsonp",
		saveStep2Data:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=saveStep2Data&format=jsonp",
		loadStep3Data:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=loadStep3Data&format=jsonp",
		saveStep3Data:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=saveStep3Data&format=jsonp",
		loadMyProposalList:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=loadMyProposalList&format=jsonp",
		delMyProposalData:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=delMyProposalData&format=jsonp",
		loadProposalList:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=loadProposalList&format=jsonp",
		loadDetailData:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=loadDetailData&format=jsonp",
		saveAppealData:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=saveAppealData&format=jsonp",
		loadSearchBox:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=loadSearchBox&format=jsonp",
		addDigg:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=addDigg&format=jsonp",
		loadProposalComments:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=loadProposalComments&format=jsonp",
		addComment:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=addComment&format=jsonp",
		getProposalMovieList:"http://www.docchina.cn/index.php?app=api&mod=Proposal&act=getProposalMovieList&format=jsonp",
		
	},
	SOCIAL:{
		loadRecommendPeople:"http://www.docchina.cn/index.php?app=api&mod=Social&act=loadRecommendPeople&format=jsonp",
		loadPerson:"http://www.docchina.cn/index.php?app=api&mod=Social&act=loadPerson&format=jsonp",
		follow:"http://www.docchina.cn/index.php?app=api&mod=Social&act=follow&format=jsonp",
		loadFollowingList:"http://www.docchina.cn/index.php?app=api&mod=Social&act=loadFollowingList&format=jsonp",
		loadFollowerList:"http://www.docchina.cn/index.php?app=api&mod=Social&act=loadFollowerList&format=jsonp",
		loadMyFollowingList:"http://www.docchina.cn/index.php?app=api&mod=Social&act=loadMyFollowingList&format=jsonp",
		loadMyFollowerList:"http://www.docchina.cn/index.php?app=api&mod=Social&act=loadMyFollowerList&format=jsonp",
		loadTalkList:"http://www.docchina.cn/index.php?app=api&mod=Social&act=loadTalkList&format=jsonp",
		loadTalks:"http://www.docchina.cn/index.php?app=api&mod=Social&act=loadTalks&format=jsonp",
		sendTalk:"http://www.docchina.cn/index.php?app=api&mod=Social&act=sendTalk&format=jsonp",
		emptyTalk:"http://www.docchina.cn/index.php?app=api&mod=Social&act=emptyTalk&format=jsonp",
		publicDetailTimeline:"http://www.docchina.cn/index.php?app=api&mod=Social&act=publicDetailTimeline&format=jsonp",
		friendTimeline:"http://www.docchina.cn/index.php?app=api&mod=Social&act=friendTimeline&format=jsonp",
		

	},
	share:{
	    shareToWeixin:"http://www.docchina.cn/index.php?app=public&mod=ShareMobile&act=sharemobile",
	    shareexpertmobile:"http://www.docchina.cn/index.php?app=public&mod=ShareMobile&act=shareexpertmobile",
	    sharevideomobile:"http://www.docchina.cn/index.php?app=public&mod=ShareMobile&act=sharevideomobile",
	    sharenewsmobile:"http://www.docchina.cn/index.php?app=public&mod=ShareMobile&act=sharenewsmobile",
	    sharepolicymobile:"http://www.docchina.cn/index.php?app=public&mod=ShareMobile&act=sharepolicymobile",
	    shareTop:"http://www.docchina.cn/index.php?app=public&mod=ShareMobile&act=sharetoplistmobile",
	    shareInvite:"http://www.docchina.cn/index.php?app=public&mod=ShareMobile&act=shareinvitemobile",
	    sharezonenewsmobile:"http://www.docchina.cn/index.php?app=public&mod=ShareMobile&act=sharezonenewsmobile",
	},
	DISC:{
        getWeibaList:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=loadWeibaList&format=jsonp",
        searchWeiba:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=searchWeiba=jsonp",
        getPostList:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=loadPostList&format=jsonp",
        getReplyList:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=loadReplyList&format=jsonp",
        getReplydiscList:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=loadReplydiscList&format=jsonp",
        getReplyOnlyFloorHostList:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=loadReplyOnlyFloorHostList&format=jsonp",
        setPostData:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=savePostData&format=jsonp",
        setReplyData:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=saveReplyData&format=jsonp",
        setReplyDiscData:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=saveReplyDiscData&format=jsonp",
        changeWeibaFollowState:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=changeWeibaFollowState&format=jsonp",
        uploadAttach:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=uploadAttach&format=jsonp",
        delPostItem:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=delPostItem&format=jsonp",
        delReplyItem:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=delReplyItem&format=jsonp",
        delReplyDiscItem:"http://www.docchina.cn/index.php?app=api&mod=Discussion&act=delReplyDiscItem&format=jsonp",
        
   },
   PUSH:{
   		addPhoneToken:"http://www.docchina.cn/index.php?app=api&mod=PushPhone&act=addPhoneToken",
   },
   TOP:{
        getTopType:"http://www.docchina.cn/index.php?app=api&mod=Top&act=loadTopType&format=jsonp",
        getToplistItems:"http://www.docchina.cn/index.php?app=api&mod=Top&act=loadToplistItems&format=jsonp",
   },
   pushUrl:{
   		zixun:'app/cms/info_news_detail.html',
   		yingpian:'app/cms/video_detail.html',
   		renmai:'app/cms/expert_detail.html',
   		zhengce:'app/cms/info_policy_detail.html',
   },
   THIRDLOGIN:{
   		checkAccessToken:'http://www.docchina.cn/index.php?app=api&mod=User&act=checkAccessToken&format=jsonp'
   },
   DOUBLE:{
   		getMyList:'http://www.docchina.cn/index.php?app=api&mod=SpecialBairen&act=getMyList&format=jsonp',
   		updateDouble:'http://www.docchina.cn/index.php?app=api&mod=SpecialBairen&act=updateDouble&format=jsonp',
   		getProvinceData:'http://www.docchina.cn/index.php?app=api&mod=SpecialBairen&act=getProvinceData&format=jsonp',
   		getDoubleById:'http://www.docchina.cn/index.php?app=api&mod=SpecialBairen&act=getDoubleById&format=jsonp',
   		delDouble:'http://www.docchina.cn/index.php?app=api&mod=SpecialBairen&act=delDouble&format=jsonp'
   },
   SEARCH:{
   		searchAll:'http://www.docchina.cn/index.php?app=api&mod=SearchAll&act=getSerachResult&format=jsonp'
   },
   ZONE:{
        getZoneList:'http://www.docchina.cn/index.php?app=api&mod=Zone&act=getZoneList&format=jsonp', 
        getZoneDetailHome:'http://www.docchina.cn/index.php?app=api&mod=Zone&act=getZoneDetail&format=jsonp', 
        getRelationByBlockId:'http://www.docchina.cn/index.php?app=api&mod=Zone&act=getRelationByBlockId&format=jsonp', 
        getPassByZone:'http://www.docchina.cn/index.php?app=api&mod=Zone&act=getPassByZone&format=jsonp', 
        getZoneBlockArticle:'http://www.docchina.cn/index.php?app=api&mod=Zone&act=getZoneBlockArticle&format=jsonp', 
        getZoneNewsDetail:'http://www.docchina.cn/index.php?app=api&mod=Zone&act=getZoneNewsDetail&format=jsonp',
   },
};



