var DOUBLE_INIT = {
    DOUBLE_UPDATE:{
    	page_init:function(id){
    		var api_url = API.DOUBLE.getProvinceData;
    		UTIL.AJAX.load_server_json(api_url, function(data){
    			var html = '';
    			for(var item in data.province){  
		            var jValue=data.province[item];//key所对应的value  
		            html+='<option value="'+item+'">'+jValue+'</option>';
			    }
			    $('#double_province').html(html);
			    $('#double_hint').append(data.hint);
			    if(id!=''){
	    			var token = UTIL.STORAGE.getToken();
	    			if(token!=''){
	    				var api_url_get = API.DOUBLE.getDoubleById+'&id='+id+'&token='+token;
		    			UTIL.AJAX.load_server_json(api_url_get, function(data){
		    				for(var key in data){  
					            var val=data[key];//key所对应的value  
					            $('#double_'+key).val(val);
					            if(key=='province'){
					            	$('#double_'+key+'_div').html($('option[value="'+val+'"]').html());
					            }else{
					            	$('#double_'+key+'_div').html(val);
					            }
						    }
		    			});
	    			}else{
	    				setTimeout(function() {
		                    UTIL.WIN.openNewWin('login', '../user/login.html');
		                    UTIL.WIN.winClose();
		                }, 2000);
	    			}
	    			
	    		}
	    		$('#double_update_save').off().on('click',function(){
	    			var title = $('#double_title').val();
	    			if(title==''||title==null){
	    				$('#double_update_tip').html('片名不能为空');
	                    return false;
	    			}
	    			var set_num = $('#double_set_num').val();
	    			if(set_num==''||set_num==null){
	    				$('#double_update_tip').html('集数不能为空');
	                    return false;
	    			}
	    			if(isNaN(set_num)){
	    				$('#double_update_tip').html('集数只能为数字');
	                    return false;
	    			}
	    			var set_time = $('#double_set_time').val();
	    			if(set_time==''||set_time==null){
	    				$('#double_update_tip').html('每集时长不能为空');
	                    return false;
	    			}
	    			if(isNaN(set_time)){
	    				$('#double_update_tip').html('每集时长只能为数字');
	                    return false;
	    			}
	    			var beginning_time = $('#double_beginning_time').val();
	    			if(beginning_time==''||beginning_time==null){
	    				$('#double_update_tip').html('预计开拍时间不能为空');
	                    return false;
	    			}
	    			var completion_time = $('#double_completion_time').val();
	    			if(completion_time==''||completion_time==null){
	    				$('#double_update_tip').html('预计成片时间不能为空');
	                    return false;
	    			}
	    			var summary = $('#double_summary').val();
	    			if(summary==''||summary==null){
	    				$('#double_update_tip').html('内容概要不能为空');
	                    return false;
	    			}
	    			var team = $('#double_team').val();
	    			if(team==''||team==null){
	    				$('#double_update_tip').html('拍摄计划不能为空');
	                    return false;
	    			}
	    			var schedule = $('#double_schedule').val();
	    			if(schedule==''||schedule==null){
	    				$('#double_update_tip').html('拍摄计划不能为空');
	                    return false;
	    			}
	    			var linker = $('#double_linker').val();
	    			if(linker==''||linker==null){
	    				$('#double_update_tip').html('制作方联系人不能为空');
	                    return false;
	    			}
	    			var link_tel = $('#double_link_tel').val();
	    			if(link_tel==''||link_tel==null){
	    				$('#double_update_tip').html('制作方联系电话不能为空');
	                    return false;
	    			}
	    			var email = $('#double_email').val();
	    			if(email==''||email==null){
	    				$('#double_update_tip').html('电子邮箱不能为空');
	                    return false;
	    			}
	    			if (!UTIL.VAL.is_email(email)) {
	                    $('#double_update_tip').html('电子邮箱格式不对，请正确输入');
	                    return false;
	                }
	                var province = $('#double_province').val();
	                if(province==''||province==null){
	    				$('#double_update_tip').html('省份不能为空');
	                    return false;
	    			}
	    			DOUBLE.double_list_page.updateDouble(title,set_num,set_time,beginning_time,completion_time,summary,team,schedule,linker,link_tel,email,province);
	    		});
    		});
    	}
    },
    DOUBLE_LIST_INIT:{
    	list_init:function(){
    		$('.ajax_double_edit').off().on('click',function(){
    			var double_id = $(this).attr('dataid');
    			UTIL.WIN.openNewWin('update_double', 'update_double.html?double_id='+double_id);
    		});
    		$('.ajax_double_delete').off().on('click',function(){
    			var double_id = $(this).attr('dataid');
    			UTIL.WIN.showAlertBox('del_double_box', '是否删除该选题', {'确认,fa-check' : 'del_double_check'});
    			$('#del_double_check').off().on('click',function(){
    				$('#del_double_box').hide();
    				var api_url = API.DOUBLE.delDouble+'&id='+double_id+'&token='+UTIL.STORAGE.getToken();
	    			UTIL.AJAX.load_server_json(api_url, function(data){
	    				if(data.is_success){
	    					UTIL.WIN.showAlertTip('del_success_tip','success','删除成功');
	    					uexWindow.evaluateScript("","0","DOUBLE.double_list_page.get_my_list()");
	    				}
	    			});
    			});
    			
    		});
    		$('.ajax_proposal_detail').off().on('click',function(){
    			var double_id = $(this).attr('dataid');
    			UTIL.WIN.openNewWin('update_double', 'update_double.html?double_id='+double_id+'&double_show=1');
    		});
    	}
    }
};
