var HOME = {
    home: {
        loadHomePages : function() {
            //初始设置屏幕高度
            $('#module_scroll').css({height : $(window).height()});
            
            //初始加载导航所有页面
            HOME.home.loadModelData(0);
            HOME.home.loadModelData(1);
            HOME.home.loadModelData(2);
            HOME.home.loadModelData(3);
            HOME.home.loadModelData(4);
            
            window.docucn_index_scroll = new iScroll('index_wrapper',{ hScrollbar: false, vScrollbar: false });
            window.docucn_movie_scroll = new iScroll('movie_wrapper',{ hScrollbar: false, vScrollbar: false });
            window.docucn_expert_scroll = new iScroll('expert_wrapper',{ hScrollbar: false, vScrollbar: false });
            window.docucn_info_scroll = new iScroll('info_wrapper',{ hScrollbar: false, vScrollbar: false });
            window.docucn_my_scroll = new iScroll('my_wrapper',{ hScrollbar: false, vScrollbar: false });
                
            window.contentSwiper = $('#module_scroll').swiper({
                onSlideChangeStart : function() {
                    HOME.home.updateNavPosition();
                    var is_cache_html = UTIL.STORAGE.getSessionAttr('is_cache_html');
                    if(is_cache_html==null||is_cache_html==''){
                        UTIL.PAGE.sortImage('module_scroll');
                    }
                    ajaxEnd();
                }
            });
            if(!$('#ajax_main_nav_home').parent('li').hasClass('on')){
                $('#ajax_main_nav_home').parent('li').addClass('on');
                $('#ajax_main_nav_home').parent('li').siblings('li').removeClass('on');
            }
            UTIL.PUSH.initPushToken();
        },
        updateNavPosition : function(){
            var page_id = 'index_wrapper';
            $('.js_swiper_page').each(function(i) {
                if ($(this).hasClass('swiper-slide-active')) {
                    page_id = $(this).children('div').children('div').attr('id');
                }
            });
            
            if(page_id == 'index_wrapper'){
                if(!$('#ajax_main_nav_home').parent('li').hasClass('on')){
                    $('#ajax_main_nav_home').parent('li').addClass('on');
                    $('#ajax_main_nav_home').parent('li').siblings('li').removeClass('on');
                }
                $('.js_search').show();
                $('.js_edit').hide();
                $('.js_video_fliter').hide();
                $('.join').hide();  
            }else if(page_id == 'movie_wrapper'){
                if(!$('#ajax_main_nav_movie').parent('li').hasClass('on')){
                    $('#ajax_main_nav_movie').parent('li').addClass('on');
                    $('#ajax_main_nav_movie').parent('li').siblings('li').removeClass('on');
                }
                $('.js_search').show();
                $('.js_edit').hide();
                $('.js_video_fliter').show();
                $('.join').hide();  
            }else if(page_id == 'expert_wrapper'){
                if(!$('#ajax_main_nav_expert').parent('li').hasClass('on')){
                    $('#ajax_main_nav_expert').parent('li').addClass('on');
                    $('#ajax_main_nav_expert').parent('li').siblings('li').removeClass('on');
                }
                $('.js_search').hide();
                $('.join').show();
                $('.js_edit').hide();
                $('.js_video_fliter').hide();
            }else if(page_id == 'info_wrapper'){
                if(!$('#ajax_main_nav_info').parent('li').hasClass('on')){
                    $('#ajax_main_nav_info').parent('li').addClass('on');
                    $('#ajax_main_nav_info').parent('li').siblings('li').removeClass('on');
                }
                $('.js_search').show();             
                $('.js_edit').hide();
                $('.js_video_fliter').hide();
                $('.join').hide();  
            }else if(page_id == 'my_wrapper'){
                if(!$('#ajax_main_nav_my').parent('li').hasClass('on')){
                    $('#ajax_main_nav_my').parent('li').addClass('on');
                    $('#ajax_main_nav_my').parent('li').siblings('li').removeClass('on');
                }
                var token = UTIL.STORAGE.getToken();
                if(token!=null&&token!=''){
                    $('.js_search').hide();
                    $('.js_edit').show();
                    $('.js_video_fliter').hide();
                }else{
                    $('.js_search').show();
                    $('.js_edit').hide();
                    $('.js_video_fliter').hide();
                }
                $('.join').hide();  
            }

        },
        loadGuideDatas: function(){
            var api_url = API.HOME.getGuideData;
            UTIL.AJAX.load_server_json(api_url, function(data){
                var api_data = data;    
                if(api_data.guide!=null && api_data.guide.length>0){
                    $('#ad').show();
                    var html = '';
                    for(var i=0;i<api_data.guide.length;i++){
                        var guide = api_data.guide[i];
                        if(i==(api_data.guide.length-1)){
                            html+='<div class="swiper-slide  text-center" style="background:url('+guide.guide_path+') no-repeat;background-size: cover;"><center style="margin-top:130%;"><a class="guide_into_app_btn" id="close_guide" style="">进入应用</a></center></div>';
                        }else{
                            html+='<div class="swiper-slide" style="background:url('+guide.guide_path+') no-repeat;background-size: cover;"></div>';
                        }
                    }
                    $('#home_guide').html(html);
                    $('#ad_box').append('<center><div class="pagination_carousel_guide"></div></center>');
                     $('#ad_box').swiper({
                        pagination: '.pagination_carousel_guide',
                        paginationClickable: true,
                        slidesPerView: 1,
                        calculateHeight: false,
                        createPagination:true
                    });
                    $('#close_guide').off().on('click',function(){
                        $('#ad').hide();
                        HOME.home.loadHomePages();
                    });
                }else{
                    setTimeout(function(){
                        HOME.home.loadHomePages();
                    },100);
                }
             });
        },
        //加载首页数据
        loadHomeDatas: function(){
            //顶部搜索改为编辑
            $('.js_search').show();
            $('.js_edit').hide();
            $('.js_video_fliter').hide();
            if(!$('#ajax_main_nav_home').parent('li').hasClass('on')){
                $('#ajax_main_nav_home').parent('li').addClass('on');
                $('#ajax_main_nav_home').parent('li').siblings('li').removeClass('on');
            }
            UTIL.AJAX.load_content('docucn_index','app/home/home.html');
            var api_url = API.HOME.getHomeData;
            /**$('#docucn_user_skill').swiper({
                slidesPerView:'auto',
                calculateHeight: true,
                cssWidthAndHeight:true
            });*/
            UTIL.AJAX.load_server_json(api_url, function(data){
                var api_data = data;    
                //加载轮播部分
                UTIL.AJAX._load_content('app/home/home_carousel.html', function(data){
                    if(api_data.carousels != null){
                        UTIL.WIN.toTop('carousel_container');
                        var myListTemplate = $.templates(data);
                        $('#js_mySwipe').append(myListTemplate.render(api_data.carousels));
                        ajaxEnd();
                        $('#home_carousel').append('<div class="pagination_carousel"></div>');
                        HOME.home.carousel();
                        $('#loading_wait').hide();
                    }
                });
                
                //加载最新动态部分                
                if (api_data.feeds != null) {
                    $('#home_public_feed_swipe').empty();
                     UTIL.AJAX._load_content('app/home/home_feed_list_item.html', function(data){
                        if(api_data.feeds != null){
                            var myListTemplate = $.templates(data);
                            $('#home_public_feed_swipe').append(myListTemplate.render(api_data.feeds));
                            ajaxEnd();
                             $('#home_public_feed').swiper({
                                mode : 'vertical',
                                paginationClickable: false,
                                slidesPerView: 1,
                                loop: true,
                                autoplay: 5000,
                                calculateHeight: true,
                                createPagination: true
                            });
                        }
                    });
                }
                else {
                    var item = '<li class="swiper-slide"><a class=" clear" href="javascript:;"><span class="fl">暂时没有最新动态</span><i class="fr"></i></a></li>';
                    $('#home_public_feed_swipe').empty();
                    $('#home_public_feed_swipe').append(item);
                }
                
                //加载频道部分
                var channel_nav_list = '<li class="swiper-slide on"><a id="bestVideoForYou" href="javascript:;"><img src="imgs/jingxuan.png" alt=""></a></li>';
                $('#home_channel_nav_list').html(channel_nav_list);
                UTIL.AJAX._load_content('app/home/home_channel_category_item.html', function(data){
                    if (api_data.channels != null) {
                        var myListTemplate = $.templates(data);
                        $('#home_channel_nav_list').append(myListTemplate.render(api_data.channels));
                        ajaxEnd();
                    }

                    var navs = $('#home_channel_nav_list li');
                    $(navs[0]).find("a").attr('cType', '1');
                    
                    $('#home_channel_nav').swiper({
                        slidesPerView: 'auto',
                        calculateHeight: true
                    });
                    HOME_INIT.PageLoad.home_channel_init();
                });

                //加载频道内容部分
                var detailHtml = '';
                UTIL.AJAX._load_content('app/home/home_channel_category_detail.html', function(data){
                    $('#channel_content_more').remove();
                    if (api_data.channel_videos.videos != null) {
                       var videoHtmlResult = UTIL.PAGE.getPageLayoutHtml(data,api_data.channel_videos.videos,3);
                    }
                    $("#js_recommend_listDetail").html(videoHtmlResult);
                    var wli=$("#js_recommend_listDetail .col-xs-4:eq(0)").innerWidth();
                    $("#js_recommend_listDetail img").height(Math.floor((wli/3)*3.5));
                    $("#js_recommend_listDetail .col-xs-4").css('padding-left',"7.5px");
                    $("#js_recommend_listDetail .col-xs-4").css('padding-right',"7.5px");
                    $("#js_recommend_listDetail img").each(function(){
                        $(this).width($(this).height()*3/3.5);
                    });
                    var moreHtml = '<div class="channel_more" id="channel_content_more"><center><a href="javascript:HOME.home.loadModelData(1);">更多影片</a></center></div>';
                    $('#channel_content').append(moreHtml);
                    ajaxEnd();
                });
                
                
                //判断用户登录状态
                if(UTIL.STORAGE.getToken() != ""){
                    var logout_html = "<a href=\"javascript:USER.user.logout();\"><img src=\"./imgs/new-signOut-btn.png\"></a>";
                    $('.js_home_function_bar').html(logout_html);
                    var login_uname_html = "";
                    login_uname_html+=UTIL.STORAGE.getLocalData('uname');
                    login_uname_html+='，你好';
                    $('.js_login_name').html(login_uname_html);
                    $('#home_login_temp').hide();
                }else{
                    var login_html = "<a href=\"javascript:javascript:UTIL.WIN.openNewWin('login','app/user/login.html');\"><img src=\"imgs/new-login-btn.png\"></a>";
                    $('.js_home_function_bar').html(login_html);
                }
                CMS.video.load_home_search_box();
                HOME_INIT.PageLoad.home_search_movie_init();
                
                ajaxEnd();
            });
            
        },
        /*首页轮播*/
        carousel: function(){
            //固定轮播图宽高比
            var w=$('#home_carousel').innerWidth();
             $('#home_carousel img').height((w/16)*9);
             $('#home_carousel img').width(w);
             $('.content_top').css('marginTop',(w/16)*9+getHeaderHeight());//此处
            if(isNotWindows&&!isAndroidPhone){
                //$('#home_box').css('marginTop',(w/16)*9+16*0.7);
            }else{
                $('#home_carousel').height((w/16)*9);
                //$('#home_box').css('marginTop',(w/16)*9);
            }
            $('#home_carousel').swiper({
                pagination: '.pagination_carousel',
                paginationClickable: true,
                slidesPerView: 1,
                loop: true,
                autoplay:5000,
                calculateHeight: true,
                createPagination:true
            });
        },
        carousel_jump: function(jump_url, title){
            var arr = jump_url.split("-");
            if (arr.length == 2) {
                //1 => '影片', 2 => '专家机构', 3 => '资讯', 4 => '政策'
                if (arr[0] == '1') {
                    UTIL.WIN.openNewWin('video_detail', 'app/cms/video_detail.html?id=' + arr[1] + '&name=' + title);
                }
                else 
                    if (arr[0] == '2') {
                        UTIL.WIN.openNewWin('expert_detail', 'app/cms/expert_detail.html?id=' + arr[1] + '&name=' + title);
                    }
                    else 
                        if (arr[0] == '3') {
                            UTIL.WIN.openNewWin('news_detail', 'app/cms/info_news_detail.html?id=' + arr[1]);
                        }
                        else 
                            if (arr[0] == '4') {
                                UTIL.WIN.openNewWin('policy_detail', 'app/cms/info_policy_detail.html?id=' + arr[1]);
                            }
                            else {
                                UTIL.WIN.openNewWin('video_detail', 'app/cms/video_detail.html?id=' + arr[1] + '&name=' + title);
                            }
            }
            else {
                UTIL.WIN.openNewWin('carousel_jump_page', jump_url);
            }
        },
        get_home_channel_detail_data: function(id, type, name){
            if (id == 'homepage') {
                var api_url = API.HOME.getChosenData;
                UTIL.AJAX.load_server_json(api_url, function(data){
                    var api_data = data;
                    $('#channel_content_more').remove();
                    //加载精选内容部分
                    var detailHtml = '';
                    UTIL.AJAX._load_content('app/home/home_channel_category_detail.html', function(data){
                         if (api_data != null) {
                                   detailHtml = UTIL.PAGE.getPageLayoutHtml(data,api_data,3);
                        }
                        $("#js_recommend_listDetail").html(detailHtml);
                        var wli=$("#js_recommend_listDetail .col-xs-4:eq(0)").innerWidth();
                        $("#js_recommend_listDetail img").height(Math.floor((wli/3)*3.5));
                        $("#js_recommend_listDetail .col-xs-4").css('padding-left',"7.5px");
                        $("#js_recommend_listDetail .col-xs-4").css('padding-right',"7.5px");
                        $("#js_recommend_listDetail img").each(function(){
                            $(this).width($(this).height()*3/3.5);
                        });
                        var moreHtml = '<div class="channel_more" id="channel_content_more"><center><a href="javascript:HOME.home.loadModelData(1);">更多影片</a></center></div>';
                        $('#channel_content').append(moreHtml);
                        ajaxEnd();
                    });
                });
            }
            else 
                if (id == 'preferred') {
                    var api_url = API.HOME.getPushData;
                    UTIL.AJAX.load_server_json(api_url, function(data){
                        var api_data = data;
                        //加载推优内容部分
                        var detailHtml = '<ul class="croselist liLeft w100 clear bgf">';
                        UTIL.AJAX._load_content('app/home/home_channel_category_detail.html', function(data){
                            if(api_data != null){
                                for (var i = 0; i < api_data.length; i++) {
                                    detailHtml += nano(data, api_data[i]);
                                }
                            }
                            detailHtml += '</ul><a  class="lookmore bgf color3b"  href="javascript:UTIL.WIN.openNewWin(\'news_channel_list\',\'app/cms/video_push.html?id=' + id + '&name=' + name + '&type=' + type + '\');">查看更多</a>';
                            $("#js_recommend_listDetail").html(detailHtml);
                            var wli=$("#js_recommend_listDetail li:eq(0)").innerWidth();
                            $("#js_recommend_listDetail li").height(Math.floor((wli/3)*5));
                            $("#js_recommend_listDetail img").height(Math.floor((wli/3)*4));
                            ajaxEnd();
                        });
                    });
                    
                }
                else {
                    var api_url = API.HOME.getChannelData + "&id=" + id;
                    UTIL.AJAX.load_server_json(api_url, function(data){
                        var api_data = data;
                        //加载资讯内容部分
                        UTIL.AJAX.load_server_json(api_url, function(data){
                            var api_data = data;
                            //加载精选内容部分
                            var detailHtml = '';
                            UTIL.AJAX._load_content('app/home/home_channel_category_detail.html', function(data){
                                $('#channel_content_more').remove();
                                if (api_data != null) {
                                   detailHtml = UTIL.PAGE.getPageLayoutHtml(data,api_data,3);
                                }
                                $("#js_recommend_listDetail").html(detailHtml);
                                var wli=$("#js_recommend_listDetail .col-xs-4:eq(0)").innerWidth();
                                $("#js_recommend_listDetail img").height(Math.floor((wli/3)*3.5));
                                $("#js_recommend_listDetail .col-xs-4").css('padding-left',"7.5px");
                                $("#js_recommend_listDetail .col-xs-4").css('padding-right',"7.5px");
                                $("#js_recommend_listDetail img").each(function(){
                                    $(this).width($(this).height()*3/3.5);
                                });
                                var moreHtml = '<div class="channel_more" id="channel_content_more"><center><a data-ajax="false" href="javascript:UTIL.WIN.openNewWin(\'news_channel_list\',\'app/cms/common_detail.html?id=' + id + '&name=' + name + '&type=' + type + '&model='+MODEL.CHANNEL+'\');">更多影片</a></center></div>';
                                $('#channel_content').append(moreHtml);
                                ajaxEnd();
                            });
                        });
                    });
                }
        },
        loadModelData:function(index){
            if(window.contentSwiper != null){
                window.contentSwiper.swipeTo(index);
            }

            if(index==0){
                HOME.home.loadHomeDatas();
            }
            if(index==1){
                CMS.video.get_video_home('latest');
            }
            if(index==2){
                CMS.expert.get_expert_type_home('ctype_2');
            }
            if(index==3){
                CMS.info.get_info_home('news_tab');
            }
            if(index==4){
                USER.user.get_my_home();
            }
        }

        
    }
};
