var ORIG = {
    orig_load_page : {
        load_step1_data : function() {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//
                var api_url = API.ORIG.loadStep1Data + "&token=" + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.uid > 0) {
                        //判断认证
                        if (data.verification > 0) {
                            $('#orig_data_realname').attr('disable', 'true');
                            $('#orig_data_idcard').attr('disable', 'true');
                            $('#orig_data_sex').attr('disable', 'true');
                            $('#orig_data_birthday').attr('disable', 'true');
                        }
                        $('#orig_data_vid').val(data.vid);
                        //真实姓名
                        $('#orig_data_realname').val(data.realname);
                        //身份证
                        $('#orig_data_idcard').val(data.idcard);
                        //性别
                        $('#orig_data_sex').find('option').each(function(i) {
                            if ($(this).val() == data.sex) {
                                $(this).attr('selected', 'selected');
                            }
                        });
                        //年龄
                        $('#orig_data_birthday').val(data.birthday);

                        ORIG_INIT.PageLoad.orig_init_step1();
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        },
        load_step2_data : function() {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//
                var api_url = API.ORIG.loadStep2Data + "&token=" + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.uid > 0) {
                        //判断认证
                        if (data.verification > 0) {
                            $('#orig_data_company').attr('disable', 'true');
                            $('#orig_data_post').attr('disable', 'true');
                            $('#orig_data_link_tel').attr('disable', 'true');
                            $('#orig_data_email').attr('disable', 'true');
                        }
                        $('#orig_data_vid').val(data.vid);
                        $('#orig_data_company').val(data.company);
                        $('#orig_data_post').val(data.post);
                        $('#orig_data_link_tel').val(data.link_tel);
                        $('#orig_data_email').val(data.email);

                        ORIG_INIT.PageLoad.orig_init_step2();
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        },
        load_step3_data : function() {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//
                var api_url = API.ORIG.loadStep3Data + "&token=" + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.uid > 0) {
                        $('#orig_data_resume1_id').val(data.resume1_id);
                        $('#orig_data_resume1_project_name').val(data.resume1_project_name);
                        $('#orig_data_resume1_project_years_b').val(data.resume1_project_years_b);
                        $('#orig_data_resume1_project_years_e').val(data.resume1_project_years_e);
                        $('#orig_data_resume1_post').val(data.resume1_post);

                        $('#orig_data_resume2_id').val(data.resume2_id);
                        $('#orig_data_resume2_project_name').val(data.resume2_project_name);
                        $('#orig_data_resume2_project_years_b').val(data.resume2_project_years_b);
                        $('#orig_data_resume2_project_years_e').val(data.resume2_project_years_e);
                        $('#orig_data_resume2_post').val(data.resume2_post);

                        $('#orig_data_vid').val(data.vid);
                        ORIG_INIT.PageLoad.orig_init_step3();
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        },
        load_step4_data : function(orig_id) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//
                var param_str = "&orig_id=" + orig_id;
                var api_url = API.ORIG.loadStep4Data + "&token=" + UTIL.STORAGE.getToken() + param_str;
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.uid > 0) {
                        $('#orig_data_oid').val(data.oid);
                        $('#orig_data_name').val(data.name);
                        $('#orig_data_intention').val(data.intention);
                        $('#orig_data_subject_type').val(data.subject_type);
                        $('#orig_data_public_type').val(data.public_type);
                        $('#orig_data_summary').text(data.summary);
                        $('#orig_data_elaborate').text(data.elaborate);

                        ORIG_INIT.PageLoad.orig_init_step4();
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        }
    },
    orig_save_page : {
        save_step1_data : function(vid, realname, idcard, sex, birthday) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var param_str = "&realname=" + realname;
                param_str = param_str + "&idcard=" + idcard;
                param_str = param_str + "&sex=" + sex;
                param_str = param_str + "&birthday=" + birthday;
                param_str = param_str + "&vid=" + vid;

                var api_url = API.ORIG.saveStep1Data + "&token=" + UTIL.STORAGE.getToken() + param_str;
                // + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.is_save) {
                        //初始化我的页面
                        UTIL.WIN.openNewWin('originality_step2', 'originality_step2.html');
                        UTIL.WIN.winClose();
                    } else {
                        $('#user_info_tip').children('p').html('保存失败');
                        $('#user_info_tip').show().fadeOut("slow");
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        },
        save_step2_data : function(vid, company, post, link_tel, email) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var param_str = "&company=" + company;
                param_str = param_str + "&post=" + post;
                param_str = param_str + "&link_tel=" + link_tel;
                param_str = param_str + "&email=" + email;
                param_str = param_str + "&vid=" + vid;

                var api_url = API.ORIG.saveStep2Data + "&token=" + UTIL.STORAGE.getToken() + param_str;
                // + UTIL.STORAGE.getToken();

                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.is_save) {
                        //初始化我的页面
                        UTIL.WIN.openNewWin('originality_step3', 'originality_step3.html');
                        UTIL.WIN.winClose();
                    } else {
                        $('#user_info_tip').children('p').html('保存失败');
                        $('#user_info_tip').show().fadeOut("slow");
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        },
        save_step3_data : function(vid, resume1_id, resume1_project_name, resume1_project_years_b, resume1_project_years_e, resume1_post, resume2_id, resume2_project_name, resume2_project_years_b, resume2_project_years_e, resume2_post) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var param_str = "&resume1_project_name=" + resume1_project_name;
                param_str = param_str + "&resume1_project_years_b=" + resume1_project_years_b;
                param_str = param_str + "&resume1_project_years_e=" + resume1_project_years_e;
                param_str = param_str + "&resume1_post=" + resume1_post;
                param_str = param_str + "&resume1_id=" + resume1_id;
                param_str = param_str + "&resume2_project_name=" + resume2_project_name;
                param_str = param_str + "&resume2_project_years_b=" + resume2_project_years_b;
                param_str = param_str + "&resume2_project_years_e=" + resume2_project_years_e;
                param_str = param_str + "&resume2_post=" + resume2_post;
                param_str = param_str + "&resume2_id=" + resume2_id;
                param_str = param_str + "&vid=" + vid;

                var api_url = API.ORIG.saveStep3Data + "&token=" + UTIL.STORAGE.getToken() + param_str;
                // + UTIL.STORAGE.getToken();

                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.is_save) {
                        //初始化我的页面
                        UTIL.WIN.openNewWin('originality_step4', 'originality_step4.html');
                        UTIL.WIN.winClose();
                    } else {
                        $('#user_info_tip').children('p').html('保存失败');
                        $('#user_info_tip').show().fadeOut("slow");
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        },
        save_step4_data : function(oid, name, intention, subject_type, public_type, summary, elaborate, is_submit) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var param_str = "&name=" + name;
                param_str = param_str + "&intention=" + intention;
                param_str = param_str + "&subject_type=" + subject_type;
                param_str = param_str + "&public_type=" + public_type;
                param_str = param_str + "&summary=" + summary;
                param_str = param_str + "&elaborate=" + elaborate;
                param_str = param_str + "&oid=" + oid;
                param_str = param_str + "&is_submit=" + is_submit;

                var api_url = API.ORIG.saveStep4Data + "&token=" + UTIL.STORAGE.getToken() + param_str;
                // + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.is_save) {
                        //初始化我的页面
                        UTIL.WIN.openNewWin('myoriglist', 'originality_mylist.html', 14, 4);
                        UTIL.WIN.winClose();
                    } else {
                        $('#user_info_tip').children('p').html('保存失败');
                        $('#user_info_tip').show().fadeOut("slow");
                    }
                });
            } else {
                //没登录初始化页面内容
                $('#user_info_tip').children('p').html('请登录');
                $('#user_info_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);

            }
        }
    },
    orig_list_page : {
        update_mylist_num : function(my_num) {
            $('#my_orig_count_num').html(my_num);
        },
        load_mylist_data : function() {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var api_url = API.ORIG.loadMyOrigList + "&token=" + UTIL.STORAGE.getToken();
                // + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    var api_data = data;

                    if (api_data != null && api_data.anotherLogin) {
                        UTIL.STORAGE.setToken('');
                        if ($('#login_by_other').length > 0) {
                            $('#login_by_other').show();
                        } else {
                            UTIL.WIN.showAlertBox('login_by_other', '您的账号已经在其他手机登录，需要重新登录吗？', {
                                '确定,fa-check' : 'reLogin'
                            });
                            $('#reLogin').off().on('click', function() {
                                UTIL.WIN.openNewWin('login', '../user/login.html');
                                UTIL.WIN.winClose();
                            });
                        }
                        return false;
                    }
                    if (api_data != null && api_data.myorigs != null) {
                        $('#orig_count').html(api_data.totalNum);
                        //加载模板
                        UTIL.AJAX._load_content('originality_mylist_item.html', function(data) {
                            var myListTemplate = $.templates(data);
                            $('#orig_mylist_list').html(myListTemplate.render(api_data.myorigs));
                            ORIG_INIT.PageLoad.myorig_list_init();
                            if (api_data.totalPage <= 1) {
                                UTIL.PAGE.recover_scroller('a1');
                                ajaxEnd();
                                return;
                            }
                            //分页处理
                            var html = UTIL.PAGE.getpullUpDiv('pullUp', '', api_data.totalPage);
                            $('#orig_mylist_content').append(html);
                            UTIL.PAGE.iScroll('pullUp', api_url, 'originality_mylist_item.html', 'data.myorigs', 'a1', function(api_data, data) {
                                var myListTemplate = $.templates(data);
                                $('#orig_mylist_list').append(myListTemplate.render(api_data));
                                ORIG_INIT.PageLoad.myorig_list_init();
                                ajaxEnd();
                            });
                            ajaxEnd();

                        });
                    } else {
                        $('#orig_count').html('0');
                    }
                });
            } else {
                UTIL.WIN.openNewWin('login', '../user/login.html');
                UTIL.WIN.winClose();
            }
        },
        del_mylist_data : function(orig_id) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//UTIL.STORAGE.getToken() != ""
                var param_str = "&orig_id=" + orig_id;
                var api_url = API.ORIG.delMyOrigData + "&token=" + UTIL.STORAGE.getToken() + param_str;
                // + UTIL.STORAGE.getToken();
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.is_del) {
                        $('#orig_mylist_item_' + orig_id).remove();
                        UTIL.WIN.showAlertTip('orig_mylist_tip', 'success', '删除成功');
                    } else {
                        UTIL.WIN.showAlertTip('orig_mylist_tip', 'warning', '删除失败');
                    }

                });
            } else {
                //没登录初始化页面内容
                $('#orig_mylist_tip').children('p').html('请登录');
                $('#orig_mylist_tip').show();
                setTimeout(function() {
                    UTIL.WIN.openNewWin('login', '../user/login.html');
                    UTIL.WIN.winClose();
                }, 2000);
            }
        },
        load_list_data : function(search_subject_type, person_id, findkey) {
            if (UTIL.STORAGE.getToken() != "") {
                var api_url = API.ORIG.loadOrigList + "&token=" + UTIL.STORAGE.getToken() + '&person_id=' + person_id + "&search_subject_type=" + search_subject_type + "&findkey=" + findkey;

                $('#load_tip').slideDown();

                UTIL.AJAX.load_server_json(api_url, function(data) {
                    var api_data = data;

                    if (api_data != null && !api_data.is_pass) {
                        $('#orig_count').html('0');
                        $('#orig_list_content_div').html('没有创意库访问权限。');
                    } else if (api_data != null && api_data.totalNum > 0) {
                        //加载模板
                        UTIL.AJAX._load_content('originality_list_item.html', function(data) {
                            var myListTemplate = $.templates(data);

                            $('#orig_list_content_div').html(myListTemplate.render(api_data.origs));

                            setTimeout(function() {
                                $('#load_tip').slideUp(500);
                            }, 500);

                            $('#pullUp').remove();
                            ORIG_INIT.PageLoad.orig_list_init();

                            if (api_data.totalPage <= 1) {
                                UTIL.PAGE.recover_scroller('a1');
                                ajaxEnd();
                                return;
                            }
                            //分页处理
                            var html = UTIL.PAGE.getpullUpDiv('pullUp', '', api_data.totalPage);

                            $('#orig_list_content').append(html);

                            UTIL.PAGE.iScroll('pullUp', api_url, 'originality_list_item.html', 'data.origs', 'a1', function(api_data, data) {
                                if (api_data != null) {
                                    var myListTemplate = $.templates(data);

                                    $('#orig_list_content_div').append(myListTemplate.render(api_data));

                                    ORIG_INIT.PageLoad.orig_list_init();

                                    ajaxEnd();
                                }
                            });
                            ajaxEnd();
                        });
                    } else {
                        $('#orig_count').html('0');
                        $('#orig_list_content_div').html('没有找到记录');
                        $('#pullUp').remove();

                        setTimeout(function() {
                            $('#load_tip').slideUp(500);
                        }, 500);
                    }
                });
            } else {
                UTIL.WIN.openNewWin('login', '../user/login.html');
                UTIL.WIN.winClose();
            }

        },
        load_detail_data : function(id) {
            //判断是否有token,如果有加载数据
            if (UTIL.STORAGE.getToken() != "") {//
                var param_str = "&oid=" + id;
                var api_url = API.ORIG.loadOrigDetail + "&token=" + UTIL.STORAGE.getToken() + param_str;
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data != null && data.uid > 0) {

                        $("#orig_data_name").html(data.name);
                        $("#orig_data_subject_type").html(data.subject_type);
                        $("#orig_data_intention").html(data.intention);
                        $("#orig_data_summary").html(data.summary);
                        $("#orig_data_elaborate").html(data.elaborate);

                        $("#orig_data_uname").html(data.uname);
                        $("#orig_data_sex").html(data.sex);
                        $("#orig_data_age").html(data.age);
                        //$("#orig_data_idcard").html(data.idcard);
                        $("#orig_data_company").html(data.company);
                        $("#orig_data_post").html(data.post);
                        $("#orig_data_link_tel").html(data.link_tel);
                        $("#orig_data_email").html(data.email);
                        $("#orig_data_years_1").html(data.years_1);
                        $("#orig_data_project_name_1").html(data.project_name_1);
                        $("#orig_data_post_1").html(data.project_post_1);
                        $("#orig_data_years_2").html(data.years_2);
                        $("#orig_data_project_name_2").html(data.project_name_2);
                        $("#orig_data_post_2").html(data.project_post_2);

                        ORIG_INIT.PageLoad.orig_detail_init();
                        ajaxEnd();
                    }
                });
            } else {
                UTIL.WIN.openNewWin('login', '../user/login.html');
                UTIL.WIN.winClose();
            }
        }
    }

};
