var PROPOSAL_INIT = {
    PageLoad : {
        proposal_init_step2 : function() {
            PROPOSAL_INIT.ProposalInit.proposal_init();
            PROPOSAL_INIT.ProposalInit.proposal_init_step1();
        },
        proposal_find_init : function() {
            PROPOSAL_INIT.ProposalFindInit.proposal_find_init();
        }
    },
    ProposalFindInit : {
        proposal_find_init : function() {
            $('#proposal_keyfind').off().on('click', function(e) {
                var keycontext = $('#key_context').val();
                var person_id = $('#person_id').val();
                PROPOSAL.proposal_list_page.load_list_data('', '', '', person_id == undefined ? '' : person_id, keycontext == undefined ? '' : keycontext);
            });
        }
    },
    ProposalInit : {
        /* 登录页面初始化 */
        proposal_init : function() {
            $('.ajax_proposal_close_tip').off().on('click', function(e) {
                $(this).parents('.ajax_proposal_tip').hide();
            });

        },
        proposal_init_step1 : function() {
            $('#save_proposal_step1_info').off().on('click', function(e) {
                var vid = $('#proposal_data_vid').val();
                var company = $('#proposal_data_company').val();
                var post = $('#proposal_data_post').val();
                var link_tel = $('#proposal_data_link_tel').val();
                var email = $('#proposal_data_email').val();

                //校验输入
                if (link_tel == '') {
                    $('#proposal_data_step2_tip').html('联系电话不能为空');
                    return false;
                }
                if (email == '') {
                    $('#proposal_data_step2_tip').html('电子邮箱不能为空');
                    return false;
                }
                if (!UTIL.VAL.is_email(email)) {
                    $('#proposal_data_step2_tip').html('电子邮箱格式不对，请正确输入');
                    return false;
                }

                PROPOSAL.proposal_save_page.save_step1_data(vid, company, post, link_tel, email);
            });
        },
        proposal_init_step2 : function() {
            $('#save_proposal_step2_info').off().on('click', function(e) {
                var vid = $('#proposal_data_vid').val();

                var resume1_id = $('#proposal_data_resume1_id').val();
                var resume1_project_name = $('#proposal_data_resume1_project_name').val();
                var resume1_project_years_b = $('#proposal_data_resume1_project_years_b').val();
                var resume1_project_years_e = $('#proposal_data_resume1_project_years_e').val();
                var resume1_post = $('#proposal_data_resume1_post').val();

                var resume2_id = $('#proposal_data_resume2_id').val();
                var resume2_project_name = $('#proposal_data_resume2_project_name').val();
                var resume2_project_years_b = $('#proposal_data_resume2_project_years_b').val();
                var resume2_project_years_e = $('#proposal_data_resume2_project_years_e').val();
                var resume2_post = $('#proposal_data_resume2_post').val();

                PROPOSAL.proposal_save_page.save_step2_data(vid, resume1_id, resume1_project_name, resume1_project_years_b, resume1_project_years_e, resume1_post, resume2_id, resume2_project_name, resume2_project_years_b, resume2_project_years_e, resume2_post);
            });

            $('#jump_proposal_step1').off().on('click', function(e) {
                UTIL.WIN.openNewWin('proposal_step1', 'proposal_step1.html');
                UTIL.WIN.winClose();
            });
        },
        proposal_init_step3 : function() {

            $('#save_proposal_step3_info').off().on('click', function(e) {
                $('#proposal_data_step3_tip').html('');
                if ($(this).hasClass('pre_btn')) {
                    return false;
                }
                $(this).removeClass('orginality_submit').addClass('pre_btn');
                var pid = $('#proposal_data_pid').val();
                var name = $('#proposal_data_name').val();
                var expected_time = $('#proposal_data_expected_time').val();
                var subject_type = $('#proposal_data_subject_type').val();
                var public_type = $('#proposal_data_public_type').val();
                var summary = $('#proposal_data_summary').val();
                var background = $('#proposal_data_background').val();
                var event = $('#proposal_data_event').val();
                var beginning = $('#proposal_data_beginning').val();
                var epitasis = $('#proposal_data_epitasis').val();
                var climax = $('#proposal_data_climax').val();
                var endding = $('#proposal_data_endding').val();
                var the_end = $('#proposal_data_the_end').val();
                var movie_style = $('#proposal_data_movie_style').val();
                var target_audience = $('#proposal_data_target_audience').val();
                var materialnum = $('#proposal_data_materialnum').val();
                var copyright = $('#proposal_data_copyright').val();
                var budget = $('#proposal_data_budget').val();
                var seekcoop = $('#proposal_data_seekcoop').val();

                //校验输入
                if (name == '') {
                    $('#proposal_data_step3_tip').html('提案名称不能为空');
                    $(this).removeClass('pre_btn');
                    return false;
                }
                if (seekcoop == '') {
                    $('#proposal_data_step3_tip').html('寻求合作不能为空');
                    $(this).removeClass('pre_btn');
                    return false;
                }

                PROPOSAL.proposal_save_page.save_step3_data(pid, name, expected_time, subject_type, public_type, summary, background, event, beginning, epitasis, climax, endding, the_end, movie_style, target_audience, budget, materialnum, copyright,seekcoop);

            });
            $('#submit_proposal_step3_info').off().on('click', function(e) {
                $('#proposal_data_step3_tip').html('');
                if ($(this).hasClass('pre_btn')) {
                    return false;
                }
                $(this).removeClass('orginality_submit').addClass('pre_btn');
                var pid = $('#proposal_data_pid').val();
                var name = $('#proposal_data_name').val();
                var expected_time = $('#proposal_data_expected_time').val();
                var subject_type = $('#proposal_data_subject_type').val();
                var public_type = $('#proposal_data_public_type').val();
                var summary = $('#proposal_data_summary').val();
                var background = $('#proposal_data_background').val();
                var event = $('#proposal_data_event').val();
                var beginning = $('#proposal_data_beginning').val();
                var epitasis = $('#proposal_data_epitasis').val();
                var climax = $('#proposal_data_climax').val();
                var endding = $('#proposal_data_endding').val();
                var the_end = $('#proposal_data_the_end').val();
                var movie_style = $('#proposal_data_movie_style').val();
                var target_audience = $('#proposal_data_target_audience').val();
                var materialnum = $('#proposal_data_materialnum').val();
                var copyright = $('#proposal_data_copyright').val();
                var budget = $('#proposal_data_budget').val();
                var seekcoop = $('#proposal_data_seekcoop').val();

                //校验输入
                if (name == '') {
                    $('#proposal_data_step3_tip').html('提案名称不能为空');
                    $(this).removeClass('pre_btn');
                    return false;
                }
                if (seekcoop == '') {
                    $('#proposal_data_step3_tip').html('寻求合作不能为空');
                    $(this).removeClass('pre_btn');
                    return false;
                }
                PROPOSAL.proposal_save_page.save_step3_data(pid, name, expected_time, subject_type, public_type, summary, background, event, beginning, epitasis, climax, endding, the_end, movie_style, target_audience, budget, materialnum, copyright,seekcoop, 1);
            });
            $('#jump_proposal_step2').off().on('click', function(e) {
                UTIL.WIN.openNewWin('proposal_step2', 'proposal_step2.html');
                UTIL.WIN.winClose();
            });

        },
        myproposal_list_init : function() {
            $('.ajax_edit_proposal_item').off().on('click', function(e) {
                var item_id = $(this).attr('dataId');
                UTIL.WIN.openNewWin('proposal_step1', 'proposal_step1.html?proposal_id=' + item_id);
                UTIL.WIN.winClose();
            });
            $('.ajax_del_proposal_item').off().on('click', function(e) {
                var item_id = $(this).attr('dataId');
                PROPOSAL.proposal_list_page.del_mylist_data(item_id);
            });
            $('.ajax_proposal_detail').off().on('click', function(e) {
                var item_id = $(this).attr('dataId');
                UTIL.WIN.openNewWin('proposal_detail', 'proposal_detail.html?proposal_id=' + item_id + '&my_item=1');
            });

        },
        proposal_list_init : function() {
            $('.my_money_btn').off().on('touchstart', function(e) {
                var item_id = $(this).attr('dataId');
                UTIL.WIN.openNewWin('proposal_appeal_add', 'proposal_appeal_add.html?proposal_id=' + item_id);
            });
            $('.competence_tip').off().on('click', function() {
                UTIL.MSG.hide_hasnot_permission_msg();
            });
            $('.ajax_proposal_detail').off().on('click', function(e) {
                var item_id = $(this).attr('dataId');
                var permissionId = PERMISSION.PERMISSIONCODE.proposal;
                var app_name = PERMISSION.APPNAME.docucn;
                var attr_str = '&permissionId=' + permissionId;
                attr_str = attr_str + '&app_name=' + app_name;
                attr_str = attr_str + '&token=' + UTIL.STORAGE.getToken();
                var api_url = API.USER.hasPermission + attr_str;
                var message = '为保护创作者权益，平台对有限用户开放提案详情查看权限，如果您是决策人、投资人，可向平台申请对应权限。';
                UTIL.MSG.build_permission_msg(message);
                UTIL.AJAX.load_server_json(api_url, function(data) {
                    if (data.access) {
                        UTIL.WIN.openNewWin('proposal_detail', 'proposal_detail.html?proposal_id=' + item_id + '&my_item=0');
                    } else {
                        UTIL.MSG.show_hasnot_permission_msg();
                    }
                });

            });
            $('.ajax_proposal_digg_count').off().on('click', function(e) {
                var item_id = $(this).attr('dataId');
                PROPOSAL.proposal_list_page.add_digg(item_id);
            });
            $('.ajax_proposal_comment_count').off().on('click', function(e) {
                var item_id = $(this).attr('dataId');
                UTIL.WIN.openNewWin('proposal_detail', 'proposal_detail.html?proposal_id=' + item_id + '&my_item=0&proposal_goto_comment=1');
            });
        },
        proposal_init_detail : function(id) {

            //微信分享注册事件
            $('#share_to_weixin_friends').off().on('click', function() {
                var title = ($('#title').val() == null || $('#title').val() == '') ? '[纪录中国]提案' : $('#title').val();
                var description = ($('#description').val() == null || $('#description').val() == '') ? '[纪录中国]提案' : $('#description').val();
                var imagePath = '';
                if (isAndroidPhone) {
                    imagePath = ($('#imagePath').val() == null || $('#imagePath').val() == '') ? '../../icon.png' : $('#imagePath').val();
                } else {
                    imagePath = ($('#smallImagePath').val() == null || $('#smallImagePath').val() == '') ? '../../icon.png' : $('#smallImagePath').val();
                }
                var scene = 0;
                var shareUrl = API.share.shareToWeixin + '&id=' + id;
                if (registerSuccess) {
                    UTIL.SHARE.shareToWeixin(imagePath, shareUrl, scene, title, description);
                }
            });
            $('#share_to_weixin_circle').off().on('click', function() {
                var title = ($('#title').val() == null || $('#title').val() == '') ? '[纪录中国]提案' : $('#title').val();
                var description = ($('#description').val() == null || $('#description').val() == '') ? '[纪录中国]提案' : $('#description').val();
                var imagePath = '';
                if (isAndroidPhone) {
                    imagePath = ($('#imagePath').val() == null || $('#imagePath').val() == '') ? '../../icon.png' : $('#imagePath').val();
                } else {
                    imagePath = ($('#smallImagePath').val() == null || $('#smallImagePath').val() == '') ? '../../icon.png' : $('#smallImagePath').val();
                }
                var scene = 1;
                var shareUrl = API.share.shareToWeixin + '&id=' + id;
                if (registerSuccess) {
                    UTIL.SHARE.shareToWeixin(imagePath, shareUrl, scene, title, description);
                }
            });
            $('#share_to_weibo').off().on('click',function(){
                var title = '纪录中国资源分享@纪录中国docucn 【纪录中国】提案—'+$('#title').val();
                var shareUrl = API.share.shareToWeixin + '&id=' + id;
                UTIL.WIN.openNewWin('share_url','../user/weiboShare.html?text='+title+'&model=shareToWeixin&id='+id);
            });

            $('#proposal_movie_info').off().on('click', function(e) {
                if (!$(this).parent('div').hasClass('on')) {
                    $(this).parent('div').addClass('on');
                    $(this).parent('div').siblings('div').removeClass('on');
                }
                $("#proposal_owner_div").hide();
                $("#proposal_movie_div").show();
                $("#proposal_comment_div").hide();
                $("#proposal_comment_send_box").hide();
                $('#proposal_movie_list_field').hide();
                var my_item = UTIL.STORAGE.getLocVal('my_item');
                UTIL.STORAGE.setLocVal('my_item', my_item);
                if (my_item == '0') {
                    $('.project_box').show();
                }
                ajaxEnd();
            });
            $('#proposal_owner_info').off().on('click', function(e) {
                if (!$(this).parent('div').hasClass('on')) {
                    $(this).parent('div').addClass('on');
                    $(this).parent('div').siblings('div').removeClass('on');
                }
                $("#proposal_movie_div").hide();
                $("#proposal_owner_div").show();
                $("#proposal_comment_div").hide();
                $('#proposal_movie_list_field').hide();
                $("#proposal_comment_send_box").hide();
                var my_item = UTIL.STORAGE.getLocVal('my_item');
                UTIL.STORAGE.setLocVal('my_item', my_item);
                if (my_item == '0') {
                    $('.project_box').show();
                }
                ajaxEnd();
            });
            $('#proposal_comment_info').off().on('click', function(e) {
                if (!$(this).parent('div').hasClass('on')) {
                    $(this).parent('div').addClass('on');
                    $(this).parent('div').siblings('div').removeClass('on');
                }
                $("#proposal_movie_div").hide();
                $("#proposal_owner_div").hide();
                $("#proposal_comment_div").show();
                $('#proposal_movie_list_field').hide();
                $("#proposal_comment_send_box").show();
                $('.project_box').hide();
                var pid = $('#payMoney').attr('dataId');
                PROPOSAL.proposal_list_page.load_proposal_comments(pid);
            });

            $('#proposal_movie_list').off().on('click', function(e) {
                if (!$(this).parent('div').hasClass('on')) {
                    $(this).parent('div').addClass('on');
                    $(this).parent('div').siblings('div').removeClass('on');
                }
                $("#proposal_movie_div").hide();
                $("#proposal_owner_div").hide();
                $("#proposal_comment_div").hide();
                $("#proposal_comment_send_box").hide();
                $('.project_box').hide();
                $('#proposal_movie_list_field').show();
                var pid = $('#payMoney').attr('dataId');
                if ($('#proposal_movie_ul').length <= 0) {
                    PROPOSAL.proposal_list_page.load_proposal_movie_list(pid);
                }
            });

            $('#payMoney').off().on('click', function(e) {
                var proposal_id = $(this).attr('dataId');
                UTIL.WIN.openNewWin('proposal_appeal_add', 'proposal_appeal_add.html?proposal_id=' + proposal_id);
            });

            $('#proposal_comment_send_btn').off().on('click', function(e) {
                var content = $('#proposal_comment_send_content').val();
                if (content == '') {
                    $('#proposal_mylist_tip').children('p').html('发送内容不能为空');
                    $('#proposal_mylist_tip').show().fadeOut("slow");
                    return false;
                }
                var proposal_id = $(this).attr('dataId');
                $('#proposal_comment_ul').html('');
                PROPOSAL.proposal_list_page.add_comment(proposal_id, content);
            });
        }
    }
};
