var SOCIAL_INIT = {
		PageLoad : {
			/* 初始化 */
			person_init : function() {
				SOCIAL_INIT.PersonInit.person_detail_init();
			},
			follow_list_init : function() {
				SOCIAL_INIT.PersonInit.follow_list_init();
			},
			talk_detail_init : function() {
				SOCIAL_INIT.PersonInit.talk_detail_init();
			},
			talk_list_init : function() {
				SOCIAL_INIT.PersonInit.talk_list_init();
			}
		},
		//登录页面需要加载的事件
		PersonInit : {
			/* 登录页面初始化 */
			person_detail_init : function() {
				if($('#person_follow_btn').length > 0){
					var el1 = document.getElementById('person_follow_btn');
					FastClick.attach(el1);
					el1.addEventListener('click', function(event) {
						if (event.forwardedTouchEvent) {
							if(!$(el1).hasClass('js_feed_assist')){
						       $(el1).addClass('js_feed_assist');
						       var follow_state = 0;
	                           if($(el1).hasClass('attntion_btn1')){
	                               follow_state = 1;
	                           }
	    					   var fuid = $('#person_id').val();
	    					   SOCIAL.user.person_follow(fuid, follow_state);
						   }
						}
					});
				}
				
				if($('#person_talk_btn').length > 0){
					$('#person_talk_btn').off().on('click', function (e) {
						var person_id = $('#person_id').val();
						UTIL.WIN.openNewWin('talk_detail', 'talk_detail.html?person_id=' + person_id);
					});
				}
				
				if($('#person_follower_count').length > 0){
					$('#person_follower_count').off().on('click', function (e) {
						var person_id = $('#person_id').val();
						UTIL.WIN.openNewWin('follower_list', 'follower_list.html?person_id=' + person_id);
					});
				}
				
				if($('#person_following_count').length > 0){
					$('#person_following_count').off().on('click', function (e) {
						var person_id = $('#person_id').val();
						UTIL.WIN.openNewWin('following_list', 'following_list.html?person_id=' + person_id);
					});
				}
				
				if($('.persion_orig').length>0){
					$('.persion_orig').off().on('click',function(){
						var person_id = $('#person_id').val();
						if(UTIL.STORAGE.getToken() != ""){//UTIL.STORAGE.getToken() != ""	
							var permissionId = PERMISSION.PERMISSIONCODE.originality;
							var app_name = PERMISSION.APPNAME.docucn; 
							var attr_str = '&permissionId='+permissionId;
							attr_str = attr_str + '&app_name='+app_name;
							attr_str = attr_str + '&token='+UTIL.STORAGE.getToken();
							var api_url = API.USER.hasPermission+attr_str;
							var message = '为保护创作者权益，平台对有限用户开放创意库查看权限，如果您是决策人、投资人，可向平台申请对应权限。';
							UTIL.MSG.build_permission_msg(message);
							UTIL.AJAX.load_server_json(api_url , function(data){
								if(data.access){
									UTIL.WIN.openNewWin('persionlist_originality', '../project/originality_list.html?person_id=' + person_id);
								}else{
									UTIL.MSG.show_hasnot_permission_msg();
								}
							});
						}else{
							//没登录初始化页面内容
			                UTIL.WIN.openNewWin('login', 'app/user/login.html');
						}
					});
				}
				if($('.persion_prosp').length>0){
					$('.persion_prosp').off().on('click',function(){
						var person_id = $('#person_id').val();
						UTIL.WIN.openNewWin('persionlist_proponsal', '../project/proposal_list.html?person_id=' + person_id);
					});
				}
			},
			
			follow_list_init : function() {
				if($('.ajax_follow_item_btn').length > 0){
					$('.ajax_follow_item_btn').off().on('click',function(){
						var fuid = $(this).parents("div[id^='follow_item_']").attr('id').substring(12);
						var follow_state = 0;
						if($(this).hasClass('btn-white')){
							follow_state = 1;
						}
						SOCIAL.user.person_item_follow(fuid, follow_state);
					});
				}
			},
			
			talk_detail_init : function() {
				if($('#send_talk_btn').length > 0){
					$('#send_talk_btn').off().on('click', function (e) {
						var person_id = $('#talk_person_id').val();
						var content = $('#talk_content').val();
						$('#talk_content').val('');
						SOCIAL.user.send_talk(person_id, content);
					});
				}
				if($('#msg_see_more_tip').length > 0){
					$('#msg_see_more_tip').off().on('click', function (e) {
	                    var person_id = $('#talk_person_id').val();
						var list_id = $('#talk_list_id').val();
	                    var page_since_id = $('#talk_since_id').val();
	                    SOCIAL.user.up_load_talks(person_id, list_id, page_since_id);
					});
				}
				if($('#empty_all_msg').length > 0){
					$('#empty_all_msg').off().on('click', function (e) {
					    if($('#msg_empty_box').length>0){
					        $('#msg_empty_box').show();
					    }else{
    						UTIL.WIN.showAlertBox('msg_empty_box','是否清空所有对话？',{'确定清空,fa-check':'do_empty_msg_btn'});
					    }
						
						if($('#do_empty_msg_btn').length > 0){
                            $('#do_empty_msg_btn').off().on('click', function (e) {
                                $('#msg_empty_box').hide();
                                SOCIAL.user.empty_talk();
                            });
                         }
					});
				}
			},
			
			talk_list_init : function() {
				if($('.ajax_in_talk_detail').length > 0){
					$('.ajax_in_talk_detail').off().on('click', function (e) {
						var param = $(this).attr('dataId').split("_");
						var list_id = param[0];
						var person_id = param[1];
						UTIL.WIN.openNewWin('talk_detail', 'talk_detail.html?person_id=' + person_id + '&list_id=' + list_id);
					});
				}
				if($('.ajax_del_talklist').length > 0){
					$('.ajax_del_talklist').off().on('click', function (e) {
					    if($('#del_talk_list_confrim_box').length>0){
					        $('#del_talk_list_confrim_box').show();
					    }else{
					        UTIL.WIN.showAlertBox('del_talk_list_confrim_box','是否删除该对话？',{'确定删除,fa-check':'do_del_talk_list_btn'});
					    }
						var list_id = $(this).attr('dataId');
						$('#do_del_talk_list_btn').attr('dataId', list_id);
						//$('#del_talk_list_confrim_box').show();
						if($('#do_del_talk_list_btn').length > 0){
                            $('#do_del_talk_list_btn').off().on('click', function (e) {
                                $('#del_talk_list_confrim_box').hide();
                                var list_id = $(this).attr('dataId');
                                SOCIAL.user.del_talklist(list_id);
                            });
                        }
					});
				}
				
				if($('#cancle_del_talk_list_btn').length > 0){
					$('#cancle_del_talk_list_btn').off().on('click', function (e) {
						$('#del_talk_list_confrim_box').hide();
					});
				}
			}
			
			
		}
		
		
		
		
};

