var USER_INIT = {
		PageLoad : {
			/* 初始化 */
			login_init : function() {
				USER_INIT.LoginInit.login_init();
			},
			reg_init : function() {
				USER_INIT.RegInit.reg_init();
			},
			findpws_init : function() {
				USER_INIT.PwsInit.findpws_init();
			},
			changepws_init : function() {
				USER_INIT.PwsInit.changepws_init();
			}
		},
		//登录页面需要加载的事件
		LoginInit : {
			/* 登录页面初始化 */
			login_init : function() {
			    UTIL.WIN.marginTop('a1');
				if(UTIL.STORAGE.getLocalData('login_name')!=null&&UTIL.STORAGE.getLocalData('login_name')!=""){
					$('#mobile_number').val(UTIL.STORAGE.getLocalData('login_name'));
				}
				$('#login_btn').off().on('click', function (e) {
					//获取登录信息
					var mobile_number = $('#mobile_number').val();
					var pws = $('#pws').val();
					$('#login_msg').html('');
					if(UTIL.STORAGE.getLocalData('login_name')==null || UTIL.STORAGE.getLocalData('login_name')==""){
						UTIL.STORAGE.setLocalData('login_name',mobile_number);
					}
					
					//校验输入                    
                    if (mobile_number == '') {
                        $('#login_msg').html('手机号码不能为空');
                        return false;
                    }
                    if (pws == '') {
                        $('#login_msg').html('密码不能为空');
                        return false;
                    }
					if (pws.length < 6 || pws.length > 14) {
                        $('#login_msg').html('密码 6~14位，建议数字、字母、符号组合');
                        return false;
                    }
					
					USER.user.login(mobile_number, pws);
				});

			}
		},
		//注册页面需要加载的事件
		RegInit : {
			/* 注册页面初始化 */
			reg_init : function() {
			    UTIL.WIN.marginTop('a1');
				$('#user_reg_btn').off().on('click', function (e) {
					//获取登录信息
					var mobile_number = $('#reg_mobile_num').val();
					var uname = $('#reg_uname').val();
					var pws = $('#reg_pws').val();
					var sms_code = $('#reg_sms_code').val();
					
					//校验输入                    
                    if (mobile_number == '') {
                        $('#user_reg_tip').html('手机号码不能为空');
                        return false;
                    }
                    if (uname == '') {
                        $('#user_reg_tip').html('昵称不能为空');
                        return false;
                    }
                    if (pws == '') {
                        $('#user_reg_tip').html('密码不能为空');
                        return false;
                    }
					if (pws.length < 6 || pws.length > 14) {
                        $('#user_reg_tip').html('密码 6~14位，建议数字、字母、符号组合');
                        return false;
                    }
					if (sms_code == '') {
                        $('#user_reg_tip').html('验证码不能为空');
                        return false;
                    }
					USER.user.reg(mobile_number, uname, pws, sms_code);
					
				});
				
                $('#user_reg_countdown_btn').off().on('click', function(e){
					if ($('#user_reg_countdown_btn').hasClass('btnc')) {
						return false;
					}
					//发送短信验证码
					var mobile_num = $('#reg_mobile_num').val();
					if (mobile_num == '') {
						$('#user_reg_tip').html('手机号码不能为空');
						return false;
					}
					USER.user.sendsms(mobile_num);
					UTIL.WIN.showAlertBox('protected_hint','如果您没有收到信息，请确认手机安装有安全管理软件，是否对验证短信进行了拦截');
					$(this).removeClass('btn3').addClass('btnc');
                    $('#user_reg_countdown_btn').countdown({
                        date: new Date().getTime() + 180000,
                        render: function(data){
                            if (data.sec > 0) {
                                $(this.el).removeClass('btn3').addClass('btnc').text('发送激活码(' + this.leadingZeros(data.full_sec, 3) + ')');
                            }
                        },
                        onEnd: function(){
                            $(this.el).removeClass('btnc').addClass('btn3').text('重新发送激活码').stop();
                            
                        }
                    }).on("click", function(){
                        if ($('#user_reg_countdown_btn').hasClass('btnc')) {
                            return false;
                        }
                        else {
                            //发送短信验证码
                            var mobile_num = $('#reg_mobile_num').val();
                            if (mobile_num == '') {
                                $('#user_reg_tip').html('手机号码不能为空');
                                return false;
                            }
                            USER.user.sendsms(mobile_num);
                            $(this).data('countdown').update(new Date().getTime() + 180000).start();
                        }
                        
                    });
                });



			}
		},
		PwsInit : {
			/* 注册页面初始化 */
			findpws_init : function() {
				if(UTIL.STORAGE.getLocalData('login_name')!=null&&UTIL.STORAGE.getLocalData('login_name')!=""){
					$('#findpws_mobile_num').val(UTIL.STORAGE.getLocalData('login_name'));
				}
				$('#user_findpws_btn').off().on('click', function (e) {
					//获取登录信息
					var mobile_number = $('#findpws_mobile_num').val();
					if(UTIL.STORAGE.getLocalData('login_name')==null || UTIL.STORAGE.getLocalData('login_name')==""){
						UTIL.STORAGE.setLocalData('login_name',mobile_number);
					}
					var sms_code = $('#findpws_sms_code').val();
					
					//校验输入                    
                    if (mobile_number == '') {
                        $('#user_reg_tip').html('手机号码不能为空');
                        return false;
                    }
					if (sms_code == '') {
                        $('#user_reg_tip').html('验证码不能为空');
                        return false;
                    }
					USER.user.findpws(mobile_number, sms_code);
					
				});
				
                $('#user_findpws_countdown_btn').off().on('click', function(e){
					if ($('#user_findpws_countdown_btn').hasClass('btnc')) {
						return false;
					}
					//发送短信验证码
					var mobile_num = $('#findpws_mobile_num').val();
					if (mobile_num == '') {
						$('#user_reg_tip').html('手机号码不能为空');
						return false;
					}
					USER.user.sendsms(mobile_num,1);
					$(this).removeClass('btn3').addClass('btnc');
                    $('#user_findpws_countdown_btn').countdown({
                        date: new Date().getTime() + 180000,
                        render: function(data){
                            if (data.sec > 0) {
                                $(this.el).removeClass('btn3').addClass('btnc').text('发送验证码码(' + this.leadingZeros(data.full_sec, 3) + ')');
                            }
                        },
                        onEnd: function(){
                            $(this.el).removeClass('btnc').addClass('btn3').text('重新发送验证码').stop();
                            
                        }
                    }).on("click", function(){
                        if ($('#user_findpws_countdown_btn').hasClass('btnc')) {
                            return false;
                        }
                        else {
                            //发送短信验证码
                            var mobile_num = $('#findpws_mobile_num').val();
                            if (mobile_num == '') {
                                $('#user_reg_tip').html('手机号码不能为空');
                                return false;
                            }
                            USER.user.sendsms(mobile_num);
                            $(this).data('countdown').update(new Date().getTime() + 180000).start();
                        }
                        
                    });
                });
			},
			changepws_init : function() {
				$('#user_changepws_btn').off().on('click', function (e) {
					//获取登录信息
					var mobile_number = $('#findpws_mobile_num').val();
					var pws = $('#new_pws').val();
					var cpws = $('#confrim_pws').val();
					
					//校验输入                    
                    if (mobile_number == '') {
                        $('#user_reg_tip').html('账号为空，请重新找回密码');
                        return false;
                    }
                    if (pws == '') {
                        $('#user_reg_tip').html('密码不能为空');
                        return false;
                    }
					if (pws.length < 6 || pws.length > 14) {
                        $('#user_reg_tip').html('密码 6~14位，建议数字、字母、符号组合');
                        return false;
                    }
					if (pws !== cpws) {
                        $('#user_reg_tip').html('两次输入的密码不同');
                        return false;
                    }
					USER.user.changepws(mobile_number, pws);
				});

			}
		},
		UserInit : {
			/* 登录页面初始化 */
			my_info_init : function() {
				$('#user_info_save_a').off().on('click', function (e) {
					var uname = $('#user_info_uname_li').children('input').val();
					var sex = $('#user_info_sex_li').find('option:selected').val();
					var intro = $('#user_info_intro_li').children('input').val();
					var tags = ($('#user_info_selected_tags').val() == '')?'':$('#user_info_selected_tags').val();
					USER.user.save_my_info(uname, sex, intro, tags);
				});

			}

		},
		UserVerificationInit : {
			/*用户认证form初始化*/
			veri_init : function(){ 
				if($('.ajax_verif_radio').length > 0){
					$('.ajax_verif_radio').off().on('click', function (e) {					
						var radio_id = $(this).children('i').attr('id');
						
						if('user_persion' == radio_id){
							$('#user_persion').removeClass('icon-dian1').addClass('icon-dian2');
							$('#user_company').removeClass('icon-dian2').addClass('icon-dian1');
							$('#user_studio').removeClass('icon-dian2').addClass('icon-dian1');
							
							USER.userVerification.load_verif_person();
						}else if('user_company' == radio_id){
							$('#user_persion').removeClass('icon-dian2').addClass('icon-dian1');
							$('#user_company').removeClass('icon-dian1').addClass('icon-dian2');
							$('#user_studio').removeClass('icon-dian2').addClass('icon-dian1');
							
							USER.userVerification.load_verif_company();
						}else if('user_studio' == radio_id){
							$('#user_persion').removeClass('icon-dian2').addClass('icon-dian1');
							$('#user_company').removeClass('icon-dian2').addClass('icon-dian1');
							$('#user_studio').removeClass('icon-dian1').addClass('icon-dian2');
							
							USER.userVerification.load_verif_studio();
						}
					});
				}
				
				if($('#verif_person_submit').length > 0){
					$('#verif_person_submit').off().on('click', function (e) {
						var vid = $('#verif_person_id').val();
						var realname = $('#verif_person_realname').val();
						var idcard = $('#verif_person_idcard').val();
						var company = $('#verif_person_company').val();
						var post = $('#verif_person_post').val();
						var email = $('#verif_person_email').val();
						var link_tel = $('#verif_person_link_tel').val();
						var attach_id = $('#verif_attach_id').val();
						var birthday = $('#verif_person_birthday').val();
						
						//校验输入                    
	                    if (realname == '') {
	                        $('#verif_person_tip').html('真实姓名不能为空');
	                        return false;
	                    }
	                    if (idcard == '') {
	                        $('#verif_person_tip').html('身份证号码不能为空');
	                        return false;
	                    }
						if (company == '') {
	                        $('#verif_person_tip').html('工作单位不能为空');
	                        return false;
	                    }
						if (post == '') {
	                        $('#verif_person_tip').html('职务不能为空');
	                        return false;
	                    }
						if (email == '') {
	                        $('#verif_person_tip').html('电子邮箱不能为空');
	                        return false;
	                    }
						if (!UTIL.VAL.is_email(email)) {
	                        $('#verif_person_tip').html('电子邮箱格式不对，请正确输入');
	                        return false;
	                    }
						if (link_tel == '') {
	                        $('#verif_person_tip').html('联系电话不能为空');
	                        return false;
	                    }
						
						USER.userVerification.save_verif_person(vid, realname, birthday,idcard, company, post, email, link_tel, attach_id);
					});
				}

				if ($('#verif_company_submit').length > 0) {
                    $('#verif_company_submit').off().on('click', function(e){
						var vid = $('#verif_company_id').val();
                        var realname = $('#verif_company_realname').val();
                        var org_code = $('#verif_company_org_code').val();
                        var legal = $('#verif_company_legal').val();
                        var link_tel = $('#verif_company_link_tel').val();
                        var email = $('#verif_company_email').val();
                        var link_addr = $('#verif_company_link_addr').val();
                        var size = $('#verif_company_size').val();
                        var scope = $('#verif_company_scope').val();
						var attach_id = $('#verif_attach_id').val();
						var birthday = $('#verif_company_birthday').val();
						
                        //校验输入                    
                        if (realname == '') {
                            $('#verif_company_tip').html('机构名称不能为空');
                            return false;
                        }
                        if (org_code == '') {
                            $('#verif_company_tip').html('机构代码不能为空');
                            return false;
                        }
                        if (legal == '') {
                            $('#verif_company_tip').html('法人代表不能为空');
                            return false;
                        }
                        if (link_tel == '') {
                            $('#verif_company_tip').html('联系电话不能为空');
                            return false;
                        }
                        if (email == '') {
                            $('#verif_company_tip').html('电子邮箱不能为空');
                            return false;
                        }
						if (!UTIL.VAL.is_email(email)) {
	                        $('#verif_company_tip').html('电子邮箱格式不对，请正确输入');
	                        return false;
	                    }
                        if (link_addr == '') {
                            $('#verif_company_tip').html('通讯地址不能为空');
                            return false;
                        }
                        if (size == '') {
                            $('#verif_company_tip').html('公司规模不能为空');
                            return false;
                        }
                        if (scope == '') {
                            $('#verif_company_tip').html('经营范畴不能为空');
                            return false;
                        }
                        
                        USER.userVerification.save_verif_company(vid, realname, org_code, legal, link_tel, email, link_addr,birthday, size, scope, attach_id);
                    });
				}

                
                if ($('#verif_studio_submit').length > 0) {
                    $('#verif_studio_submit').off().on('click', function(e){
						var vid = $('#verif_studio_id').val();
                        var realname = $('#verif_studio_realname').val();
                        var linker = $('#verif_studio_linker').val();
                        var email = $('#verif_studio_email').val();
                        var link_tel = $('#verif_studio_link_tel').val();
                        var link_addr = $('#verif_studio_link_addr').val();
                        var scope = $('#verif_studio_scope').val();
						var attach_id = $('#verif_attach_id').val();
						var birthday = $('#verif_studio_birthday').val();
						
                        //校验输入                    
                        if (realname == '') {
                            $('#verif_studio_tip').html('工作室名称不能为空');
                            return false;
                        }
                        if (linker == '') {
                            $('#verif_studio_tip').html('联系人不能为空');
                            return false;
                        }
                        if (email == '') {
                            $('#verif_studio_tip').html('电子邮箱不能为空');
                            return false;
                        }
						if (!UTIL.VAL.is_email(email)) {
	                        $('#verif_studio_tip').html('电子邮箱格式不对，请正确输入');
	                        return false;
	                    }
                        if (link_tel == '') {
                            $('#verif_studio_tip').html('联系电话不能为空');
                            return false;
                        }
                        if (link_addr == '') {
                            $('#verif_studio_tip').html('通讯地址不能为空');
                            return false;
                        }
                        if (scope == '') {
                            $('#verif_studio_tip').html('经营范畴不能为空');
                            return false;
                        }
                        
                        USER.userVerification.save_verif_studio(vid, realname,birthday, linker, email, link_tel, link_addr, scope, attach_id);
                    });
                }

			}
		},
		THIRDLOGIN:{
			third_reg_init:function(){
				$('#user_reg_btn').off().on('click', function (e) {
					//获取登录信息
					var mobile_number = $('#reg_mobile_num').val();
					var uname = $('#reg_uname').val();
					var pws = $('#reg_pws').val();
					var sms_code = $('#reg_sms_code').val();
					var openid = $('#openid').val();
					var access_token = $('#access_token').val();
					var type = $('#type').val();
					//校验输入                    
                    if (mobile_number == '') {
                        $('#user_reg_tip').html('手机号码不能为空');
                        return false;
                    }
                    if (uname == '') {
                        $('#user_reg_tip').html('昵称不能为空');
                        return false;
                    }
                    if (pws == '') {
                        $('#user_reg_tip').html('密码不能为空');
                        return false;
                    }
					if (pws.length < 6 || pws.length > 14) {
                        $('#user_reg_tip').html('密码 6~14位，建议数字、字母、符号组合');
                        return false;
                    }
					if (sms_code == '') {
                        $('#user_reg_tip').html('验证码不能为空');
                        return false;
                    }
					USER.user.reg(mobile_number, uname, pws, sms_code,access_token,openid,type);
					
				});
				
                $('#user_reg_countdown_btn').off().on('click', function(e){
					if ($('#user_reg_countdown_btn').hasClass('btnc')) {
						return false;
					}
					//发送短信验证码
					var mobile_num = $('#reg_mobile_num').val();
					if (mobile_num == '') {
						$('#user_reg_tip').html('手机号码不能为空');
						return false;
					}
					USER.user.sendsms(mobile_num);
					UTIL.WIN.showAlertBox('protected_hint','如果您没有收到信息，请确认手机安装有安全管理软件，是否对验证短信进行了拦截');
					$(this).removeClass('btn3').addClass('btnc');
                    $('#user_reg_countdown_btn').countdown({
                        date: new Date().getTime() + 180000,
                        render: function(data){
                            if (data.sec > 0) {
                                $(this.el).removeClass('btn3').addClass('btnc').text('发送激活码(' + this.leadingZeros(data.full_sec, 3) + ')');
                            }
                        },
                        onEnd: function(){
                            $(this.el).removeClass('btnc').addClass('btn3').text('重新发送激活码').stop();
                            
                        }
                    }).on("click", function(){
                        if ($('#user_reg_countdown_btn').hasClass('btnc')) {
                            return false;
                        }
                        else {
                            //发送短信验证码
                            var mobile_num = $('#reg_mobile_num').val();
                            if (mobile_num == '') {
                                $('#user_reg_tip').html('手机号码不能为空');
                                return false;
                            }
                            USER.user.sendsms(mobile_num);
                            $(this).data('countdown').update(new Date().getTime() + 180000).start();
                        }
                        
                    });
                });
			},
			third_login_init:function(){
				if(UTIL.STORAGE.getLocalData('login_name')!=null&&UTIL.STORAGE.getLocalData('login_name')!=""){
					$('#mobile_number').val(UTIL.STORAGE.getLocalData('login_name'));
				}
				$('#login_btn').off().on('click', function (e) {
					//获取登录信息
					var mobile_number = $('#mobile_number').val();
					var pws = $('#pws').val();
					$('#login_msg').html('');
					var openid = $('#openid').val();
					var access_token = $('#access_token').val();
					var type = $('#type').val();
					if(UTIL.STORAGE.getLocalData('login_name')==null || UTIL.STORAGE.getLocalData('login_name')==""){
						UTIL.STORAGE.setLocalData('login_name',mobile_number);
					}
					
					//校验输入                    
                    if (mobile_number == '') {
                        $('#login_msg').html('手机号码不能为空');
                        return false;
                    }
                    if (pws == '') {
                        $('#login_msg').html('密码不能为空');
                        return false;
                    }
					if (pws.length < 6 || pws.length > 14) {
                        $('#login_msg').html('密码 6~14位，建议数字、字母、符号组合');
                        return false;
                    }
					
					USER.user.login(mobile_number, pws,null,access_token,openid,type);
				});
			}
		}
		
};

